import { ChangeDetectorRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BluiAuthConfig } from '../services/config/auth-config';
import { BluiAuthUIService } from '../services/api';
import { BluiAuthSecurityService } from '../services/state/auth-security.service';
import { BluiCreateAccountInviteComponent } from '../pages/create-account-invite/create-account-invite.component';
import { BluiCreateAccountComponent } from '../pages/create-account/create-account.component';
import { BluiLoginComponent } from '../pages/login/login.component';
import { BluiForgotPasswordComponent } from '../pages/forgot-password/forgot-password.component';
import { BluiContactSupportComponent } from '../pages/contact-support/contact-support.component';
import { BluiResetPasswordComponent } from '../pages/reset-password/reset-password.component';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class BluiAuthComponent implements OnInit, OnDestroy {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _bluiAuthUIService;
    private readonly _changeDetectorRef;
    private readonly _bluiSecurityService;
    createAccountInviteRef: TemplateRef<BluiCreateAccountInviteComponent>;
    createAccountRef: TemplateRef<BluiCreateAccountComponent>;
    loginRef: TemplateRef<BluiLoginComponent>;
    forgotPasswordRef: TemplateRef<BluiForgotPasswordComponent>;
    resetPasswordRef: TemplateRef<BluiResetPasswordComponent>;
    contactSupportRef: TemplateRef<BluiContactSupportComponent>;
    projectImage: string;
    backgroundImage: string;
    showLogin: boolean;
    showCreateAccount: boolean;
    showResetPassword: boolean;
    showContactSupport: boolean;
    showForgotPassword: boolean;
    showCreateAccountInvite: boolean;
    isLoading: boolean;
    loadingMessage: string;
    isSecurityInitiated: boolean;
    stateListener: Subscription;
    routeListener: Subscription;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _bluiAuthUIService: BluiAuthUIService, _changeDetectorRef: ChangeDetectorRef, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    initiateSecurity(): void;
    private _listenForAuthLoadingStateChanges;
    private _listenForAuthRouteChanges;
    private _resetSelectedRoute;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiAuthComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiAuthComponent, "blui-auth", never, { "createAccountInviteRef": "createAccountInviteRef"; "createAccountRef": "createAccountRef"; "loginRef": "loginRef"; "forgotPasswordRef": "forgotPasswordRef"; "resetPasswordRef": "resetPasswordRef"; "contactSupportRef": "contactSupportRef"; }, {}, never, never, false, never>;
}
