import { EventEmitter, OnInit } from '@angular/core';
import { FormControl, ValidatorFn } from '@angular/forms';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { AuthErrorStateMatcher } from '../../util/matcher';
import * as i0 from "@angular/core";
export declare class EmailFieldComponent implements OnInit {
    private readonly _bluiAuthConfig;
    private readonly _bluiSecurityService;
    customEmailValidator: ValidatorFn;
    rememberLoginEmail: boolean;
    manualErrorMessage: string;
    rememberRegistrationEmail: boolean;
    edit: EventEmitter<string>;
    enter: EventEmitter<void>;
    emailFormControl: FormControl;
    idFieldActive: boolean;
    touchedIdField: boolean;
    matcher: AuthErrorStateMatcher;
    customErrorName: string;
    constructor(_bluiAuthConfig: BluiAuthConfig, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    ngOnChanges(): void;
    showEmail(): string;
    isEmailFormDirty(): boolean;
    translate(): BluiAuthTranslations;
    static ɵfac: i0.ɵɵFactoryDeclaration<EmailFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EmailFieldComponent, "blui-email-field", never, { "customEmailValidator": "customEmailValidator"; "rememberLoginEmail": "rememberLoginEmail"; "manualErrorMessage": "manualErrorMessage"; "rememberRegistrationEmail": "rememberRegistrationEmail"; }, { "edit": "edit"; "enter": "enter"; }, never, never, false, never>;
}
