import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { CrossFieldErrorMatcher } from '../../util/matcher';
import * as i0 from "@angular/core";
export declare class PasswordFieldComponent implements OnInit {
    private readonly _bluiAuthConfig;
    private readonly _bluiSecurityService;
    rememberPassword: boolean;
    label: string;
    shouldMatch: FormControl;
    passwordsMatch: boolean;
    manualErrorMessage: string;
    passwordsMatchChange: EventEmitter<boolean>;
    enter: EventEmitter<void>;
    edit: EventEmitter<string>;
    passwordInputElement: ElementRef;
    isPasswordVisible: boolean;
    passwordFormControl: FormControl;
    matcher: CrossFieldErrorMatcher;
    constructor(_bluiAuthConfig: BluiAuthConfig, _bluiSecurityService: BluiAuthSecurityService);
    ngOnInit(): void;
    ngOnChanges(): void;
    private _passwordsMatchValidator;
    translate(): BluiAuthTranslations;
    togglePasswordVisibility(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PasswordFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PasswordFieldComponent, "blui-password-field", never, { "rememberPassword": "rememberPassword"; "label": "label"; "shouldMatch": "shouldMatch"; "passwordsMatch": "passwordsMatch"; "manualErrorMessage": "manualErrorMessage"; }, { "passwordsMatchChange": "passwordsMatchChange"; "enter": "enter"; "edit": "edit"; }, never, never, false, never>;
}
