import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormControl } from '@angular/forms';
import { Router } from '@angular/router';
import { BluiAuthUIService } from '../../services/api';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { PasswordRequirement } from '../../components/password-strength-checker/blui-password-strength-checker.component';
import { BluiChangePasswordErrorDialogService } from '../../services/dialog/change-password-error-dialog.service';
import { BluiFormsService } from '../../services/forms/forms.service';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { PasswordFieldComponent } from '../../components/password-field/password-field.component';
import * as i0 from "@angular/core";
export declare class BluiChangePasswordComponent implements OnInit, AfterViewInit {
    private readonly _router;
    private readonly _formBuilder;
    private readonly _bluiAuthConfig;
    private readonly _bluiFormsService;
    private readonly _bluiAuthUIService;
    private readonly _changeDetectorRef;
    private readonly _bluiSecurityService;
    private readonly _bluiChangePasswordErrorDialogService;
    currentPasswordComponent: PasswordFieldComponent;
    newPasswordComponent: PasswordFieldComponent;
    confirmPasswordComponent: PasswordFieldComponent;
    currentPasswordFormControl: FormControl;
    newPasswordFormControl: FormControl;
    confirmPasswordFormControl: FormControl;
    passwordRequirements: PasswordRequirement[];
    isLoading: boolean;
    passesStrengthCheck: boolean;
    passwordChangeSuccess: boolean;
    passwordsMatch: boolean;
    translate: BluiAuthTranslations;
    close: EventEmitter<void>;
    constructor(_router: Router, _formBuilder: FormBuilder, _bluiAuthConfig: BluiAuthConfig, _bluiFormsService: BluiFormsService, _bluiAuthUIService: BluiAuthUIService, _changeDetectorRef: ChangeDetectorRef, _bluiSecurityService: BluiAuthSecurityService, _bluiChangePasswordErrorDialogService: BluiChangePasswordErrorDialogService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    closeDialog(): void;
    done(): void;
    changePassword(): void;
    focusNewPassword(): void;
    focusConfirmPassword(): void;
    allowPasswordChange(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiChangePasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiChangePasswordComponent, "blui-change-password", never, {}, { "close": "close"; }, never, never, false, never>;
}
