import { ElementRef, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { BluiRegisterUIService } from '../../services/api';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiCreateAccountInviteErrorDialogService } from '../../services/dialog/create-account-invite-error-dialog.service';
import { Subscription } from 'rxjs';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { CreateAccountService } from '../create-account/create-account.service';
import { AccountDetails } from '../create-account/create-account.component';
import { RegistrationSuccessScreenContext } from '../create-account/steps/account-created/account-created.component';
import * as i0 from "@angular/core";
export declare class BluiCreateAccountInviteComponent implements OnInit, OnDestroy {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _bluiRegisterService;
    private readonly _bluiSecurityService;
    private readonly _bluiErrorDialogService;
    accountDetails: AccountDetails[];
    registrationSuccessScreen: TemplateRef<any>;
    existingAccountSuccessScreen: TemplateRef<any>;
    registrationLinkErrorTitleEl: any;
    registrationLinkErrorDescEl: any;
    isLoading: boolean;
    isValidRegistrationLink: boolean;
    isBrightlayerCloudAccount: boolean;
    userAcceptsEula: boolean;
    password: string;
    passwordMeetsRequirements: boolean;
    validAccountName: boolean;
    firstName: string;
    lastName: string;
    stateListener: Subscription;
    registrationUtils: CreateAccountService;
    isEmpty: (el: ElementRef) => boolean;
    translate: BluiAuthTranslations;
    registrationSuccessScreenContext: RegistrationSuccessScreenContext;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _bluiRegisterService: BluiRegisterUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiErrorDialogService: BluiCreateAccountInviteErrorDialogService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    validateRegistrationLink(): void;
    registerAccount(): void;
    attemptContinue(): void;
    canContinue(): boolean;
    goNext(): any;
    goBack(): void;
    navigateToLogin(): void;
    getUserName(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiCreateAccountInviteComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiCreateAccountInviteComponent, "blui-create-account-invite", never, { "accountDetails": "accountDetails"; "registrationSuccessScreen": "registrationSuccessScreen"; "existingAccountSuccessScreen": "existingAccountSuccessScreen"; }, {}, never, ["[blui-registration-link-error-title]", "[blui-registration-link-error-description]"], false, never>;
}
