import { OnDestroy, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { MatLegacyFormField as MatFormField } from '@angular/material/legacy-form-field';
import { FormControl, ValidatorFn } from '@angular/forms';
import { Subscription } from 'rxjs';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiRegisterUIService } from '../../services/api';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiCreateAccountErrorDialogService } from '../../services/dialog/create-account-error-dialog.service';
import { CreateAccountService } from './create-account.service';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { RegistrationSuccessScreenContext } from './steps/account-created/account-created.component';
import * as i0 from "@angular/core";
export declare type AccountDetails = {
    pageTitle?: string;
    pageInstructions?: string;
    form: TemplateRef<MatFormField>;
    formControls: Map<string, FormControl>;
    isValid: () => boolean;
};
export declare class BluiCreateAccountComponent implements OnDestroy {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _bluiRegisterService;
    private readonly _bluiSecurityService;
    private readonly _bluiErrorDialogService;
    customEmailValidator: ValidatorFn;
    accountDetails: AccountDetails[];
    registrationSuccessScreen: TemplateRef<any>;
    existingAccountSuccessScreen: TemplateRef<any>;
    isLoading: boolean;
    isValidVerificationCode: boolean;
    isBrightlayerCloudAccount: boolean;
    email: string;
    isValidEmail: boolean;
    verificationCode: string;
    userAcceptsEula: boolean;
    password: string;
    passwordMeetsRequirements: boolean;
    validAccountName: boolean;
    firstName: string;
    lastName: string;
    stateListener: Subscription;
    registrationUtils: CreateAccountService;
    translate: BluiAuthTranslations;
    registrationSuccessScreenContext: RegistrationSuccessScreenContext;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _bluiRegisterService: BluiRegisterUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiErrorDialogService: BluiCreateAccountErrorDialogService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    sendVerificationEmail(): void;
    validateVerificationCode(): void;
    registerAccount(): void;
    attemptContinue(): void;
    canContinue(): boolean;
    goNext(): any;
    goBack(): void;
    navigateToLogin(): void;
    getUserName(): string;
    getCustomEmailValidator(): ValidatorFn;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiCreateAccountComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiCreateAccountComponent, "blui-create-account", never, { "customEmailValidator": "customEmailValidator"; "accountDetails": "accountDetails"; "registrationSuccessScreen": "registrationSuccessScreen"; "existingAccountSuccessScreen": "existingAccountSuccessScreen"; }, {}, never, never, false, never>;
}
