import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormControl } from '@angular/forms';
import { BluiAuthConfig } from '../../../../services/config/auth-config';
import { BluiFormsService } from '../../../../services/forms/forms.service';
import { PasswordRequirement } from '../../../../components/password-strength-checker/blui-password-strength-checker.component';
import { BluiAuthTranslations } from '../../../../translations/auth-translations';
import { PasswordFieldComponent } from '../../../../components/password-field/password-field.component';
import * as i0 from "@angular/core";
export declare class BluiCreatePasswordComponent implements OnInit {
    private readonly _ref;
    private readonly _formBuilder;
    private readonly _bluiAuthConfig;
    private readonly _bluiFormsService;
    password: string;
    passwordMeetsRequirements: boolean;
    passwordChange: EventEmitter<string>;
    passwordMeetsRequirementsChange: EventEmitter<boolean>;
    advance: EventEmitter<void>;
    passwordFieldComponent: PasswordFieldComponent;
    confirmPasswordFieldComponent: PasswordFieldComponent;
    passwordsMatch: boolean;
    passesStrengthCheck: boolean;
    passwordFormControl: FormControl;
    confirmPasswordFormControl: FormControl;
    passwordRequirements: PasswordRequirement[];
    translate: BluiAuthTranslations;
    constructor(_ref: ChangeDetectorRef, _formBuilder: FormBuilder, _bluiAuthConfig: BluiAuthConfig, _bluiFormsService: BluiFormsService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updatePassword(newPassword: string): void;
    hasValidPasswords(): boolean;
    focusConfirmPassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiCreatePasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiCreatePasswordComponent, "blui-create-account-create-password-step", never, { "password": "password"; "passwordMeetsRequirements": "passwordMeetsRequirements"; }, { "passwordChange": "passwordChange"; "passwordMeetsRequirementsChange": "passwordMeetsRequirementsChange"; "advance": "advance"; }, never, never, false, never>;
}
