import { OnInit } from '@angular/core';
import { ValidatorFn, FormControl } from '@angular/forms';
import { Router } from '@angular/router';
import { AuthErrorStateMatcher } from '../../util/matcher';
import { BluiAuthUIService } from '../../services/api';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiForgotPasswordErrorDialogService } from '../../services/dialog/forgot-password-error-dialog.service';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { EmailFieldComponent } from '../../components/email-field/email-field.component';
import * as i0 from "@angular/core";
export declare class BluiForgotPasswordComponent implements OnInit {
    private readonly _router;
    private readonly _bluiAuthConfig;
    private readonly _bluiAuthUIActionsService;
    private readonly _bluiSecurityService;
    private readonly _bluiForgotPasswordDialogService;
    customEmailValidator: ValidatorFn;
    emailFieldComponent: EmailFieldComponent;
    email: string;
    emailFormControl: FormControl;
    matcher: AuthErrorStateMatcher;
    passwordResetSuccess: boolean;
    successDescriptionMessage: string;
    translate: BluiAuthTranslations;
    constructor(_router: Router, _bluiAuthConfig: BluiAuthConfig, _bluiAuthUIActionsService: BluiAuthUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiForgotPasswordDialogService: BluiForgotPasswordErrorDialogService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    navigateToLogin(): void;
    getSupportByPhone(): string;
    hasValidEmail(): boolean;
    resetPassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiForgotPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiForgotPasswordComponent, "blui-forgot-password", never, { "customEmailValidator": "customEmailValidator"; }, {}, never, never, false, never>;
}
