import { AfterViewInit, ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { FormControl, ValidatorFn } from '@angular/forms';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiAuthUIService } from '../../services/api';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiLoginErrorDialogService } from '../../services/dialog/login-error-dialog.service';
import { BluiFormsService } from '../../services/forms/forms.service';
import { AuthTranslationLanguageCode, BluiAuthTranslations } from '../../translations/auth-translations';
import { EmailFieldComponent } from '../../components/email-field/email-field.component';
import { PasswordFieldComponent } from '../../components/password-field/password-field.component';
import * as i0 from "@angular/core";
export declare class BluiLoginComponent implements OnInit, AfterViewInit {
    bluiAuthConfig: BluiAuthConfig;
    private readonly _router;
    private readonly _changeDetectorRef;
    private readonly _bluiUIActionsService;
    private readonly _bluiSecurityService;
    private readonly _bluiLoginErrorDialogService;
    bluiFormsService: BluiFormsService;
    customEmailValidator: ValidatorFn;
    headerEl: ElementRef;
    footerEl: ElementRef;
    emailFieldComponent: EmailFieldComponent;
    passwordFieldComponent: PasswordFieldComponent;
    emailFormControl: FormControl;
    passwordFormControl: FormControl;
    isLoading: boolean;
    rememberMe: boolean;
    isPasswordVisible: boolean;
    debugMode: boolean;
    errorMessage: string;
    position: 'top' | 'bottom';
    dismissible: boolean;
    showDialog: boolean;
    showCardError: boolean;
    showFormErr: boolean;
    selectedLanguage: string;
    isEmpty: (el: ElementRef) => boolean;
    constructor(bluiAuthConfig: BluiAuthConfig, _router: Router, _changeDetectorRef: ChangeDetectorRef, _bluiUIActionsService: BluiAuthUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiLoginErrorDialogService: BluiLoginErrorDialogService, bluiFormsService: BluiFormsService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    toggleDebugMode(): void;
    login(): void;
    focusPasswordField(): void;
    toggleRememberMe(): void;
    navigateToDefaultRoute(): void;
    forgotPassword(): void;
    testForgotPasswordEmail(): void;
    testInviteRegister(): void;
    createAccount(): void;
    contactSupport(): void;
    hasValidFormEntries(): boolean;
    changeLanguage(languageCode: AuthTranslationLanguageCode): void;
    translate(): BluiAuthTranslations;
    clearInputErrorMessage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiLoginComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiLoginComponent, "blui-login", never, { "customEmailValidator": "customEmailValidator"; }, {}, never, ["[blui-login-header]", "[blui-login-actions]", "[blui-login-footer]"], false, never>;
}
