import { ChangeDetectorRef, ElementRef, OnInit } from '@angular/core';
import { FormBuilder, FormControl } from '@angular/forms';
import { Router } from '@angular/router';
import { BluiAuthSecurityService } from '../../services/state/auth-security.service';
import { BluiAuthUIService } from '../../services/api';
import { BluiAuthConfig } from '../../services/config/auth-config';
import { BluiResetPasswordErrorDialogService } from '../../services/dialog/reset-password-error-dialog.service';
import { PasswordRequirement } from '../../components/password-strength-checker/blui-password-strength-checker.component';
import { BluiFormsService } from '../../services/forms/forms.service';
import { BluiAuthTranslations } from '../../translations/auth-translations';
import { PasswordFieldComponent } from '../../components/password-field/password-field.component';
import * as i0 from "@angular/core";
export declare class BluiResetPasswordComponent implements OnInit {
    private readonly _router;
    private readonly _formBuilder;
    private readonly _bluiAuthConfig;
    private readonly _bluiAuthUIService;
    private readonly _bluiSecurityService;
    private readonly _bluiErrorDialogService;
    private readonly _changeDetectorRef;
    bluiFormsService: BluiFormsService;
    resetLinkErrorTitleEl: any;
    resetLinkErrorDescEl: any;
    passwordFieldComponent: PasswordFieldComponent;
    confirmPasswordFieldComponent: PasswordFieldComponent;
    isLoading: boolean;
    passwordsMatch: boolean;
    isValidResetCode: boolean;
    passwordResetSuccess: boolean;
    passesStrengthCheck: boolean;
    passwordFormControl: FormControl;
    confirmPasswordFormControl: FormControl;
    isEmpty: (el: ElementRef) => boolean;
    passwordRequirements: PasswordRequirement[];
    translate: BluiAuthTranslations;
    constructor(_router: Router, _formBuilder: FormBuilder, _bluiAuthConfig: BluiAuthConfig, _bluiAuthUIService: BluiAuthUIService, _bluiSecurityService: BluiAuthSecurityService, _bluiErrorDialogService: BluiResetPasswordErrorDialogService, _changeDetectorRef: ChangeDetectorRef, bluiFormsService: BluiFormsService);
    ngOnInit(): void;
    verifyResetCode(): void;
    private _configurePasswordControls;
    hasValidPasswords(): boolean;
    done(): void;
    navigateToLogin(): void;
    focusConfirmPassword(): void;
    resetPassword(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiResetPasswordComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BluiResetPasswordComponent, "blui-reset-password", never, {}, {}, never, ["[blui-reset-link-error-title]", "[blui-reset-link-error-description]"], false, never>;
}
