import * as i0 from "@angular/core";
export declare type IBluiAuthUIService = {
    /**
     * Initialize the application security state. This will involve reading any local storage,
     * validating existing credentials (token expiration, for example). At the end of validation,
     * the [[SecurityUiService]] should be called with either:
     * [[onUserAuthenticated]] (which will present the application), or
     * [[onUserNotAuthenticated]] (which will present the Auth UI).
     *
     * Note: Until this method returns, the applications Splash screen will be presented.
     *
     * @returns Should always resolve. Never throw.
     */
    initiateSecurity(): Promise<void>;
    login(email: string, password: string, rememberMe: boolean): Promise<void>;
    forgotPassword(email: string): Promise<void>;
    changePassword(oldPassword: string, newPassword: string): Promise<void>;
    /**
     * The user has tapped on an email with a password reset link, which they received after
     * requesting help for forgetting their password.
     * The application should take the password reset code and then verify that it is still
     * valid.
     */
    verifyResetCode(): Promise<void>;
    setPassword(password: string): Promise<void>;
};
export declare class BluiAuthUIService implements IBluiAuthUIService {
    warn(): void;
    login(email: string, password: string, rememberMe: boolean): Promise<void>;
    forgotPassword(email: string): Promise<void>;
    changePassword(oldPassword: string, newPassword: string): Promise<void>;
    verifyResetCode(): Promise<void>;
    setPassword(password: string): Promise<void>;
    initiateSecurity(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiAuthUIService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BluiAuthUIService>;
}
