import { ValidatorFn } from '@angular/forms';
import { AuthTranslationLanguageCode, BluiAuthTranslations } from '../../translations/auth-translations';
import * as i0 from "@angular/core";
export declare const BLUI_LOGIN_VALIDATOR_ERROR_NAME = "BLUI_LOGIN_VALIDATOR_ERROR_NAME";
export declare type PasswordRequirement = {
    description: string;
    regex: RegExp;
};
export declare class BluiAuthConfig {
    authGuardRedirectRoute: any;
    languageCode: AuthTranslationLanguageCode;
    customTranslations: BluiAuthTranslations;
    allowDebugMode: boolean;
    showRememberMe: boolean;
    projectImage: string;
    backgroundImage: string;
    contactEmail: string;
    contactPhone: string;
    eula: string;
    eulaScrollLock: boolean;
    showCreateAccount: boolean;
    showContactSupport: boolean;
    showForgotPassword: boolean;
    showResetPassword: boolean;
    showCreateAccountViaInvite: boolean;
    defaultPasswordRequirements: {
        characterLimit: boolean;
        uppercaseLetter: boolean;
        lowercaseLetter: boolean;
        requireNumber: boolean;
        specialCharacter: boolean;
    };
    customPasswordRequirements: PasswordRequirement[];
    /** Custom first name requirements used in the account registration pages. */
    customFirstNameRequirements: {
        maxLength: number;
    };
    /** Custom last name requirements used in the account registration pages. */
    customLastNameRequirements: {
        maxLength: number;
    };
    customEmailValidator: ValidatorFn;
    getTranslations(): BluiAuthTranslations;
    getPasswordRequirements(): PasswordRequirement[];
    static ɵfac: i0.ɵɵFactoryDeclaration<BluiAuthConfig, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<BluiAuthConfig>;
}
