import { ErrorStateMatcher } from '@angular/material/core';
import { FormControl, FormGroupDirective, NgForm } from '@angular/forms';
import { AUTH_ROUTES } from '../auth/auth.routes';
/** Error when invalid control is touched, or submitted. */
export declare class AuthErrorStateMatcher implements ErrorStateMatcher {
    manualError: string;
    setManualError(err: string): void;
    isErrorState(control: FormControl | null, form: FormGroupDirective | NgForm | null): boolean;
}
export declare class ManualErrorStateMatch implements ErrorStateMatcher {
    isErrorState(): boolean;
}
export declare class CrossFieldErrorMatcher implements ErrorStateMatcher {
    manualError: string;
    setManualError(err: string): void;
    isErrorState(control: FormControl | null): boolean;
}
export declare const matchesRoute: (route: string, authRouteKey: keyof typeof AUTH_ROUTES) => boolean;
