import * as i1$2 from '@angular/platform-browser';
import { BrowserModule } from '@angular/platform-browser';
import * as i0 from '@angular/core';
import { Injectable, EventEmitter, Component, Input, Output, ViewChild, Inject, ViewEncapsulation, NgModule } from '@angular/core';
import * as i2 from '@angular/forms';
import { Validators, FormControl, ReactiveFormsModule, FormsModule } from '@angular/forms';
import { Subject } from 'rxjs';
import * as i1 from '@angular/router';
import { NavigationStart, NavigationEnd, RouterModule } from '@angular/router';
import * as i3 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i6 from '@angular/material/legacy-form-field';
import { MatLegacyFormFieldModule } from '@angular/material/legacy-form-field';
import * as i7 from '@angular/material/legacy-input';
import { MatLegacyInputModule } from '@angular/material/legacy-input';
import * as i7$1 from '@angular/material/legacy-button';
import { MatLegacyButtonModule } from '@angular/material/legacy-button';
import * as i10 from '@angular/material/icon';
import { MatIconModule } from '@angular/material/icon';
import * as i1$1 from '@angular/material/legacy-dialog';
import { MAT_LEGACY_DIALOG_DATA, MatLegacyDialogModule } from '@angular/material/legacy-dialog';
import * as i4 from '@brightlayer-ui/angular-components';
import { EmptyStateModule, MobileStepperModule, SpacerModule } from '@brightlayer-ui/angular-components';
import * as i11 from '@angular/material/legacy-select';
import { MatLegacySelectModule } from '@angular/material/legacy-select';
import * as i12 from '@angular/material/legacy-core';
import * as i13 from '@angular/material/legacy-card';
import { MatLegacyCardModule } from '@angular/material/legacy-card';
import * as i15 from '@angular/material/legacy-checkbox';
import { MatLegacyCheckboxModule } from '@angular/material/legacy-checkbox';
import * as i6$1 from '@angular/material/divider';
import { MatDividerModule } from '@angular/material/divider';
import * as i2$1 from '@angular/material/legacy-list';
import { MatLegacyListModule } from '@angular/material/legacy-list';
import * as i2$2 from '@angular/material/legacy-progress-spinner';
import { MatLegacyProgressSpinnerModule } from '@angular/material/legacy-progress-spinner';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

function hasChildren(el) {
    return el.nativeElement.children && el.nativeElement.children.length > 0;
}
function isEmptyView(el) {
    if (!el || !el.nativeElement) {
        return true;
    }
    return !hasChildren(el);
}

const AUTH_ROUTES = {
    AUTH_WORKFLOW: 'auth',
    LOGIN: 'login',
    RESET_PASSWORD: 'reset-password',
    FORGOT_PASSWORD: 'forgot-password',
    CREATE_ACCOUNT: 'register/create-account',
    CREATE_ACCOUNT_INVITE: 'register/invite',
    CONTACT_SUPPORT: 'support',
    ON_AUTHENTICATED: '',
};

/* eslint-disable @typescript-eslint/naming-convention */
const bluiAuthEnglishTranslations = {
    GENERAL: {
        BACK_BUTTON: 'Back',
        OKAY_BUTTON: 'Okay',
        DONE_BUTTON: 'Done',
        NEXT_BUTTON: 'Next',
        CANCEL_BUTTON: 'Cancel',
        PASSWORD_FORM_LABEL: 'Password',
        PASSWORD_MISMATCH_ERROR: 'Passwords do not match',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirm Password',
        EMAIL_FORM_LABEL: 'Email Address',
        EMAIL_INVALID_ERROR: 'Please enter a valid email address',
        IS_REQUIRED_ERROR: (field) => `${field} is <strong>required</strong>`,
        LOGIN_BUTTON: 'Log In',
    },
    LOGIN: {
        CONTACT_SUPPORT: 'Contact an Eaton Support Representative',
        CREATE_ACCOUNT: 'Create Account',
        FORGOT_PASSWORD: 'Forgot your password?',
        NEED_AN_ACCOUNT: 'Need an account?',
        REMEMBER_ME: 'Remember Me',
        ENABLE_DEBUG_MODE: 'DEBUG',
        DEBUG_MODE: 'DEBUG_MODE',
        FORGOT_PASSWORD_LINK: '[Test Forgot Password Email]',
        TEST_INVITE_LINK: '[Test Invite Register]',
        INVALID_CREDENTIALS: 'Incorrect Email or Password',
        ERROR_TITLE: 'Error',
    },
    CHANGE_PASSWORD: {
        TITLE: 'Change Password',
        INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
        CURRENT_PASSWORD_FORM_LABEL: 'Current Password',
        NEW_PASSWORD_FORM_LABEL: 'New Password',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirm Password',
        SUCCESS_TITLE: 'Password Changed',
        SUCCESS_DESCRIPTION: "Your password was successfully updated! To ensure your account's security, you will need to log in to the application with your updated credentials.",
    },
    CONTACT_SUPPORT: {
        TITLE: 'Contact Us',
        PHONE_NUMBER: undefined,
        EMAIL: undefined,
        EMERGENCY_SUPPORT_DESCRIPTION: (phone) => `For technical support, please call <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        EMERGENCY_SUPPORT_TITLE: 'Emergency Support',
        GENERAL_SUPPORT_DESCRIPTION: (email) => `For questions, feedback, or support please email us at <a class="blui-auth-link" href="mailto:${email}">${email}</a>.`,
        GENERAL_SUPPORT_TITLE: 'General Questions',
    },
    PASSWORD_CRITERIA: {
        CHARACTER_LIMIT: '8-16 Characters',
        ONE_NUMBER: 'One number',
        ONE_UPPERCASE_CHARACTER: 'One uppercase letter',
        ONE_LOWERCASE_CHARACTER: 'One lowercase letter',
        ONE_SPECIAL_CHARACTER: 'One special character',
    },
    FORGOT_PASSWORD: {
        TITLE: 'Forgot Password',
        INSTRUCTIONS: 'Please enter the account email associated with the account.',
        RESPONSE_TIME_TEXT: 'If this email has an account with Eaton, you will receive a response within <strong>one business day.</strong>',
        PHONE_NUMBER: undefined,
        CONTACT_SUPPORT_BY_PHONE: (phone) => `For urgent account issues, please call <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        SUCCESS_TITLE: 'Email Sent',
        SUCCESS_DESCRIPTION: (email) => `A link to reset your password has been sent to <strong>${email}</strong>`,
    },
    RESET_PASSWORD: {
        TITLE: 'Reset Password',
        INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
        RESET_LINK_ERROR_TITLE: 'Error',
        RESET_LINK_ERROR_DESCRIPTION: 'There was an error validating your reset code.',
        SUCCESS_TITLE: 'Your password was successfully reset.',
        SUCCESS_DESCRIPTION: "Your password was successfully updated! To ensure your account's security, you will need to log in to the application with your updated credentials.",
    },
    CREATE_ACCOUNT: {
        REGISTRATION_LINK: {
            VALIDATING: 'Validating',
            INVALID_TITLE: 'Error',
            INVALID_DESCRIPTION: 'We were unable to complete your registration. Press continue below to finish.',
        },
        ENTER_EMAIL: {
            TITLE: 'Create an Account',
            INSTRUCTIONS: 'To register for an Eaton account, enter the required information below. You will need to verify your email address to continue.',
        },
        EULA: {
            TITLE: 'License Agreement',
            CONFIRM_READ: 'I have read and agree to the Terms & Conditions',
            LOAD_ERROR_TITLE: 'Error',
            LOAD_ERROR_DESCRIPTION: 'License Agreement Failed To Load',
            RELOAD_BUTTON: 'Reload',
        },
        VERIFY_EMAIL: {
            TITLE: 'Verify Email',
            INSTRUCTIONS: 'A verification code has been sent to the email address you provided. Click the link or enter the code below to continue. This code is valid for 30 minutes.',
            CODE_FORM_LABEL: 'Verification Code',
            RESEND_LABEL: "Didn't receive email?",
            RESEND_BUTTON: 'Send Again',
        },
        CREATE_PASSWORD: {
            INSTRUCTIONS: 'Please select a password. Make sure that your password meets the necessary complexity requirements outlined below.',
            TITLE: 'Create Password',
        },
        ACCOUNT_DETAILS: {
            FIRST_NAME_FORM_LABEL: 'First Name',
            INSTRUCTIONS: 'Enter your details below to complete account creation.',
            LAST_NAME_FORM_LABEL: 'Last Name',
            TITLE: 'Account Details',
        },
        ACCOUNT_CREATED: {
            TITLE: 'Account Created!',
            WELCOME_MESSAGE_TITLE: (username) => `Welcome, ${username}`,
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Your account has been successfully created with the email ${email}.`
                    : `Your account has been successfully created.`;
                return `${firstSentence} Your account has already been added to the organization. Press Continue below to finish.`;
            },
            CONTINUE_BUTTON: 'Continue',
        },
        ACCOUNT_EXISTING: {
            TITLE: 'Account Created!',
            WELCOME_MESSAGE_TITLE: 'Welcome',
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Your account has been successfully created with the email ${email}.`
                    : `Your account has been successfully created.`;
                return `${firstSentence} Please log in with your Eaton account email and password.`;
            },
        },
    },
};

/* eslint-disable @typescript-eslint/naming-convention */
const bluiAuthFrenchTranslations = {
    GENERAL: {
        BACK_BUTTON: 'Retour',
        OKAY_BUTTON: `D'accord`,
        DONE_BUTTON: 'Fini',
        NEXT_BUTTON: 'Prochain',
        CANCEL_BUTTON: 'Annuler',
        PASSWORD_FORM_LABEL: 'Mot de passe',
        PASSWORD_MISMATCH_ERROR: 'Les mots de passe ne correspondent pas',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirmez',
        EMAIL_FORM_LABEL: 'Adresse e-mail',
        EMAIL_INVALID_ERROR: "S'il vous plaît entrer un email valide",
        IS_REQUIRED_ERROR: (field) => `${field} est <strong>requis</strong>`,
        LOGIN_BUTTON: 'Connexion',
    },
    LOGIN: {
        CONTACT_SUPPORT: 'Contacter un représentant du support Eaton',
        CREATE_ACCOUNT: 'Créer un compte',
        FORGOT_PASSWORD: 'Mot de passe oublié?',
        NEED_AN_ACCOUNT: 'Besoin dun compte?',
        REMEMBER_ME: 'Souvenez-vous de moi',
        ENABLE_DEBUG_MODE: 'DÉBOGUER',
        DEBUG_MODE: 'MODE DÉBOGAGE',
        FORGOT_PASSWORD_LINK: '[Test Mot de passe oublié Email]',
        TEST_INVITE_LINK: "[Tester le registre d'invitation]",
        INVALID_CREDENTIALS: 'Email ou mot de passe incorrect',
        ERROR_TITLE: 'Erreur',
    },
    CHANGE_PASSWORD: {
        TITLE: 'Changer le mot de passe',
        INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
        CURRENT_PASSWORD_FORM_LABEL: 'Mot de passe actuel',
        NEW_PASSWORD_FORM_LABEL: 'Nouveau mot de passe',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirmez le mot de passe',
        SUCCESS_TITLE: 'Mot de passe changé',
        SUCCESS_DESCRIPTION: "Votre mot de passe a été mis à jour avec succès! Pour garantir la sécurité de votre compte, vous devrez vous connecter à l'application avec vos informations d'identification mises à jour.",
    },
    CONTACT_SUPPORT: {
        TITLE: 'Contactez-nous',
        PHONE_NUMBER: undefined,
        EMAIL: undefined,
        EMERGENCY_SUPPORT_DESCRIPTION: (phone) => `Pour une assistance technique, veuillez appeler <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        EMERGENCY_SUPPORT_TITLE: `Assistance d'urgence`,
        GENERAL_SUPPORT_DESCRIPTION: (email) => `Pour les questions, commentaires ou assistance par e-mail, veuillez nous envoyer un e-mail à <a class="blui-auth-link" href="mailto:${email}">${email}</a>.`,
        GENERAL_SUPPORT_TITLE: 'Questions générales',
    },
    PASSWORD_CRITERIA: {
        CHARACTER_LIMIT: '8-16 Caractères',
        ONE_NUMBER: 'Un nombre',
        ONE_UPPERCASE_CHARACTER: 'Une lettre majuscule',
        ONE_LOWERCASE_CHARACTER: 'Une lettre miniscule',
        ONE_SPECIAL_CHARACTER: 'Un caractère spécial',
    },
    FORGOT_PASSWORD: {
        TITLE: 'Mot de passe oublié?',
        INSTRUCTIONS: `Entrez l'adresse e-mail du compte associée au compte.`,
        RESPONSE_TIME_TEXT: 'Si ce courrier électronique a un compte chez Eaton, vous recevrez une réponse sous <strong>un jour ouvrable</strong>',
        PHONE_NUMBER: undefined,
        CONTACT_SUPPORT_BY_PHONE: (phone) => `Pour les problèmes de compte urgents, veuillez appeler le <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        SUCCESS_TITLE: 'Email envoyé',
        SUCCESS_DESCRIPTION: (email) => `Un lien pour réinitialiser votre mot de passe a été envoyé à <strong>${email}</strong>`,
    },
    RESET_PASSWORD: {
        TITLE: 'Réinitialiser le mot de passe',
        INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
        RESET_LINK_ERROR_TITLE: 'Erreur',
        RESET_LINK_ERROR_DESCRIPTION: `Une erreur s'est produite lors de la validation de votre code de réinitialisation.`,
        SUCCESS_TITLE: `Votre mot de passe a été réinitialisé avec succès`,
        SUCCESS_DESCRIPTION: "Votre mot de passe a été mis à jour avec succès! Pour assurer la sécurité de votre compte, vous devrez vous connecter à l'application avec vos informations d'identification mises à jour.",
    },
    CREATE_ACCOUNT: {
        REGISTRATION_LINK: {
            VALIDATING: 'Valider',
            INVALID_TITLE: 'Erreur',
            INVALID_DESCRIPTION: `Nous n'avons pas pu terminer votre inscription. Appuyez sur Continuer ci-dessous pour finir.`,
        },
        ENTER_EMAIL: {
            TITLE: 'Créer un compte',
            INSTRUCTIONS: 'Pour créer un compte Eaton, entrez les informations requises ci-dessous. Vous devrez vérifier votre adresse e-mail pour continuer.',
        },
        EULA: {
            TITLE: 'Accord de licence',
            CONFIRM_READ: `J'ai lu et j'accepte les conditions générales`,
            LOAD_ERROR_TITLE: 'Erreur',
            LOAD_ERROR_DESCRIPTION: 'Échec du chargement du contrat de licence',
            RELOAD_BUTTON: 'Recharger',
        },
        VERIFY_EMAIL: {
            TITLE: 'Vérifier les courriels',
            INSTRUCTIONS: `Un code de vérification a été envoyé à l'adresse e-mail que vous avez fournie. Cliquez sur le lien ou entrez le code ci-dessous pour continuer. Ce code est valable 30 minutes.`,
            CODE_FORM_LABEL: 'Code de vérification',
            RESEND_LABEL: "Vous n'avez pas reçu d'e-mail?",
            RESEND_BUTTON: 'Envoyer à nouveau',
        },
        CREATE_PASSWORD: {
            INSTRUCTIONS: 'Veuillez sélectionner un mot de passe. Assurez-vous que votre mot de passe répond aux exigences de complexité nécessaires décrites ci-dessous.',
            TITLE: 'Créer un Mot de Passe',
        },
        ACCOUNT_DETAILS: {
            FIRST_NAME_FORM_LABEL: 'Prénom',
            INSTRUCTIONS: 'Entrez vos coordonnées ci-dessous pour terminer la création du compte.',
            LAST_NAME_FORM_LABEL: 'Nom de famille',
            TITLE: 'Détails du compte',
        },
        ACCOUNT_CREATED: {
            TITLE: 'Compte créé',
            WELCOME_MESSAGE_TITLE: (username) => `Bienvenue, ${username}`,
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Votre compte a été créé avec succès avec l'e-mail ${email}.`
                    : `Votre compte à été créé avec succès.`;
                return `${firstSentence} Votre compte a déjà été ajouté à l'organisation. Appuyez sur Continuer ci-dessous pour terminer.`;
            },
            CONTINUE_BUTTON: 'Continue',
        },
        ACCOUNT_EXISTING: {
            TITLE: 'Compte créé',
            WELCOME_MESSAGE_TITLE: 'Bienvenue',
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Votre compte a été créé avec succès avec l'e-mail ${email}.`
                    : `Votre compte à été créé avec succès.`;
                return `${firstSentence} Veuillez vous connecter avec l'adresse e-mail et le mot de passe de votre compte Eaton.`;
            },
        },
    },
};

/* eslint-disable @typescript-eslint/naming-convention */
const bluiAuthSpanishTranslations = {
    GENERAL: {
        BACK_BUTTON: 'Atrás',
        OKAY_BUTTON: 'Okey',
        DONE_BUTTON: 'Hecho',
        NEXT_BUTTON: 'Siguiente',
        CANCEL_BUTTON: 'Cancelar',
        PASSWORD_FORM_LABEL: 'Contraseña',
        PASSWORD_MISMATCH_ERROR: 'Las contraseñas no coinciden',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirmar contraseña',
        EMAIL_FORM_LABEL: 'Correo electrónico',
        EMAIL_INVALID_ERROR: 'Ingrese un correo electrónico válido',
        IS_REQUIRED_ERROR: (field) => `${field} se <strong>requiere</strong>`,
        LOGIN_BUTTON: 'Iniciar sesión',
    },
    LOGIN: {
        CONTACT_SUPPORT: 'Contactar un representante de soporte de Eaton',
        CREATE_ACCOUNT: 'Crear una cuenta',
        FORGOT_PASSWORD: '¿Ha olvidado su contraseña?',
        NEED_AN_ACCOUNT: '¿Necesitas una cuenta?',
        REMEMBER_ME: 'Recordar contraseña',
        ENABLE_DEBUG_MODE: 'DEPURAR',
        DEBUG_MODE: 'MODO DE DEPURACIÓN',
        FORGOT_PASSWORD_LINK: '[Prueba Olvidé mi contraseña Correo electrónico]',
        TEST_INVITE_LINK: '[Prueba Invitar Registrarse]',
        INVALID_CREDENTIALS: 'Correo electrónico o contraseña incorrectos',
        ERROR_TITLE: '¡Error!',
    },
    CHANGE_PASSWORD: {
        TITLE: 'Contraseña cambiada',
        INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación.',
        CURRENT_PASSWORD_FORM_LABEL: 'Contraseña actual',
        NEW_PASSWORD_FORM_LABEL: 'Confirmar nueva contraseña',
        CONFIRM_PASSWORD_FORM_LABEL: 'Confirmar Contraseña',
        SUCCESS_TITLE: 'Contraseña cambiada',
        SUCCESS_DESCRIPTION: '¡Su contraseña se actualizó correctamente! Para garantizar la seguridad de su cuenta, deberá iniciar sesión en la aplicación con sus credenciales actualizadas.',
    },
    CONTACT_SUPPORT: {
        TITLE: 'Contacta con nosotras',
        PHONE_NUMBER: undefined,
        EMAIL: undefined,
        EMERGENCY_SUPPORT_DESCRIPTION: (phone) => `Para obtener asistencia técnica, llame a <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        EMERGENCY_SUPPORT_TITLE: 'Soporte de emergencia',
        GENERAL_SUPPORT_DESCRIPTION: (email) => `Si tiene preguntas, comentarios o necesita asistencia, envíenos un correo electrónico a <a class="blui-auth-link" href="mailto:${email}">${email}</a>.`,
        GENERAL_SUPPORT_TITLE: 'Preguntas generales',
    },
    PASSWORD_CRITERIA: {
        CHARACTER_LIMIT: '8-16 caracteres',
        ONE_NUMBER: 'Un número',
        ONE_UPPERCASE_CHARACTER: 'Una letra mayúscula',
        ONE_LOWERCASE_CHARACTER: 'Una letra minúscula',
        ONE_SPECIAL_CHARACTER: 'Un carácter especial',
    },
    FORGOT_PASSWORD: {
        TITLE: 'Olvidé mi contraseña',
        INSTRUCTIONS: 'Por favor ingrese el correo electrónico de la cuenta asociado con la cuenta.',
        RESPONSE_TIME_TEXT: 'Si este correo electrónico tiene una cuenta con Eaton, recibirá una respuesta dentro de <strong> un día hábil </strong>',
        PHONE_NUMBER: undefined,
        CONTACT_SUPPORT_BY_PHONE: (phone) => `Para problemas urgentes con la cuenta, llame al <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        SUCCESS_TITLE: 'Email enviado',
        SUCCESS_DESCRIPTION: (email) => `Se ha enviado un enlace para restablecer su contraseña a <strong>${email}</strong>`,
    },
    RESET_PASSWORD: {
        TITLE: 'Restablecer la contraseña',
        INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación.',
        RESET_LINK_ERROR_TITLE: '¡Error!',
        RESET_LINK_ERROR_DESCRIPTION: 'Hubo un error al validar su código de reinicio.',
        SUCCESS_TITLE: 'Tu contraseña se restableció correctamente.',
        SUCCESS_DESCRIPTION: '¡Tu contraseña se actualizó correctamente! Para garantizar la seguridad de su cuenta, deberá iniciar sesión en la aplicación con sus credenciales actualizadas.',
    },
    CREATE_ACCOUNT: {
        REGISTRATION_LINK: {
            VALIDATING: 'Validando',
            INVALID_TITLE: '¡Error!',
            INVALID_DESCRIPTION: 'No pudimos completar su registro. Pulse continuar para terminar. ',
        },
        ENTER_EMAIL: {
            TITLE: 'Crea una cuenta',
            INSTRUCTIONS: 'Para registrarse para una cuenta Eaton, ingrese la información requerida a continuación. Deberá verificar su dirección de correo electrónico para continuar.',
        },
        EULA: {
            TITLE: 'Acuerdo de licencia',
            CONFIRM_READ: 'He leído y acepto los Términos y condiciones.',
            LOAD_ERROR_TITLE: '¡Error!',
            LOAD_ERROR_DESCRIPTION: 'No se pudo cargar el acuerdo de licencia',
            RELOAD_BUTTON: 'Recargar',
        },
        VERIFY_EMAIL: {
            TITLE: 'Verificar correo electrónico',
            INSTRUCTIONS: 'Se ha enviado un código de verificación a la dirección de correo electrónico que proporcionó. Haga clic en el enlace o ingrese el código abajo para continuar. Este código es válido por 30 minutos.',
            CODE_FORM_LABEL: 'Código de verificación',
            RESEND_LABEL: '¿No recibiste el correo electrónico?',
            RESEND_BUTTON: 'Enviar de nuevo',
        },
        CREATE_PASSWORD: {
            INSTRUCTIONS: 'Por favor, seleccione una contraseña. Asegúrese de que su contraseña cumple con los requisitos de complejidad necesarios que se describen a continuación. ',
            TITLE: 'Crear contraseña',
        },
        ACCOUNT_DETAILS: {
            FIRST_NAME_FORM_LABEL: 'Nombre',
            INSTRUCTIONS: 'Ingrese sus datos en seguida para completar la creación de la cuenta',
            LAST_NAME_FORM_LABEL: 'Apellido',
            TITLE: 'detalles de la cuenta',
        },
        ACCOUNT_CREATED: {
            TITLE: 'Cuenta creada',
            WELCOME_MESSAGE_TITLE: (username) => `Bienvenido, ${username}`,
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Su cuenta ha sido creada con éxito con el correo electrónico ${email}.`
                    : `Tu cuenta ha sido creada satisfactoriamente.`;
                return `${firstSentence} Su cuenta ya se ha agregado a la organización. Presione Continuar a continuación para finalizar.`;
            },
            CONTINUE_BUTTON: 'Continuar',
        },
        ACCOUNT_EXISTING: {
            TITLE: 'Cuenta creada',
            WELCOME_MESSAGE_TITLE: 'Bienvenido',
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email
                    ? `Su cuenta ha sido creada con éxito con el correo electrónico ${email}.`
                    : `Tu cuenta ha sido creada satisfactoriamente.`;
                return `${firstSentence} Inicie sesión con el correo electrónico y la contraseña de su cuenta de Eaton.`;
            },
        },
    },
};

/* eslint-disable @typescript-eslint/naming-convention */
const bluiAuthChineseTranslations = {
    GENERAL: {
        BACK_BUTTON: '上一步',
        OKAY_BUTTON: '好的',
        DONE_BUTTON: '完成',
        NEXT_BUTTON: '下一步',
        CANCEL_BUTTON: '取消',
        PASSWORD_FORM_LABEL: '密码',
        PASSWORD_MISMATCH_ERROR: '密码不匹配',
        CONFIRM_PASSWORD_FORM_LABEL: '确认密码',
        EMAIL_FORM_LABEL: '邮箱地址',
        EMAIL_INVALID_ERROR: '请输入有效的电子邮件地址',
        IS_REQUIRED_ERROR: (field) => `${field}为必填项`,
        LOGIN_BUTTON: '登录',
    },
    LOGIN: {
        CONTACT_SUPPORT: '联系伊顿客服人员',
        CREATE_ACCOUNT: '创建账号',
        FORGOT_PASSWORD: '忘记密码？',
        NEED_AN_ACCOUNT: '需要建立新账号？',
        REMEMBER_ME: '记住我的登录信息',
        ENABLE_DEBUG_MODE: '调试',
        DEBUG_MODE: '调试模式',
        FORGOT_PASSWORD_LINK: '[测试忘记密码的电子邮件]',
        TEST_INVITE_LINK: '[测试邀请注册]',
        INVALID_CREDENTIALS: '邮箱地址或密码错误',
        ERROR_TITLE: '错误！',
    },
    CHANGE_PASSWORD: {
        TITLE: '修改密码',
        INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
        CURRENT_PASSWORD_FORM_LABEL: '当前密码',
        NEW_PASSWORD_FORM_LABEL: '新密码',
        CONFIRM_PASSWORD_FORM_LABEL: '确认新密码',
        SUCCESS_TITLE: '密码已修改',
        SUCCESS_DESCRIPTION: '已更新您的密码。安全起见，您需要用新密码重新登录。',
    },
    CONTACT_SUPPORT: {
        TITLE: '联系我们',
        PHONE_NUMBER: undefined,
        EMAIL: undefined,
        EMERGENCY_SUPPORT_DESCRIPTION: (phone) => `如需技术协助，请拨打 <a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        EMERGENCY_SUPPORT_TITLE: '紧急协助',
        GENERAL_SUPPORT_DESCRIPTION: (email) => `如果您有疑问、建议或需要协助，欢迎用邮件联系我们： <a class="blui-auth-link" href="mailto:${email}">${email}</a>.`,
        GENERAL_SUPPORT_TITLE: '一般问题',
    },
    PASSWORD_CRITERIA: {
        CHARACTER_LIMIT: '8至16个字符',
        ONE_NUMBER: '1个数字',
        ONE_UPPERCASE_CHARACTER: '1个大写字母',
        ONE_LOWERCASE_CHARACTER: '1个小写字母',
        ONE_SPECIAL_CHARACTER: '1个特殊字符',
    },
    FORGOT_PASSWORD: {
        TITLE: '忘记密码',
        INSTRUCTIONS: '请输入账户邮箱地址。',
        RESPONSE_TIME_TEXT: '如果伊顿系统中存在此邮箱地址注册的账号的话，您会在<strong>一个工作日</strong>内收到我们的回复。',
        PHONE_NUMBER: undefined,
        CONTACT_SUPPORT_BY_PHONE: (phone) => `如遇紧急账户问题，请拨打联系电话<a class="blui-auth-link" href="tel:${phone}">${phone}</a>.`,
        SUCCESS_TITLE: '邮件已发送',
        SUCCESS_DESCRIPTION: (email) => `重设密码的链接已发送至 <strong>${email}</strong>`,
    },
    RESET_PASSWORD: {
        TITLE: '重置密码',
        INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
        RESET_LINK_ERROR_TITLE: '错误！',
        RESET_LINK_ERROR_DESCRIPTION: '验证您的重置码时出错。',
        SUCCESS_TITLE: '您的密码已成功重置。',
        SUCCESS_DESCRIPTION: '您的密码已成功更新！为了确保您账号的安全，您将需要使用更新后的凭据登录到该应用程序。',
    },
    CREATE_ACCOUNT: {
        REGISTRATION_LINK: {
            VALIDATING: '证实',
            INVALID_TITLE: '错误！',
            INVALID_DESCRIPTION: '注册账号时出错。',
        },
        ENTER_EMAIL: {
            TITLE: '创建账号',
            INSTRUCTIONS: '请输入下列信息以注册伊顿账号。您需要先验证您的邮箱地址。',
        },
        EULA: {
            TITLE: '许可协议',
            CONFIRM_READ: '我已阅读并同意条款及细则',
            LOAD_ERROR_TITLE: '错误！',
            LOAD_ERROR_DESCRIPTION: '许可协议无法加载',
            RELOAD_BUTTON: '重装',
        },
        VERIFY_EMAIL: {
            TITLE: '验证邮箱',
            INSTRUCTIONS: '已向您的邮箱中发送了一封验证邮件。请点击邮件中的链接，或者在此输入邮件中的验证码。验证邮件在30分钟内有效。',
            CODE_FORM_LABEL: '验证码',
            RESEND_LABEL: '没有收到电子邮件？',
            RESEND_BUTTON: '重新发送',
        },
        CREATE_PASSWORD: {
            INSTRUCTIONS: '请输入您的新密码。请确保您的新密码符合以下列出的密码复杂度要求。',
            TITLE: '创建密码',
        },
        ACCOUNT_DETAILS: {
            FIRST_NAME_FORM_LABEL: '名',
            INSTRUCTIONS: '请输入下列个人信息来完成账号注册。',
            LAST_NAME_FORM_LABEL: '姓',
            TITLE: '账号详细资料',
        },
        ACCOUNT_CREATED: {
            TITLE: '账号已创建',
            WELCOME_MESSAGE_TITLE: (username) => `欢迎，${username}`,
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email ? `您的账号已通过电子邮件${email}成功创建。` : `您的账号已经创建成功。`;
                return `${firstSentence} 您的账号已被添加到组织中。请按下面的“继续”按钮完成。`;
            },
            CONTINUE_BUTTON: '继续',
        },
        ACCOUNT_EXISTING: {
            TITLE: '账号已创建',
            WELCOME_MESSAGE_TITLE: '欢迎',
            WELCOME_MESSAGE_DESCRIPTION: (email) => {
                const firstSentence = email ? `您的账号已通过电子邮件${email}成功创建。` : `您的账号已经创建成功。`;
                return `${firstSentence} 请使用您的伊顿账号电子邮件和密码登录。`;
            },
        },
    },
};

const BLUI_LOGIN_VALIDATOR_ERROR_NAME = 'BLUI_LOGIN_VALIDATOR_ERROR_NAME';
class BluiAuthConfig {
    constructor() {
        this.authGuardRedirectRoute = undefined;
        this.languageCode = 'EN';
        this.allowDebugMode = false;
        this.showRememberMe = true;
        this.contactEmail = 'placeholder-support@eaton.com';
        this.contactPhone = '1-800-123-4567';
        this.eulaScrollLock = true;
        /* Conditional Pages */
        this.showCreateAccount = true;
        this.showContactSupport = true;
        this.showForgotPassword = true;
        this.showResetPassword = true;
        this.showCreateAccountViaInvite = true;
        /* Password requirements */
        this.defaultPasswordRequirements = {
            characterLimit: true,
            uppercaseLetter: true,
            lowercaseLetter: true,
            requireNumber: true,
            specialCharacter: true,
        };
        this.customPasswordRequirements = [];
        /** Custom first name requirements used in the account registration pages. */
        this.customFirstNameRequirements = undefined;
        /** Custom last name requirements used in the account registration pages. */
        this.customLastNameRequirements = undefined;
    }
    getTranslations() {
        if (this.customTranslations) {
            return this.customTranslations;
        }
        switch (this.languageCode) {
            case 'EN': {
                return bluiAuthEnglishTranslations;
            }
            case 'FR': {
                return bluiAuthFrenchTranslations;
            }
            case 'ES': {
                return bluiAuthSpanishTranslations;
            }
            case 'ZH': {
                return bluiAuthChineseTranslations;
            }
            default: {
                return bluiAuthEnglishTranslations;
            }
        }
    }
    getPasswordRequirements() {
        const req = [];
        if (this.defaultPasswordRequirements.characterLimit) {
            req.push({
                description: this.getTranslations().PASSWORD_CRITERIA.CHARACTER_LIMIT,
                regex: /^.{8,16}$/,
            });
        }
        if (this.defaultPasswordRequirements.requireNumber) {
            req.push({
                description: this.getTranslations().PASSWORD_CRITERIA.ONE_NUMBER,
                regex: /[0-9]/,
            });
        }
        if (this.defaultPasswordRequirements.uppercaseLetter) {
            req.push({
                description: this.getTranslations().PASSWORD_CRITERIA.ONE_UPPERCASE_CHARACTER,
                regex: /[A-Z]/,
            });
        }
        if (this.defaultPasswordRequirements.lowercaseLetter) {
            req.push({
                description: this.getTranslations().PASSWORD_CRITERIA.ONE_LOWERCASE_CHARACTER,
                regex: /[a-z]/,
            });
        }
        if (this.defaultPasswordRequirements.specialCharacter) {
            req.push({
                description: this.getTranslations().PASSWORD_CRITERIA.ONE_SPECIAL_CHARACTER,
                regex: /[!"#$%&'()*+,-./:;<=>?@[\]^`{|}~]+/,
            });
        }
        return req.concat(this.customPasswordRequirements);
    }
}
BluiAuthConfig.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthConfig, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BluiAuthConfig.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthConfig, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthConfig, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/** Error when invalid control is touched, or submitted. */
class AuthErrorStateMatcher {
    setManualError(err) {
        this.manualError = err;
    }
    isErrorState(control, form) {
        const isSubmitted = form && form.submitted;
        return Boolean(this.manualError) || !!(control && control.invalid && (control.touched || isSubmitted));
    }
}
class ManualErrorStateMatch {
    isErrorState() {
        return true;
    }
}
class CrossFieldErrorMatcher {
    setManualError(err) {
        this.manualError = err;
    }
    isErrorState(control) {
        return Boolean(this.manualError) || ((control.touched || control.dirty) && control.invalid);
    }
}
// Returns true if a route (minus params) equals a target route
const matchesRoute = (route, authRouteKey) => {
    const authRoute = `/${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES[authRouteKey]}`.replace('//', '/');
    const urlNoParams = route.split('?')[0];
    return urlNoParams === authRoute;
};

class BluiAuthSecurityService {
    // Whenever the application loads for the first time, we may want to direct the user to their original destination, before they were redirected to the login screen.
    constructor(_router, _bluiAuthConfig) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this.securityStateObs = new Subject();
        this.isFirstRouteCaptured = false;
        this.securityState = {
            userId: undefined,
            email: undefined,
            rememberMeDetails: {
                email: undefined,
                rememberMe: undefined,
            },
            isAuthenticatedUser: false,
            isLoading: true,
            loadingMessage: undefined,
            registrationEmail: undefined,
            registrationPassword: undefined,
        };
    }
    /* Call this method to parse the on-load URL to identify which page to redirect to when the user is authenticated.
       If `defaultHomeRoute` is provided, then this route will be used when unable to identify the default redirect route via URL.
     */
    inferOnAuthenticatedRoute(defaultHomeRoute) {
        this._router.events.subscribe((event) => {
            if (event instanceof NavigationStart && !this.isFirstRouteCaptured) {
                this.isFirstRouteCaptured = true;
                const url = event.url;
                const isAuthModuleRoute = matchesRoute(url, 'LOGIN') ||
                    matchesRoute(url, 'CONTACT_SUPPORT') ||
                    matchesRoute(url, 'CREATE_ACCOUNT') ||
                    matchesRoute(url, 'CREATE_ACCOUNT_INVITE') ||
                    matchesRoute(url, 'FORGOT_PASSWORD') ||
                    matchesRoute(url, 'RESET_PASSWORD') ||
                    matchesRoute(url, 'AUTH_WORKFLOW');
                const isEmptyRoute = !url || url === '' || url === '/';
                // If there is no information
                if ((isEmptyRoute || isAuthModuleRoute) && defaultHomeRoute) {
                    AUTH_ROUTES.ON_AUTHENTICATED = defaultHomeRoute;
                    return;
                }
                // If the initial route loaded is not part of the auth workflow, make it so authenticated users will redirect to it post-login.
                if (!isAuthModuleRoute) {
                    AUTH_ROUTES.ON_AUTHENTICATED = event.url;
                }
            }
        });
    }
    updateSecurityState(newState) {
        this.setSecurityState(Object.assign(this.getSecurityState(), newState));
    }
    setSecurityState(newSecurityState) {
        this.securityState = newSecurityState;
        this.securityStateObs.next(this.securityState);
    }
    getSecurityState() {
        return this.securityState;
    }
    securityStateChanges() {
        return this.securityStateObs;
    }
    setLoading(isLoading) {
        !isLoading ? this.clearLoadingMessage() : '';
        this.updateSecurityState({ isLoading });
    }
    setLoadingMessage(loadingMessage) {
        this.updateSecurityState({ loadingMessage });
    }
    clearLoadingMessage() {
        this.updateSecurityState({ loadingMessage: undefined });
    }
    // If the user has been authenticated, this function should be called.
    onUserAuthenticated(email, password, rememberMe) {
        this.setSecurityState({
            email,
            userId: email,
            isAuthenticatedUser: true,
            isLoading: false,
            rememberMeDetails: {
                email: rememberMe ? email : undefined,
                rememberMe,
            },
            loadingMessage: this.securityState.loadingMessage,
            registrationEmail: undefined,
            registrationPassword: undefined,
        });
    }
    // If the user has been de-authenticated (either because they logged out or app started with no credentials),
    onUserNotAuthenticated(rememberMeDetails) {
        const currState = this.getSecurityState();
        const rememberMe = rememberMeDetails ? rememberMeDetails.rememberMe : currState.rememberMeDetails.rememberMe;
        const email = rememberMeDetails ? rememberMeDetails.user : currState.rememberMeDetails.email;
        this.setSecurityState(Object.assign(currState, {
            isAuthenticatedUser: false,
            isLoading: false,
            isShowingChangePassword: false,
            rememberMeDetails: {
                rememberMe,
                email,
            },
        }));
    }
}
BluiAuthSecurityService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthSecurityService, deps: [{ token: i1.Router }, { token: BluiAuthConfig }], target: i0.ɵɵFactoryTarget.Injectable });
BluiAuthSecurityService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthSecurityService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthSecurityService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }]; } });

class EmailFieldComponent {
    constructor(_bluiAuthConfig, _bluiSecurityService) {
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiSecurityService = _bluiSecurityService;
        this.rememberLoginEmail = false;
        this.rememberRegistrationEmail = false;
        this.edit = new EventEmitter();
        this.enter = new EventEmitter();
        this.matcher = new AuthErrorStateMatcher();
        this.customErrorName = BLUI_LOGIN_VALIDATOR_ERROR_NAME;
    }
    ngOnInit() {
        const emailValidators = [Validators.required, Validators.pattern(/^[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}$/i)];
        if (this.customEmailValidator || this._bluiAuthConfig.customEmailValidator) {
            emailValidators.push(this.customEmailValidator || this._bluiAuthConfig.customEmailValidator);
        }
        this.emailFormControl = new FormControl(this.showEmail(), emailValidators);
    }
    ngOnChanges() {
        this.matcher.setManualError(this.manualErrorMessage);
    }
    showEmail() {
        if (this.rememberLoginEmail) {
            return this._bluiSecurityService.getSecurityState().rememberMeDetails.email;
        }
        else if (this.rememberRegistrationEmail) {
            return this._bluiSecurityService.getSecurityState().registrationEmail;
        }
        return '';
    }
    isEmailFormDirty() {
        return this.touchedIdField && (this.emailFormControl.dirty || this.emailFormControl.touched);
    }
    translate() {
        return this._bluiAuthConfig.getTranslations();
    }
}
EmailFieldComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: EmailFieldComponent, deps: [{ token: BluiAuthConfig }, { token: BluiAuthSecurityService }], target: i0.ɵɵFactoryTarget.Component });
EmailFieldComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: EmailFieldComponent, selector: "blui-email-field", inputs: { customEmailValidator: "customEmailValidator", rememberLoginEmail: "rememberLoginEmail", manualErrorMessage: "manualErrorMessage", rememberRegistrationEmail: "rememberRegistrationEmail" }, outputs: { edit: "edit", enter: "enter" }, usesOnChanges: true, ngImport: i0, template: `
        <mat-form-field appearance="fill" blui-input>
            <mat-label>{{ translate().GENERAL.EMAIL_FORM_LABEL }}</mat-label>
            <input
                id="blui-email"
                name="email"
                type="email"
                matInput
                autocomplete="off"
                (ngModelChange)="edit.emit(emailFormControl.value)"
                (focus)="touchedIdField = true; idFieldActive = true"
                (blur)="idFieldActive = false"
                [formControl]="emailFormControl"
                [errorStateMatcher]="matcher"
                (keyup.enter)="enter.emit()"
            />
            <mat-error
                id="blui-email-helper-text"
                *ngIf="
                    !manualErrorMessage &&
                    isEmailFormDirty() &&
                    !emailFormControl.hasError('required') &&
                    !emailFormControl.hasError(customErrorName)
                "
                [innerHTML]="translate().GENERAL.EMAIL_INVALID_ERROR"
            >
            </mat-error>
            <mat-error
                *ngIf="!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError('required')"
                [innerHTML]="translate().GENERAL.IS_REQUIRED_ERROR(translate().GENERAL.EMAIL_FORM_LABEL)"
            >
            </mat-error>
            <mat-error
                *ngIf="!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError(customErrorName)"
                [innerHTML]="emailFormControl.errors[customErrorName].message"
            >
            </mat-error>
            <mat-error *ngIf="manualErrorMessage" [innerHTML]="manualErrorMessage"> </mat-error>
        </mat-form-field>
    `, isInline: true, styles: ["mat-form-field{width:100%;margin-bottom:24px}@media only screen and (max-width: 600px){mat-form-field{margin-bottom:16px}}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i6.MatLegacyError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i6.MatLegacyFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6.MatLegacyLabel, selector: "mat-label" }, { kind: "directive", type: i7.MatLegacyInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", exportAs: ["matInput"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: EmailFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-email-field', template: `
        <mat-form-field appearance="fill" blui-input>
            <mat-label>{{ translate().GENERAL.EMAIL_FORM_LABEL }}</mat-label>
            <input
                id="blui-email"
                name="email"
                type="email"
                matInput
                autocomplete="off"
                (ngModelChange)="edit.emit(emailFormControl.value)"
                (focus)="touchedIdField = true; idFieldActive = true"
                (blur)="idFieldActive = false"
                [formControl]="emailFormControl"
                [errorStateMatcher]="matcher"
                (keyup.enter)="enter.emit()"
            />
            <mat-error
                id="blui-email-helper-text"
                *ngIf="
                    !manualErrorMessage &&
                    isEmailFormDirty() &&
                    !emailFormControl.hasError('required') &&
                    !emailFormControl.hasError(customErrorName)
                "
                [innerHTML]="translate().GENERAL.EMAIL_INVALID_ERROR"
            >
            </mat-error>
            <mat-error
                *ngIf="!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError('required')"
                [innerHTML]="translate().GENERAL.IS_REQUIRED_ERROR(translate().GENERAL.EMAIL_FORM_LABEL)"
            >
            </mat-error>
            <mat-error
                *ngIf="!manualErrorMessage && isEmailFormDirty() && emailFormControl.hasError(customErrorName)"
                [innerHTML]="emailFormControl.errors[customErrorName].message"
            >
            </mat-error>
            <mat-error *ngIf="manualErrorMessage" [innerHTML]="manualErrorMessage"> </mat-error>
        </mat-form-field>
    `, styles: ["mat-form-field{width:100%;margin-bottom:24px}@media only screen and (max-width: 600px){mat-form-field{margin-bottom:16px}}\n"] }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: BluiAuthSecurityService }]; }, propDecorators: { customEmailValidator: [{
                type: Input
            }], rememberLoginEmail: [{
                type: Input
            }], manualErrorMessage: [{
                type: Input
            }], rememberRegistrationEmail: [{
                type: Input
            }], edit: [{
                type: Output
            }], enter: [{
                type: Output
            }] } });

class PasswordFieldComponent {
    constructor(_bluiAuthConfig, _bluiSecurityService) {
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiSecurityService = _bluiSecurityService;
        this.passwordsMatchChange = new EventEmitter();
        this.enter = new EventEmitter();
        this.edit = new EventEmitter();
        this.isPasswordVisible = false;
        this.matcher = new CrossFieldErrorMatcher();
    }
    ngOnInit() {
        const rememberedPassword = this.rememberPassword
            ? this._bluiSecurityService.getSecurityState().registrationPassword
            : '';
        this.passwordFormControl = new FormControl(rememberedPassword ? rememberedPassword : '', [
            this._passwordsMatchValidator(),
        ]);
    }
    ngOnChanges() {
        this.matcher.setManualError(this.manualErrorMessage);
    }
    _passwordsMatchValidator() {
        return (control) => {
            if (!this.shouldMatch) {
                return;
            }
            const passwordsMatch = this.shouldMatch && this.shouldMatch.value && control.value === this.shouldMatch.value;
            this.passwordsMatchChange.emit(passwordsMatch);
            if (!passwordsMatch) {
                return { mismatch: { message: '' } };
            }
        };
    }
    translate() {
        return this._bluiAuthConfig.getTranslations();
    }
    togglePasswordVisibility() {
        this.isPasswordVisible = !this.isPasswordVisible;
    }
}
PasswordFieldComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: PasswordFieldComponent, deps: [{ token: BluiAuthConfig }, { token: BluiAuthSecurityService }], target: i0.ɵɵFactoryTarget.Component });
PasswordFieldComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: PasswordFieldComponent, selector: "blui-password-field", inputs: { rememberPassword: "rememberPassword", label: "label", shouldMatch: "shouldMatch", passwordsMatch: "passwordsMatch", manualErrorMessage: "manualErrorMessage" }, outputs: { passwordsMatchChange: "passwordsMatchChange", enter: "enter", edit: "edit" }, viewQueries: [{ propertyName: "passwordInputElement", first: true, predicate: ["bluiPasswordField"], descendants: true }], usesOnChanges: true, ngImport: i0, template: `
        <mat-form-field appearance="fill" blui-input>
            <mat-label>{{ label || translate().GENERAL.PASSWORD_FORM_LABEL }}</mat-label>
            <input
                matInput
                class="blui-password"
                #bluiPasswordField
                name="password"
                autocomplete="off"
                (ngModelChange)="edit.emit(passwordFormControl.value)"
                [type]="isPasswordVisible ? 'text' : 'password'"
                [formControl]="passwordFormControl"
                [errorStateMatcher]="matcher"
                (keydown.enter)="enter.emit()"
            />
            <button
                class="blui-visibility-icon"
                type="button"
                mat-icon-button
                matSuffix
                (click)="togglePasswordVisibility()"
            >
                <mat-icon>{{ isPasswordVisible ? 'visibility' : 'visibility_off' }}</mat-icon>
            </button>
            <mat-error
                *ngIf="!manualErrorMessage && passwordFormControl.hasError('mismatch')"
                [innerHTML]="translate().GENERAL.PASSWORD_MISMATCH_ERROR"
            ></mat-error>
            <mat-error *ngIf="manualErrorMessage" [innerHTML]="manualErrorMessage"> </mat-error>
        </mat-form-field>
    `, isInline: true, styles: ["mat-form-field{width:100%}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "directive", type: i6.MatLegacyError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i6.MatLegacyFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6.MatLegacyLabel, selector: "mat-label" }, { kind: "directive", type: i6.MatLegacySuffix, selector: "[matSuffix]" }, { kind: "directive", type: i7.MatLegacyInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", exportAs: ["matInput"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: PasswordFieldComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-password-field', template: `
        <mat-form-field appearance="fill" blui-input>
            <mat-label>{{ label || translate().GENERAL.PASSWORD_FORM_LABEL }}</mat-label>
            <input
                matInput
                class="blui-password"
                #bluiPasswordField
                name="password"
                autocomplete="off"
                (ngModelChange)="edit.emit(passwordFormControl.value)"
                [type]="isPasswordVisible ? 'text' : 'password'"
                [formControl]="passwordFormControl"
                [errorStateMatcher]="matcher"
                (keydown.enter)="enter.emit()"
            />
            <button
                class="blui-visibility-icon"
                type="button"
                mat-icon-button
                matSuffix
                (click)="togglePasswordVisibility()"
            >
                <mat-icon>{{ isPasswordVisible ? 'visibility' : 'visibility_off' }}</mat-icon>
            </button>
            <mat-error
                *ngIf="!manualErrorMessage && passwordFormControl.hasError('mismatch')"
                [innerHTML]="translate().GENERAL.PASSWORD_MISMATCH_ERROR"
            ></mat-error>
            <mat-error *ngIf="manualErrorMessage" [innerHTML]="manualErrorMessage"> </mat-error>
        </mat-form-field>
    `, styles: ["mat-form-field{width:100%}\n"] }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: BluiAuthSecurityService }]; }, propDecorators: { rememberPassword: [{
                type: Input
            }], label: [{
                type: Input
            }], shouldMatch: [{
                type: Input
            }], passwordsMatch: [{
                type: Input
            }], manualErrorMessage: [{
                type: Input
            }], passwordsMatchChange: [{
                type: Output
            }], enter: [{
                type: Output
            }], edit: [{
                type: Output
            }], passwordInputElement: [{
                type: ViewChild,
                args: ['bluiPasswordField']
            }] } });

/* eslint-disable @typescript-eslint/no-unused-vars */
class BluiAuthUIService {
    warn() {
        /* eslint-disable no-console */
        console.warn('You need to provide your own BluiAuthUIActionsService');
    }
    login(email, password, rememberMe) {
        this.warn();
        return undefined;
    }
    forgotPassword(email) {
        this.warn();
        return undefined;
    }
    changePassword(oldPassword, newPassword) {
        this.warn();
        return undefined;
    }
    verifyResetCode() {
        this.warn();
        return undefined;
    }
    setPassword(password) {
        this.warn();
        return undefined;
    }
    initiateSecurity() {
        this.warn();
        return undefined;
    }
}
BluiAuthUIService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthUIService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BluiAuthUIService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthUIService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthUIService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

/* eslint-disable @typescript-eslint/no-unused-vars */
class BluiRegisterUIService {
    warn() {
        /* eslint-disable no-console */
        console.warn('You need to provide your own BluiRegisterUIService');
    }
    validateUserRegistrationRequest(code) {
        this.warn();
        return Promise.resolve(false);
    }
    loadEULA() {
        this.warn();
        return undefined;
    }
    requestRegistrationCode(email) {
        this.warn();
        return undefined;
    }
    completeRegistration(firstName, lastName, customAccountDetails, password, validationCode, email) {
        this.warn();
        return undefined;
    }
}
BluiRegisterUIService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiRegisterUIService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BluiRegisterUIService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiRegisterUIService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiRegisterUIService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class BluiAuthErrorDialogComponent {
    constructor(data, dialogRef) {
        this.data = data;
        this.dialogRef = dialogRef;
        // These are the defaults when no ErrorDialogData is provided by users or our ErrorDialogServices.
        this.title = 'Error!';
        this.message = 'Unable to process your request.';
    }
    // Use ErrorDialogData values if they are provided by an ErrorDialogService or directly from the user via a catch block.
    ngOnInit() {
        var _a, _b;
        this.title = ((_a = this.data) === null || _a === void 0 ? void 0 : _a.title) || this.title;
        this.message = ((_b = this.data) === null || _b === void 0 ? void 0 : _b.message) || this.message;
    }
}
BluiAuthErrorDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthErrorDialogComponent, deps: [{ token: MAT_LEGACY_DIALOG_DATA }, { token: i1$1.MatLegacyDialogRef }], target: i0.ɵɵFactoryTarget.Component });
BluiAuthErrorDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiAuthErrorDialogComponent, selector: "blui-auth-error-dialog", ngImport: i0, template: `
        <div style="max-width: 552px">
            <div class="mat-h2">{{ title }}</div>
            <div class="mat-subheading-2">{{ message }}</div>
            <div style="display: flex; justify-content: flex-end; margin-top: 24px;">
                <button mat-button color="primary" (click)="dialogRef.close()">Okay</button>
            </div>
        </div>
    `, isInline: true, dependencies: [{ kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthErrorDialogComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-auth-error-dialog',
                    template: `
        <div style="max-width: 552px">
            <div class="mat-h2">{{ title }}</div>
            <div class="mat-subheading-2">{{ message }}</div>
            <div style="display: flex; justify-content: flex-end; margin-top: 24px;">
                <button mat-button color="primary" (click)="dialogRef.close()">Okay</button>
            </div>
        </div>
    `,
                }]
        }], ctorParameters: function () {
        return [{ type: undefined, decorators: [{
                        type: Inject,
                        args: [MAT_LEGACY_DIALOG_DATA]
                    }] }, { type: i1$1.MatLegacyDialogRef }];
    } });

class BluiLoginErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        const customErrorData = {
            title: data === null || data === void 0 ? void 0 : data.title,
            message: (data === null || data === void 0 ? void 0 : data.message) || 'Your username/password combination is not recognized.',
        };
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data: customErrorData,
        });
    }
}
BluiLoginErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiLoginErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiLoginErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiLoginErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiLoginErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

class BluiFormsService {
    advanceToNextField(fieldToNavigateTo) {
        if (fieldToNavigateTo) {
            fieldToNavigateTo.nativeElement.focus();
        }
    }
}
BluiFormsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiFormsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BluiFormsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiFormsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiFormsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }] });

class BluiLoginComponent {
    constructor(bluiAuthConfig, _router, _changeDetectorRef, _bluiUIActionsService, _bluiSecurityService, _bluiLoginErrorDialogService, bluiFormsService) {
        this.bluiAuthConfig = bluiAuthConfig;
        this._router = _router;
        this._changeDetectorRef = _changeDetectorRef;
        this._bluiUIActionsService = _bluiUIActionsService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiLoginErrorDialogService = _bluiLoginErrorDialogService;
        this.bluiFormsService = bluiFormsService;
        this.isPasswordVisible = false;
        this.debugMode = false;
        this.selectedLanguage = 'English';
        this.isEmpty = (el) => isEmptyView(el);
    }
    ngOnInit() {
        this.rememberMe = this._bluiSecurityService.getSecurityState().rememberMeDetails.rememberMe;
        if (this._bluiSecurityService.getSecurityState().isAuthenticatedUser) {
            this.navigateToDefaultRoute();
            return;
        }
    }
    ngAfterViewInit() {
        this.emailFormControl = this.emailFieldComponent.emailFormControl;
        this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
        this._changeDetectorRef.detectChanges();
    }
    toggleDebugMode() {
        this.debugMode = !this.debugMode;
    }
    login() {
        const email = this.emailFormControl.value;
        const password = this.passwordFormControl.value;
        const rememberMe = Boolean(this.rememberMe);
        this._bluiSecurityService.setLoading(true);
        this._bluiUIActionsService
            .login(email, password, rememberMe)
            .then(() => {
            this._bluiSecurityService.onUserAuthenticated(email, password, rememberMe);
            this.navigateToDefaultRoute();
            this._bluiSecurityService.setLoading(false);
        })
            .catch((errorData) => {
            // If a user provides `undefined` rejection data, don't throw an error.
            const rejectionData = errorData || {};
            const mode = rejectionData.mode || ['dialog'];
            if (mode.includes('none')) {
                this._bluiSecurityService.onUserNotAuthenticated();
                this._bluiSecurityService.setLoading(false);
                return;
            }
            this.position = rejectionData.position || 'top';
            this.dismissible = rejectionData.dismissible === undefined ? true : rejectionData.dismissible;
            this.showDialog = mode.includes('dialog');
            this.showCardError = mode.includes('message-box');
            this.showFormErr = mode.includes('form');
            const errorTitle = rejectionData.title || this.translate().LOGIN.ERROR_TITLE;
            this.errorMessage = rejectionData.message || this.translate().LOGIN.INVALID_CREDENTIALS;
            if (this.showCardError) {
                this.showCardError = true;
            }
            if (this.showDialog) {
                this._bluiLoginErrorDialogService.openDialog({
                    title: errorTitle,
                    message: this.errorMessage,
                });
            }
            this._bluiSecurityService.onUserNotAuthenticated();
            this._bluiSecurityService.setLoading(false);
        });
    }
    focusPasswordField() {
        this.bluiFormsService.advanceToNextField(this.passwordFieldComponent.passwordInputElement);
    }
    toggleRememberMe() {
        const rememberMe = this.rememberMe;
        this._bluiSecurityService.updateSecurityState({ rememberMeDetails: { rememberMe } });
    }
    navigateToDefaultRoute() {
        void this._router.navigate([AUTH_ROUTES.ON_AUTHENTICATED]);
    }
    forgotPassword() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.FORGOT_PASSWORD}`]);
    }
    testForgotPasswordEmail() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.RESET_PASSWORD}`], {
            queryParams: { code: 'DEADBEEF', email: 'resetPassword@email.com' },
        });
    }
    testInviteRegister() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.CREATE_ACCOUNT_INVITE}`], {
            queryParams: { code: 'DEADBEEF' },
        });
    }
    createAccount() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.CREATE_ACCOUNT}`]);
    }
    contactSupport() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.CONTACT_SUPPORT}`]);
    }
    hasValidFormEntries() {
        return (this.passwordFormControl &&
            this.emailFormControl &&
            this.passwordFormControl.value &&
            this.emailFormControl.valid);
    }
    changeLanguage(languageCode) {
        this.bluiAuthConfig.languageCode = languageCode;
    }
    translate() {
        return this.bluiAuthConfig.getTranslations();
    }
    clearInputErrorMessage() {
        this.errorMessage = '';
    }
}
BluiLoginComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiLoginComponent, deps: [{ token: BluiAuthConfig }, { token: i1.Router }, { token: i0.ChangeDetectorRef }, { token: BluiAuthUIService }, { token: BluiAuthSecurityService }, { token: BluiLoginErrorDialogService }, { token: BluiFormsService }], target: i0.ɵɵFactoryTarget.Component });
BluiLoginComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiLoginComponent, selector: "blui-login", inputs: { customEmailValidator: "customEmailValidator" }, host: { classAttribute: "Blui-login" }, viewQueries: [{ propertyName: "headerEl", first: true, predicate: ["header"], descendants: true }, { propertyName: "footerEl", first: true, predicate: ["footer"], descendants: true }, { propertyName: "emailFieldComponent", first: true, predicate: EmailFieldComponent, descendants: true }, { propertyName: "passwordFieldComponent", first: true, predicate: PasswordFieldComponent, descendants: true }], ngImport: i0, template: "<div class=\"blui-login-header\">\n    <div #header>\n        <ng-content select=\"[blui-login-header]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(headerEl)\">DEFAULT HEADER</div>\n</div>\n\n<button\n    *ngIf=\"bluiAuthConfig.allowDebugMode\"\n    mat-raised-button\n    class=\"blui-login-debug-button\"\n    color=\"primary\"\n    (click)=\"toggleDebugMode()\"\n    [innerHTML]=\"translate().LOGIN.ENABLE_DEBUG_MODE\"\n></button>\n\n<div *ngIf=\"debugMode\" class=\"blui-login-debug-message\">\n    <div class=\"mat-title\" [innerHTML]=\"translate().LOGIN.DEBUG_MODE\"></div>\n</div>\n\n<ng-template #cardError>\n    <mat-icon *ngIf=\"dismissible\" style=\"float: right; cursor: pointer\" (click)=\"showCardError = false\">close</mat-icon>\n    <div class=\"mat-body-2\" style=\"font-weight: 400\">{{ errorMessage }}</div>\n</ng-template>\n\n<mat-form-field *ngIf=\"debugMode\" id=\"blui-language-select\">\n    <mat-label>Language </mat-label>\n    <mat-select\n        #bluiLanguageSelect\n        (ngModelChange)=\"changeLanguage(bluiLanguageSelect.value)\"\n        [(ngModel)]=\"selectedLanguage\"\n    >\n        <mat-option value=\"EN\">English</mat-option>\n        <mat-option value=\"FR\">French</mat-option>\n        <mat-option value=\"ES\">Spanish</mat-option>\n        <mat-option value=\"ZH\">Chinese</mat-option>\n    </mat-select>\n</mat-form-field>\n\n<mat-card *ngIf=\"errorMessage && showCardError && position === 'top'\" class=\"mat-elevation-z0 blui-login-box-error\">\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n<form>\n    <blui-email-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [customEmailValidator]=\"customEmailValidator\"\n        [rememberLoginEmail]=\"true\"\n        (enter)=\"focusPasswordField()\"\n        (edit)=\"clearInputErrorMessage()\"\n    ></blui-email-field>\n    <blui-password-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [style.marginBottom.px]=\"24\"\n        (edit)=\"clearInputErrorMessage()\"\n        (enter)=\"hasValidFormEntries() ? login() : ''\"\n    ></blui-password-field>\n</form>\n\n<mat-card\n    *ngIf=\"errorMessage && showCardError && position === 'bottom'\"\n    class=\"mat-elevation-z0 blui-login-box-error blui-login-box-error-bottom\"\n>\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n\n<div class=\"blui-login-remember-me-login-wrapper\">\n    <mat-checkbox\n        *ngIf=\"bluiAuthConfig.showRememberMe\"\n        class=\"blui-login-remember-me-checkbox\"\n        [(ngModel)]=\"rememberMe\"\n        (change)=\"toggleRememberMe()\"\n        >{{ translate().LOGIN.REMEMBER_ME }}</mat-checkbox\n    >\n    <button\n        mat-flat-button\n        color=\"primary\"\n        class=\"blui-login-button\"\n        [class.blui-login-button-full-width]=\"!bluiAuthConfig.showRememberMe\"\n        (click)=\"login()\"\n        [disabled]=\"isLoading || !hasValidFormEntries()\"\n    >\n        {{ translate().GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n\n<ng-content select=\"[blui-login-actions]\"></ng-content>\n\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showResetPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-reset-password-link\"\n    (click)=\"testForgotPasswordEmail()\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD_LINK }}\n</div>\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showCreateAccountViaInvite\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-invite-link\"\n    (click)=\"testInviteRegister()\"\n>\n    {{ translate().LOGIN.TEST_INVITE_LINK }}\n</div>\n<div\n    *ngIf=\"bluiAuthConfig.showForgotPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-forgot-password-link\"\n    (click)=\"forgotPassword()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD }}\n</div>\n\n<div\n    *ngIf=\"debugMode || bluiAuthConfig.showCreateAccount || bluiAuthConfig.showContactSupport\"\n    color=\"primary\"\n    class=\"mat-body-2\"\n    style=\"text-align: center\"\n>\n    {{ translate().LOGIN.NEED_AN_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showCreateAccount\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-link\"\n    style=\"margin-bottom: 32px\"\n    (click)=\"createAccount()\"\n>\n    {{ translate().LOGIN.CREATE_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showContactSupport\"\n    class=\"blui-auth-link mat-body-2\"\n    (click)=\"contactSupport()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.CONTACT_SUPPORT }}\n</div>\n\n<blui-spacer></blui-spacer>\n\n<div class=\"blui-login-footer\">\n    <div #footer>\n        <ng-content select=\"[blui-login-footer]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(footerEl)\">DEFAULT FOOTER</div>\n</div>\n", styles: [".blui-login-debug-button{position:absolute;top:24px;right:24px}.blui-login-debug-message{padding:8px;margin-bottom:16px;background-color:#f0cb2f;text-align:center}.blui-login-header{margin-bottom:48px}mat-form-field{width:100%;margin-bottom:25px}::ng-deep .blui-login-remember-me-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-login-remember-me-login-wrapper{display:flex;margin-top:16px;justify-content:space-between;margin-bottom:40px;align-items:center}.blui-login-button{width:150px}.blui-login-button-full-width{width:100%}@media only screen and (max-width: 600px){.blui-login-debug-button{position:static;margin-bottom:16px}.blui-login-remember-me-login-wrapper{flex-direction:column}.blui-login-remember-me-login-wrapper .blui-login-remember-me-checkbox{margin-bottom:8px}}.blui-login-box-error{background-color:#ca3c3d;color:#fff;margin-bottom:16px}.blui-login-box-error.blui-login-box-error-bottom{margin-top:24px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i4.SpacerComponent, selector: "blui-spacer", inputs: ["flex", "height", "width"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i6.MatLegacyFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6.MatLegacyLabel, selector: "mat-label" }, { kind: "component", type: i11.MatLegacySelect, selector: "mat-select", inputs: ["disabled", "disableRipple", "tabIndex"], exportAs: ["matSelect"] }, { kind: "component", type: i12.MatLegacyOption, selector: "mat-option", exportAs: ["matOption"] }, { kind: "component", type: i13.MatLegacyCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i15.MatLegacyCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: EmailFieldComponent, selector: "blui-email-field", inputs: ["customEmailValidator", "rememberLoginEmail", "manualErrorMessage", "rememberRegistrationEmail"], outputs: ["edit", "enter"] }, { kind: "component", type: PasswordFieldComponent, selector: "blui-password-field", inputs: ["rememberPassword", "label", "shouldMatch", "passwordsMatch", "manualErrorMessage"], outputs: ["passwordsMatchChange", "enter", "edit"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiLoginComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-login', host: {
                        class: 'Blui-login',
                    }, template: "<div class=\"blui-login-header\">\n    <div #header>\n        <ng-content select=\"[blui-login-header]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(headerEl)\">DEFAULT HEADER</div>\n</div>\n\n<button\n    *ngIf=\"bluiAuthConfig.allowDebugMode\"\n    mat-raised-button\n    class=\"blui-login-debug-button\"\n    color=\"primary\"\n    (click)=\"toggleDebugMode()\"\n    [innerHTML]=\"translate().LOGIN.ENABLE_DEBUG_MODE\"\n></button>\n\n<div *ngIf=\"debugMode\" class=\"blui-login-debug-message\">\n    <div class=\"mat-title\" [innerHTML]=\"translate().LOGIN.DEBUG_MODE\"></div>\n</div>\n\n<ng-template #cardError>\n    <mat-icon *ngIf=\"dismissible\" style=\"float: right; cursor: pointer\" (click)=\"showCardError = false\">close</mat-icon>\n    <div class=\"mat-body-2\" style=\"font-weight: 400\">{{ errorMessage }}</div>\n</ng-template>\n\n<mat-form-field *ngIf=\"debugMode\" id=\"blui-language-select\">\n    <mat-label>Language </mat-label>\n    <mat-select\n        #bluiLanguageSelect\n        (ngModelChange)=\"changeLanguage(bluiLanguageSelect.value)\"\n        [(ngModel)]=\"selectedLanguage\"\n    >\n        <mat-option value=\"EN\">English</mat-option>\n        <mat-option value=\"FR\">French</mat-option>\n        <mat-option value=\"ES\">Spanish</mat-option>\n        <mat-option value=\"ZH\">Chinese</mat-option>\n    </mat-select>\n</mat-form-field>\n\n<mat-card *ngIf=\"errorMessage && showCardError && position === 'top'\" class=\"mat-elevation-z0 blui-login-box-error\">\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n<form>\n    <blui-email-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [customEmailValidator]=\"customEmailValidator\"\n        [rememberLoginEmail]=\"true\"\n        (enter)=\"focusPasswordField()\"\n        (edit)=\"clearInputErrorMessage()\"\n    ></blui-email-field>\n    <blui-password-field\n        [manualErrorMessage]=\"showFormErr ? errorMessage : ''\"\n        [style.marginBottom.px]=\"24\"\n        (edit)=\"clearInputErrorMessage()\"\n        (enter)=\"hasValidFormEntries() ? login() : ''\"\n    ></blui-password-field>\n</form>\n\n<mat-card\n    *ngIf=\"errorMessage && showCardError && position === 'bottom'\"\n    class=\"mat-elevation-z0 blui-login-box-error blui-login-box-error-bottom\"\n>\n    <ng-template [ngTemplateOutlet]=\"cardError\"></ng-template>\n</mat-card>\n\n<div class=\"blui-login-remember-me-login-wrapper\">\n    <mat-checkbox\n        *ngIf=\"bluiAuthConfig.showRememberMe\"\n        class=\"blui-login-remember-me-checkbox\"\n        [(ngModel)]=\"rememberMe\"\n        (change)=\"toggleRememberMe()\"\n        >{{ translate().LOGIN.REMEMBER_ME }}</mat-checkbox\n    >\n    <button\n        mat-flat-button\n        color=\"primary\"\n        class=\"blui-login-button\"\n        [class.blui-login-button-full-width]=\"!bluiAuthConfig.showRememberMe\"\n        (click)=\"login()\"\n        [disabled]=\"isLoading || !hasValidFormEntries()\"\n    >\n        {{ translate().GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n\n<ng-content select=\"[blui-login-actions]\"></ng-content>\n\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showResetPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-reset-password-link\"\n    (click)=\"testForgotPasswordEmail()\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD_LINK }}\n</div>\n<div\n    *ngIf=\"debugMode && bluiAuthConfig.showCreateAccountViaInvite\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-invite-link\"\n    (click)=\"testInviteRegister()\"\n>\n    {{ translate().LOGIN.TEST_INVITE_LINK }}\n</div>\n<div\n    *ngIf=\"bluiAuthConfig.showForgotPassword\"\n    color=\"primary\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-forgot-password-link\"\n    (click)=\"forgotPassword()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.FORGOT_PASSWORD }}\n</div>\n\n<div\n    *ngIf=\"debugMode || bluiAuthConfig.showCreateAccount || bluiAuthConfig.showContactSupport\"\n    color=\"primary\"\n    class=\"mat-body-2\"\n    style=\"text-align: center\"\n>\n    {{ translate().LOGIN.NEED_AN_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showCreateAccount\"\n    class=\"blui-auth-link mat-body-2\"\n    id=\"blui-create-account-link\"\n    style=\"margin-bottom: 32px\"\n    (click)=\"createAccount()\"\n>\n    {{ translate().LOGIN.CREATE_ACCOUNT }}\n</div>\n\n<div\n    *ngIf=\"bluiAuthConfig.showContactSupport\"\n    class=\"blui-auth-link mat-body-2\"\n    (click)=\"contactSupport()\"\n    style=\"margin-bottom: 32px\"\n>\n    {{ translate().LOGIN.CONTACT_SUPPORT }}\n</div>\n\n<blui-spacer></blui-spacer>\n\n<div class=\"blui-login-footer\">\n    <div #footer>\n        <ng-content select=\"[blui-login-footer]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(footerEl)\">DEFAULT FOOTER</div>\n</div>\n", styles: [".blui-login-debug-button{position:absolute;top:24px;right:24px}.blui-login-debug-message{padding:8px;margin-bottom:16px;background-color:#f0cb2f;text-align:center}.blui-login-header{margin-bottom:48px}mat-form-field{width:100%;margin-bottom:25px}::ng-deep .blui-login-remember-me-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-login-remember-me-login-wrapper{display:flex;margin-top:16px;justify-content:space-between;margin-bottom:40px;align-items:center}.blui-login-button{width:150px}.blui-login-button-full-width{width:100%}@media only screen and (max-width: 600px){.blui-login-debug-button{position:static;margin-bottom:16px}.blui-login-remember-me-login-wrapper{flex-direction:column}.blui-login-remember-me-login-wrapper .blui-login-remember-me-checkbox{margin-bottom:8px}}.blui-login-box-error{background-color:#ca3c3d;color:#fff;margin-bottom:16px}.blui-login-box-error.blui-login-box-error-bottom{margin-top:24px}\n"] }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: i1.Router }, { type: i0.ChangeDetectorRef }, { type: BluiAuthUIService }, { type: BluiAuthSecurityService }, { type: BluiLoginErrorDialogService }, { type: BluiFormsService }]; }, propDecorators: { customEmailValidator: [{
                type: Input
            }], headerEl: [{
                type: ViewChild,
                args: ['header', { static: false }]
            }], footerEl: [{
                type: ViewChild,
                args: ['footer', { static: false }]
            }], emailFieldComponent: [{
                type: ViewChild,
                args: [EmailFieldComponent]
            }], passwordFieldComponent: [{
                type: ViewChild,
                args: [PasswordFieldComponent]
            }] } });

class BluiForgotPasswordErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data,
        });
    }
}
BluiForgotPasswordErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiForgotPasswordErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiForgotPasswordErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiForgotPasswordErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiForgotPasswordErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

class BluiForgotPasswordComponent {
    constructor(_router, _bluiAuthConfig, _bluiAuthUIActionsService, _bluiSecurityService, _bluiForgotPasswordDialogService) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiAuthUIActionsService = _bluiAuthUIActionsService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiForgotPasswordDialogService = _bluiForgotPasswordDialogService;
        this.matcher = new AuthErrorStateMatcher();
        this.passwordResetSuccess = false;
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
    }
    ngAfterViewInit() {
        this.emailFormControl = this.emailFieldComponent.emailFormControl;
    }
    navigateToLogin() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
    getSupportByPhone() {
        const phone = this.translate.CONTACT_SUPPORT.PHONE_NUMBER || this._bluiAuthConfig.contactPhone;
        return this.translate.FORGOT_PASSWORD.CONTACT_SUPPORT_BY_PHONE(phone);
    }
    hasValidEmail() {
        return this.emailFormControl && this.emailFormControl.valid;
    }
    resetPassword() {
        this._bluiSecurityService.setLoading(true);
        this._bluiAuthUIActionsService
            .forgotPassword(this.email)
            .then(() => {
            this.passwordResetSuccess = true;
            void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.FORGOT_PASSWORD}`]);
            this._bluiSecurityService.setLoading(false);
        })
            .catch((data) => {
            this._bluiForgotPasswordDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
        });
    }
}
BluiForgotPasswordComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiForgotPasswordComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: BluiAuthUIService }, { token: BluiAuthSecurityService }, { token: BluiForgotPasswordErrorDialogService }], target: i0.ɵɵFactoryTarget.Component });
BluiForgotPasswordComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiForgotPasswordComponent, selector: "blui-forgot-password", inputs: { customEmailValidator: "customEmailValidator" }, viewQueries: [{ propertyName: "emailFieldComponent", first: true, predicate: EmailFieldComponent, descendants: true }], ngImport: i0, template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.FORGOT_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\" *ngIf=\"!passwordResetSuccess\">\n    <p\n        class=\"mat-body-1\"\n        style=\"margin-bottom: 24px; margin-top: 0px\"\n        [innerHTML]=\"translate.FORGOT_PASSWORD.INSTRUCTIONS\"\n    ></p>\n    <p\n        class=\"mat-body-1\"\n        style=\"margin-bottom: 24px; margin-top: 0px\"\n        [innerHTML]=\"translate.FORGOT_PASSWORD.RESPONSE_TIME_TEXT\"\n    ></p>\n    <p class=\"mat-body-1\" style=\"margin-bottom: 24px; margin-top: 0px\" [innerHTML]=\"getSupportByPhone()\"></p>\n    <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px\"></mat-divider>\n    <form>\n        <blui-email-field\n            [customEmailValidator]=\"customEmailValidator\"\n            (edit)=\"email = $event\"\n            (enter)=\"hasValidEmail() ? resetPassword() : ''\"\n        ></blui-email-field>\n    </form>\n</div>\n\n<div class=\"blui-forgot-password-success\" style=\"justify-content: center\" *ngIf=\"passwordResetSuccess\">\n    <blui-empty-state>\n        <mat-icon blui-empty-icon class=\"blui-forgot-password-empty-state-icon\" color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_DESCRIPTION(email)\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n<div class=\"blui-auth-action-button-container\">\n    <button\n        mat-stroked-button\n        *ngIf=\"!passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        id=\"blui-reset-button\"\n        *ngIf=\"!passwordResetSuccess\"\n        [disabled]=\"!hasValidEmail()\"\n        color=\"primary\"\n        (click)=\"resetPassword()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        [style.width.%]=\"100\"\n    >\n        {{ translate.GENERAL.DONE_BUTTON }}\n    </button>\n</div>\n", styles: [".blui-forgot-password-success{display:flex;justify-content:center;flex:1 1 0}.blui-forgot-password-success .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: EmailFieldComponent, selector: "blui-email-field", inputs: ["customEmailValidator", "rememberLoginEmail", "manualErrorMessage", "rememberRegistrationEmail"], outputs: ["edit", "enter"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiForgotPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-forgot-password', template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.FORGOT_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\" *ngIf=\"!passwordResetSuccess\">\n    <p\n        class=\"mat-body-1\"\n        style=\"margin-bottom: 24px; margin-top: 0px\"\n        [innerHTML]=\"translate.FORGOT_PASSWORD.INSTRUCTIONS\"\n    ></p>\n    <p\n        class=\"mat-body-1\"\n        style=\"margin-bottom: 24px; margin-top: 0px\"\n        [innerHTML]=\"translate.FORGOT_PASSWORD.RESPONSE_TIME_TEXT\"\n    ></p>\n    <p class=\"mat-body-1\" style=\"margin-bottom: 24px; margin-top: 0px\" [innerHTML]=\"getSupportByPhone()\"></p>\n    <mat-divider class=\"blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px\"></mat-divider>\n    <form>\n        <blui-email-field\n            [customEmailValidator]=\"customEmailValidator\"\n            (edit)=\"email = $event\"\n            (enter)=\"hasValidEmail() ? resetPassword() : ''\"\n        ></blui-email-field>\n    </form>\n</div>\n\n<div class=\"blui-forgot-password-success\" style=\"justify-content: center\" *ngIf=\"passwordResetSuccess\">\n    <blui-empty-state>\n        <mat-icon blui-empty-icon class=\"blui-forgot-password-empty-state-icon\" color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.FORGOT_PASSWORD.SUCCESS_DESCRIPTION(email)\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n<div class=\"blui-auth-action-button-container\">\n    <button\n        mat-stroked-button\n        *ngIf=\"!passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        id=\"blui-reset-button\"\n        *ngIf=\"!passwordResetSuccess\"\n        [disabled]=\"!hasValidEmail()\"\n        color=\"primary\"\n        (click)=\"resetPassword()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"passwordResetSuccess\"\n        color=\"primary\"\n        (click)=\"navigateToLogin()\"\n        [style.width.%]=\"100\"\n    >\n        {{ translate.GENERAL.DONE_BUTTON }}\n    </button>\n</div>\n", styles: [".blui-forgot-password-success{display:flex;justify-content:center;flex:1 1 0}.blui-forgot-password-success .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: BluiAuthUIService }, { type: BluiAuthSecurityService }, { type: BluiForgotPasswordErrorDialogService }]; }, propDecorators: { customEmailValidator: [{
                type: Input
            }], emailFieldComponent: [{
                type: ViewChild,
                args: [EmailFieldComponent]
            }] } });

class BluiResetPasswordErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data,
        });
    }
}
BluiResetPasswordErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiResetPasswordErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiResetPasswordErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiResetPasswordErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiResetPasswordErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

class PasswordStrengthCheckComponent {
    constructor() {
        this.icon = 'done';
        this.success = false;
    }
}
PasswordStrengthCheckComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: PasswordStrengthCheckComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
PasswordStrengthCheckComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: PasswordStrengthCheckComponent, selector: "app-password-strength-check", inputs: { icon: "icon", validationMessage: "validationMessage", success: "success" }, ngImport: i0, template: `
        <mat-list-item class="blui-auth-password-check">
            <mat-icon class="check-icon" [color]="success ? 'primary' : undefined">{{ icon }}</mat-icon>
            <span class="validation-message mat-subheading-1" [class.success]="success">
                {{ validationMessage }}
            </span>
        </mat-list-item>
    `, isInline: true, styles: [".blui-auth-password-check.mat-list-item ::ng-deep .mat-list-item-content{padding:0}.blui-auth-password-check{height:auto}.blui-auth-password-check .validation-message{padding-left:8px;font-weight:400;line-height:1.75}.blui-auth-password-check .check-icon{height:18px;width:18px;font-size:18px}mat-icon,.validation-message.success{color:#b9bfc2}\n"], dependencies: [{ kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i2$1.MatLegacyListItem, selector: "mat-list-item, a[mat-list-item], button[mat-list-item]", inputs: ["disableRipple", "disabled"], exportAs: ["matListItem"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: PasswordStrengthCheckComponent, decorators: [{
            type: Component,
            args: [{ selector: 'app-password-strength-check', template: `
        <mat-list-item class="blui-auth-password-check">
            <mat-icon class="check-icon" [color]="success ? 'primary' : undefined">{{ icon }}</mat-icon>
            <span class="validation-message mat-subheading-1" [class.success]="success">
                {{ validationMessage }}
            </span>
        </mat-list-item>
    `, styles: [".blui-auth-password-check.mat-list-item ::ng-deep .mat-list-item-content{padding:0}.blui-auth-password-check{height:auto}.blui-auth-password-check .validation-message{padding-left:8px;font-weight:400;line-height:1.75}.blui-auth-password-check .check-icon{height:18px;width:18px;font-size:18px}mat-icon,.validation-message.success{color:#b9bfc2}\n"] }]
        }], propDecorators: { icon: [{
                type: Input
            }], validationMessage: [{
                type: Input
            }], success: [{
                type: Input
            }] } });

class BluiPasswordStrengthCheckerComponent {
    constructor() {
        this.requirements = [];
        this.meetsRequirementsChange = new EventEmitter();
    }
    ngOnChanges() {
        let passwordMeetsRequirements = true;
        for (const requirement of this.requirements) {
            requirement.success = requirement.regex.test(this.formValue);
            passwordMeetsRequirements = passwordMeetsRequirements && requirement.success;
        }
        setTimeout(() => {
            this.meetsRequirementsChange.emit(passwordMeetsRequirements);
        });
    }
}
BluiPasswordStrengthCheckerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiPasswordStrengthCheckerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BluiPasswordStrengthCheckerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiPasswordStrengthCheckerComponent, selector: "blui-password-strength-checker", inputs: { requirements: "requirements", formValue: "formValue", meetsRequirements: "meetsRequirements" }, outputs: { meetsRequirementsChange: "meetsRequirementsChange" }, host: { classAttribute: "blui-password-strength-checker" }, usesOnChanges: true, ngImport: i0, template: `
        <mat-list class="blui-password-strength-checker-content">
            <ng-container *ngFor="let requirement of requirements">
                <app-password-strength-check
                    [success]="requirement.success"
                    [icon]="requirement.icon || 'done'"
                    [validationMessage]="requirement.description"
                >
                </app-password-strength-check>
            </ng-container>
        </mat-list>
    `, isInline: true, styles: ["blui-password-strength-checker{display:flex}mat-list-item.blui-password-strength-checker-content{height:auto}\n"], dependencies: [{ kind: "directive", type: i3.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "component", type: i2$1.MatLegacyList, selector: "mat-list, mat-action-list", inputs: ["disableRipple", "disabled"], exportAs: ["matList"] }, { kind: "component", type: PasswordStrengthCheckComponent, selector: "app-password-strength-check", inputs: ["icon", "validationMessage", "success"] }], encapsulation: i0.ViewEncapsulation.None });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiPasswordStrengthCheckerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-password-strength-checker', encapsulation: ViewEncapsulation.None, template: `
        <mat-list class="blui-password-strength-checker-content">
            <ng-container *ngFor="let requirement of requirements">
                <app-password-strength-check
                    [success]="requirement.success"
                    [icon]="requirement.icon || 'done'"
                    [validationMessage]="requirement.description"
                >
                </app-password-strength-check>
            </ng-container>
        </mat-list>
    `, host: {
                        class: 'blui-password-strength-checker',
                    }, styles: ["blui-password-strength-checker{display:flex}mat-list-item.blui-password-strength-checker-content{height:auto}\n"] }]
        }], propDecorators: { requirements: [{
                type: Input
            }], formValue: [{
                type: Input
            }], meetsRequirements: [{
                type: Input
            }], meetsRequirementsChange: [{
                type: Output
            }] } });

class BluiResetPasswordComponent {
    constructor(_router, _formBuilder, _bluiAuthConfig, _bluiAuthUIService, _bluiSecurityService, _bluiErrorDialogService, _changeDetectorRef, bluiFormsService) {
        this._router = _router;
        this._formBuilder = _formBuilder;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiAuthUIService = _bluiAuthUIService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiErrorDialogService = _bluiErrorDialogService;
        this._changeDetectorRef = _changeDetectorRef;
        this.bluiFormsService = bluiFormsService;
        this.isLoading = true;
        this.passwordsMatch = false;
        this.isValidResetCode = false;
        this.passwordResetSuccess = false;
        this.passesStrengthCheck = false;
        this.isEmpty = (el) => isEmptyView(el);
        this.passwordRequirements = [];
        this._bluiSecurityService.securityStateChanges().subscribe((state) => {
            this.isLoading = state.isLoading;
        });
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.verifyResetCode();
    }
    verifyResetCode() {
        this._bluiSecurityService.setLoading(true);
        void this._bluiAuthUIService
            .verifyResetCode()
            .then(() => {
            this.isValidResetCode = true;
            this._bluiSecurityService.setLoading(false);
            this._configurePasswordControls();
        })
            .catch(() => {
            this.isValidResetCode = false;
            this._bluiSecurityService.setLoading(false);
        });
    }
    _configurePasswordControls() {
        this._changeDetectorRef.detectChanges();
        this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
        this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
        this.confirmPasswordFormControl = this.confirmPasswordFieldComponent.passwordFormControl;
    }
    hasValidPasswords() {
        return this.passwordsMatch && this.passesStrengthCheck;
    }
    done() {
        this.navigateToLogin();
    }
    navigateToLogin() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
    focusConfirmPassword() {
        this.bluiFormsService.advanceToNextField(this.confirmPasswordFieldComponent.passwordInputElement);
    }
    resetPassword() {
        const password = this.confirmPasswordFormControl.value;
        this._bluiSecurityService.setLoading(true);
        void this._bluiAuthUIService
            .setPassword(password)
            .then(() => {
            this.passwordResetSuccess = true;
            this._bluiSecurityService.setLoading(false);
        })
            .catch((data) => {
            this._bluiSecurityService.setLoading(false);
            this._bluiErrorDialogService.openDialog(data);
        })
            .then(() => {
            this._changeDetectorRef.detectChanges();
        });
    }
}
BluiResetPasswordComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiResetPasswordComponent, deps: [{ token: i1.Router }, { token: i2.FormBuilder }, { token: BluiAuthConfig }, { token: BluiAuthUIService }, { token: BluiAuthSecurityService }, { token: BluiResetPasswordErrorDialogService }, { token: i0.ChangeDetectorRef }, { token: BluiFormsService }], target: i0.ɵɵFactoryTarget.Component });
BluiResetPasswordComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiResetPasswordComponent, selector: "blui-reset-password", viewQueries: [{ propertyName: "resetLinkErrorTitleEl", first: true, predicate: ["resetLinkErrorTitleVC"], descendants: true }, { propertyName: "resetLinkErrorDescEl", first: true, predicate: ["resetLinkErrorDescVC"], descendants: true }, { propertyName: "passwordFieldComponent", first: true, predicate: ["passwordField"], descendants: true }, { propertyName: "confirmPasswordFieldComponent", first: true, predicate: ["confirmPasswordField"], descendants: true }], ngImport: i0, template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.RESET_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\">\n    <blui-empty-state *ngIf=\"!isValidResetCode && !isLoading\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        <div blui-title>\n            <div #resetLinkErrorTitleVC>\n                <ng-content select=\"[blui-reset-link-error-title]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorTitleEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_TITLE\"\n            ></div>\n        </div>\n        <div blui-description>\n            <div #resetLinkErrorDescVC>\n                <ng-content select=\"[blui-reset-link-error-description]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorDescEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_DESCRIPTION\"\n            ></div>\n        </div>\n    </blui-empty-state>\n\n    <div *ngIf=\"!passwordResetSuccess && isValidResetCode\">\n        <p class=\"mat-body-1\" style=\"margin-bottom: 24px\" [innerHTML]=\"translate.RESET_PASSWORD.INSTRUCTIONS\"></p>\n        <mat-divider class=\"blui-auth-divider blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px\">\n        </mat-divider>\n        <form>\n            <blui-password-field\n                #passwordField\n                id=\"blui-password\"\n                (enter)=\"focusConfirmPassword()\"\n            ></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"passwordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                #confirmPasswordField\n                id=\"blui-confirm-password\"\n                [label]=\"translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"passwordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"hasValidPasswords() ? resetPassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </div>\n\n    <blui-empty-state *ngIf=\"passwordResetSuccess\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider *ngIf=\"!isLoading || isValidResetCode\" class=\"blui-auth-divider blui-auth-action-button-divider\">\n</mat-divider>\n\n<div class=\"blui-auth-action-button-container\" *ngIf=\"!isLoading || isValidResetCode\">\n    <button *ngIf=\"!isValidResetCode\" mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" style=\"width: 100%\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <ng-container *ngIf=\"isValidResetCode\">\n        <button\n            mat-stroked-button\n            *ngIf=\"!passwordResetSuccess\"\n            color=\"primary\"\n            (click)=\"navigateToLogin()\"\n            style=\"width: 100px\"\n        >\n            {{ translate.GENERAL.CANCEL_BUTTON }}\n        </button>\n        <button\n            mat-flat-button\n            *ngIf=\"!passwordResetSuccess\"\n            [disabled]=\"!hasValidPasswords() || isLoading\"\n            color=\"primary\"\n            (click)=\"resetPassword()\"\n            style=\"width: 100px\"\n        >\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n        <button mat-flat-button *ngIf=\"passwordResetSuccess\" color=\"primary\" (click)=\"done()\" style=\"width: 100%\">\n            {{ translate.GENERAL.DONE_BUTTON }}\n        </button>\n    </ng-container>\n</div>\n", styles: [".blui-reset-empty-state{display:flex;justify-content:center;flex:1 1 0}.blui-reset-empty-state ::ng-deep .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: PasswordFieldComponent, selector: "blui-password-field", inputs: ["rememberPassword", "label", "shouldMatch", "passwordsMatch", "manualErrorMessage"], outputs: ["passwordsMatchChange", "enter", "edit"] }, { kind: "component", type: BluiPasswordStrengthCheckerComponent, selector: "blui-password-strength-checker", inputs: ["requirements", "formValue", "meetsRequirements"], outputs: ["meetsRequirementsChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiResetPasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-reset-password', template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.RESET_PASSWORD.TITLE\"></div>\n\n<div class=\"blui-auth-full-height\">\n    <blui-empty-state *ngIf=\"!isValidResetCode && !isLoading\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        <div blui-title>\n            <div #resetLinkErrorTitleVC>\n                <ng-content select=\"[blui-reset-link-error-title]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorTitleEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_TITLE\"\n            ></div>\n        </div>\n        <div blui-description>\n            <div #resetLinkErrorDescVC>\n                <ng-content select=\"[blui-reset-link-error-description]\"></ng-content>\n            </div>\n            <div\n                *ngIf=\"isEmpty(resetLinkErrorDescEl)\"\n                [innerHTML]=\"translate.RESET_PASSWORD.RESET_LINK_ERROR_DESCRIPTION\"\n            ></div>\n        </div>\n    </blui-empty-state>\n\n    <div *ngIf=\"!passwordResetSuccess && isValidResetCode\">\n        <p class=\"mat-body-1\" style=\"margin-bottom: 24px\" [innerHTML]=\"translate.RESET_PASSWORD.INSTRUCTIONS\"></p>\n        <mat-divider class=\"blui-auth-divider blui-auth-divider\" style=\"margin-top: 16px; margin-bottom: 32px\">\n        </mat-divider>\n        <form>\n            <blui-password-field\n                #passwordField\n                id=\"blui-password\"\n                (enter)=\"focusConfirmPassword()\"\n            ></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"passwordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                #confirmPasswordField\n                id=\"blui-confirm-password\"\n                [label]=\"translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"passwordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"hasValidPasswords() ? resetPassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </div>\n\n    <blui-empty-state *ngIf=\"passwordResetSuccess\" class=\"blui-reset-empty-state\">\n        <mat-icon blui-empty-icon color=\"primary\">check_circle</mat-icon>\n        <div blui-title [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.RESET_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n    </blui-empty-state>\n</div>\n\n<mat-divider *ngIf=\"!isLoading || isValidResetCode\" class=\"blui-auth-divider blui-auth-action-button-divider\">\n</mat-divider>\n\n<div class=\"blui-auth-action-button-container\" *ngIf=\"!isLoading || isValidResetCode\">\n    <button *ngIf=\"!isValidResetCode\" mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" style=\"width: 100%\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <ng-container *ngIf=\"isValidResetCode\">\n        <button\n            mat-stroked-button\n            *ngIf=\"!passwordResetSuccess\"\n            color=\"primary\"\n            (click)=\"navigateToLogin()\"\n            style=\"width: 100px\"\n        >\n            {{ translate.GENERAL.CANCEL_BUTTON }}\n        </button>\n        <button\n            mat-flat-button\n            *ngIf=\"!passwordResetSuccess\"\n            [disabled]=\"!hasValidPasswords() || isLoading\"\n            color=\"primary\"\n            (click)=\"resetPassword()\"\n            style=\"width: 100px\"\n        >\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n        <button mat-flat-button *ngIf=\"passwordResetSuccess\" color=\"primary\" (click)=\"done()\" style=\"width: 100%\">\n            {{ translate.GENERAL.DONE_BUTTON }}\n        </button>\n    </ng-container>\n</div>\n", styles: [".blui-reset-empty-state{display:flex;justify-content:center;flex:1 1 0}.blui-reset-empty-state ::ng-deep .blui-empty-state-empty-icon-wrapper{margin-bottom:32px}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: i2.FormBuilder }, { type: BluiAuthConfig }, { type: BluiAuthUIService }, { type: BluiAuthSecurityService }, { type: BluiResetPasswordErrorDialogService }, { type: i0.ChangeDetectorRef }, { type: BluiFormsService }]; }, propDecorators: { resetLinkErrorTitleEl: [{
                type: ViewChild,
                args: ['resetLinkErrorTitleVC']
            }], resetLinkErrorDescEl: [{
                type: ViewChild,
                args: ['resetLinkErrorDescVC']
            }], passwordFieldComponent: [{
                type: ViewChild,
                args: ['passwordField']
            }], confirmPasswordFieldComponent: [{
                type: ViewChild,
                args: ['confirmPasswordField']
            }] } });

class CreateAccountService {
    constructor(detailsStartPage, accountDetails) {
        this.detailsStartPage = detailsStartPage;
        this.accountDetails = accountDetails;
        /* Account Registration Pages start with 0 index. */
        this.currentPage = 0;
    }
    /* Decrements currentPage index by 1. */
    prevStep() {
        this.currentPage--;
    }
    /* Increments currentPage index by 1. */
    nextStep() {
        this.currentPage++;
    }
    /* Returns current page number. */
    getCurrentPage() {
        return this.currentPage;
    }
    /* Returns true if on-screen custom account detail forms contain valid entries. */
    hasValidAccountDetails() {
        const detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
        const hasCustomForms = this._hasDetailsAtIndex(detailsIndex);
        return !hasCustomForms || this.accountDetails[detailsIndex].isValid();
    }
    /* Returns true if the current page is an Accounts Details entry page. */
    isAccountDetailsPage() {
        return (this.currentPage >= this.detailsStartPage &&
            this.currentPage < this.detailsStartPage + this.getNumberOfAccountDetailsPages());
    }
    /* Returns true if current page is the first account details page. */
    isFirstAccountDetailsPage() {
        return this.currentPage === this.detailsStartPage;
    }
    isCustomAccountsDetailsPage() {
        return !this.isFirstAccountDetailsPage() && this.isAccountDetailsPage();
    }
    /* Returns true if the current page is the last account details page. */
    isLastAccountDetailsPage() {
        return this.currentPage === this.detailsStartPage + this.getNumberOfAccountDetailsPages() - 1;
    }
    /* Searches for custom AccountDetails and returns true if it exists. */
    _hasDetailsAtIndex(index) {
        return (this.accountDetails &&
            this.accountDetails[index] &&
            this.accountDetails[index].formControls &&
            this.accountDetails[index].formControls.size > 0);
    }
    /* Returns how many pages of account details a user will have to fill out. */
    getNumberOfAccountDetailsPages() {
        return this.accountDetails.length === 0 ? 1 : this.accountDetails.length;
    }
    /* Returns true when the user has finished the account-details section of self-registration. */
    showAccountCreatedPage() {
        return this.currentPage === this.detailsStartPage + this.getNumberOfAccountDetailsPages();
    }
    /* Returns the number of steps to show in the mobile stepper based off of how many account details pages there are. */
    getNumberOfSteps() {
        return this.detailsStartPage + this.getNumberOfAccountDetailsPages();
    }
    /* Returns user-provided custom account details for the currentPage. */
    getCustomAccountDetailsTemplate() {
        const detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
        if (this._hasDetailsAtIndex(detailsIndex)) {
            return this.accountDetails[detailsIndex].form;
        }
    }
    getCustomAccountDetailsTitle() {
        const detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
        if (this._hasDetailsAtIndex(detailsIndex)) {
            return this.accountDetails[detailsIndex].pageTitle;
        }
    }
    getCustomAccountDetailsInstructions() {
        const detailsIndex = this.currentPage - this.detailsStartPage; /* index of custom accountDetails to use. */
        if (this._hasDetailsAtIndex(detailsIndex)) {
            return this.accountDetails[detailsIndex].pageInstructions;
        }
    }
    /* Called upon completing the self-registration process, empties all forms.  */
    clearAccountDetails() {
        for (const detail of this.accountDetails) {
            if (detail && detail.formControls) {
                for (const formControls of detail.formControls.values()) {
                    formControls.reset();
                }
            }
        }
    }
    /* Returns string[] of custom account detail values. */
    getAccountDetailsCustomValues() {
        const customAccountDetails = new Map();
        for (const detail of this.accountDetails) {
            if (detail && detail.formControls) {
                detail.formControls.forEach((formControl, key) => {
                    customAccountDetails.set(key, formControl);
                });
            }
        }
        return customAccountDetails;
    }
}

class BluiCreateAccountErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data,
        });
    }
}
BluiCreateAccountErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiCreateAccountErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

class BluiAccountCreatedComponent {
    constructor(_router, _bluiAuthConfig, _changeDetectorRef) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._changeDetectorRef = _changeDetectorRef;
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
    }
    ngAfterViewInit() {
        this._changeDetectorRef.detectChanges();
    }
    navigateToLogin() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
}
BluiAccountCreatedComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAccountCreatedComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
BluiAccountCreatedComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiAccountCreatedComponent, selector: "blui-create-account-account-created-step", inputs: { userName: "userName", email: "email", registrationSuccessScreen: "registrationSuccessScreen", registrationSuccessScreenContext: "registrationSuccessScreenContext" }, ngImport: i0, template: `
        <ng-container *ngIf="!registrationSuccessScreen">
            <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.TITLE"></div>
            <div class="blui-auth-full-height" style="justify-content: center;">
                <blui-empty-state class="blui-account-created-empty-state">
                    <div blui-title>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_TITLE(userName)"
                        ></div>
                    </div>
                    <div blui-description>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_DESCRIPTION(email)"
                        ></div>
                    </div>
                    <mat-icon blui-empty-icon class="blui-account-created-icon" color="primary">check_circle</mat-icon>
                </blui-empty-state>
            </div>
            <mat-divider class="blui-auth-divider blui-auth-action-button-divider"></mat-divider>
            <div class="blui-auth-action-button-container">
                <button mat-flat-button color="primary" (click)="navigateToLogin()" style="width: 100%">
                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}
                </button>
            </div>
        </ng-container>
        <div style="display: flex; flex-direction: column" [style.flex]="!registrationSuccessScreen ? '' : '1 1 0'">
            <ng-template
                [ngTemplateOutlet]="registrationSuccessScreen"
                [ngTemplateOutletContext]="registrationSuccessScreenContext"
            ></ng-template>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAccountCreatedComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-create-account-account-created-step',
                    template: `
        <ng-container *ngIf="!registrationSuccessScreen">
            <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.TITLE"></div>
            <div class="blui-auth-full-height" style="justify-content: center;">
                <blui-empty-state class="blui-account-created-empty-state">
                    <div blui-title>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_TITLE(userName)"
                        ></div>
                    </div>
                    <div blui-description>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_CREATED.WELCOME_MESSAGE_DESCRIPTION(email)"
                        ></div>
                    </div>
                    <mat-icon blui-empty-icon class="blui-account-created-icon" color="primary">check_circle</mat-icon>
                </blui-empty-state>
            </div>
            <mat-divider class="blui-auth-divider blui-auth-action-button-divider"></mat-divider>
            <div class="blui-auth-action-button-container">
                <button mat-flat-button color="primary" (click)="navigateToLogin()" style="width: 100%">
                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}
                </button>
            </div>
        </ng-container>
        <div style="display: flex; flex-direction: column" [style.flex]="!registrationSuccessScreen ? '' : '1 1 0'">
            <ng-template
                [ngTemplateOutlet]="registrationSuccessScreen"
                [ngTemplateOutletContext]="registrationSuccessScreenContext"
            ></ng-template>
        </div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { userName: [{
                type: Input
            }], email: [{
                type: Input
            }], registrationSuccessScreen: [{
                type: Input
            }], registrationSuccessScreenContext: [{
                type: Input
            }] } });

/* Default Account Details consists of a First/Last Name (required) and a phone number (optional). */
class BluiAccountDetailsComponent {
    constructor(bluiFormsService, _bluiAuthConfig) {
        this.bluiFormsService = bluiFormsService;
        this._bluiAuthConfig = _bluiAuthConfig;
        this.showDefaultAccountDetails = false; // Used to hide defaults whenever there are custom account detail forms.
        this.firstNameChange = new EventEmitter();
        this.lastNameChange = new EventEmitter();
        this.accountNameValid = new EventEmitter();
        this.advance = new EventEmitter();
    }
    ngOnInit() {
        var _a, _b;
        this.translate = this._bluiAuthConfig.getTranslations();
        if (this.showDefaultAccountDetails) {
            this.firstNameFormControl = new FormControl(this.firstName, Validators.required);
            this.lastNameFormControl = new FormControl(this.lastName, Validators.required);
        }
        this.firstNameMaxLength = (_a = this._bluiAuthConfig.customFirstNameRequirements) === null || _a === void 0 ? void 0 : _a.maxLength;
        this.lastNameMaxLength = (_b = this._bluiAuthConfig.customLastNameRequirements) === null || _b === void 0 ? void 0 : _b.maxLength;
    }
    /* If we are using the default account details, we need to provide the input validation required for the 'NEXT' button. */
    emitIfValid() {
        let isValid = true;
        /* Check for required values */
        isValid = isValid && this.firstNameFormControl.value;
        isValid = isValid && this.lastNameFormControl.value;
        this.accountNameValid.emit(isValid);
    }
}
BluiAccountDetailsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAccountDetailsComponent, deps: [{ token: BluiFormsService }, { token: BluiAuthConfig }], target: i0.ɵɵFactoryTarget.Component });
BluiAccountDetailsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiAccountDetailsComponent, selector: "blui-create-account-account-details-step", inputs: { showDefaultAccountDetails: "showDefaultAccountDetails", firstName: "firstName", lastName: "lastName", pageTitle: "pageTitle", pageInstructions: "pageInstructions" }, outputs: { firstNameChange: "firstNameChange", lastNameChange: "lastNameChange", accountNameValid: "accountNameValid", advance: "advance" }, viewQueries: [{ propertyName: "lastNameInputElement", first: true, predicate: ["bluiLast"], descendants: true }], ngImport: i0, template: `
        <div
            class="mat-title blui-auth-title"
            [innerHTML]="pageTitle || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.TITLE"
        ></div>
        <div class="blui-auth-full-height">
            <p
                class="mat-body-1"
                style="margin-bottom: 24px; margin-top: 0px"
                [innerHTML]="pageInstructions || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.INSTRUCTIONS"
            ></p>
            <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
            <div class="blui-account-details-body">
                <form>
                    <ng-container *ngIf="showDefaultAccountDetails">
                        <mat-form-field appearance="fill">
                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL }}</mat-label>
                            <input
                                #BluiFirst
                                id="blui-first"
                                name="first"
                                matInput
                                [attr.maxLength]="firstNameMaxLength ? firstNameMaxLength : null"
                                [formControl]="firstNameFormControl"
                                required
                                (ngModelChange)="emitIfValid(); firstNameChange.emit(firstNameFormControl.value)"
                                (keyup.enter)="bluiFormsService.advanceToNextField(lastNameInputElement)"
                            />
                            <mat-error
                                *ngIf="firstNameFormControl.hasError('required')"
                                [innerHTML]="
                                    translate.GENERAL.IS_REQUIRED_ERROR(
                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL
                                    )
                                "
                            >
                            </mat-error>
                        </mat-form-field>
                        <mat-form-field appearance="fill">
                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL }}</mat-label>
                            <input
                                matInput
                                #bluiLast
                                id="blui-last"
                                name="last"
                                [attr.maxLength]="lastNameMaxLength ? lastNameMaxLength : null"
                                [formControl]="lastNameFormControl"
                                required
                                (ngModelChange)="emitIfValid(); lastNameChange.emit(lastNameFormControl.value)"
                                (keyup.enter)="advance.emit()"
                            />
                            <mat-error
                                *ngIf="lastNameFormControl.hasError('required')"
                                [innerHTML]="
                                    translate.GENERAL.IS_REQUIRED_ERROR(
                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL
                                    )
                                "
                            >
                            </mat-error>
                        </mat-form-field>
                    </ng-container>
                    <ng-content select="[blui-account-details]"></ng-content>
                </form>
            </div>
        </div>
    `, isInline: true, styles: [".blui-account-details-body{display:flex;flex:1 1 0;overflow:auto}.blui-account-details-body ::ng-deep form{width:100%}.blui-account-details-body ::ng-deep mat-form-field{width:100%;margin-bottom:8px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "directive", type: i6.MatLegacyError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i6.MatLegacyFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6.MatLegacyLabel, selector: "mat-label" }, { kind: "directive", type: i7.MatLegacyInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", exportAs: ["matInput"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAccountDetailsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-create-account-account-details-step', template: `
        <div
            class="mat-title blui-auth-title"
            [innerHTML]="pageTitle || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.TITLE"
        ></div>
        <div class="blui-auth-full-height">
            <p
                class="mat-body-1"
                style="margin-bottom: 24px; margin-top: 0px"
                [innerHTML]="pageInstructions || translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.INSTRUCTIONS"
            ></p>
            <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
            <div class="blui-account-details-body">
                <form>
                    <ng-container *ngIf="showDefaultAccountDetails">
                        <mat-form-field appearance="fill">
                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL }}</mat-label>
                            <input
                                #BluiFirst
                                id="blui-first"
                                name="first"
                                matInput
                                [attr.maxLength]="firstNameMaxLength ? firstNameMaxLength : null"
                                [formControl]="firstNameFormControl"
                                required
                                (ngModelChange)="emitIfValid(); firstNameChange.emit(firstNameFormControl.value)"
                                (keyup.enter)="bluiFormsService.advanceToNextField(lastNameInputElement)"
                            />
                            <mat-error
                                *ngIf="firstNameFormControl.hasError('required')"
                                [innerHTML]="
                                    translate.GENERAL.IS_REQUIRED_ERROR(
                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.FIRST_NAME_FORM_LABEL
                                    )
                                "
                            >
                            </mat-error>
                        </mat-form-field>
                        <mat-form-field appearance="fill">
                            <mat-label>{{ translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL }}</mat-label>
                            <input
                                matInput
                                #bluiLast
                                id="blui-last"
                                name="last"
                                [attr.maxLength]="lastNameMaxLength ? lastNameMaxLength : null"
                                [formControl]="lastNameFormControl"
                                required
                                (ngModelChange)="emitIfValid(); lastNameChange.emit(lastNameFormControl.value)"
                                (keyup.enter)="advance.emit()"
                            />
                            <mat-error
                                *ngIf="lastNameFormControl.hasError('required')"
                                [innerHTML]="
                                    translate.GENERAL.IS_REQUIRED_ERROR(
                                        translate.CREATE_ACCOUNT.ACCOUNT_DETAILS.LAST_NAME_FORM_LABEL
                                    )
                                "
                            >
                            </mat-error>
                        </mat-form-field>
                    </ng-container>
                    <ng-content select="[blui-account-details]"></ng-content>
                </form>
            </div>
        </div>
    `, styles: [".blui-account-details-body{display:flex;flex:1 1 0;overflow:auto}.blui-account-details-body ::ng-deep form{width:100%}.blui-account-details-body ::ng-deep mat-form-field{width:100%;margin-bottom:8px}\n"] }]
        }], ctorParameters: function () { return [{ type: BluiFormsService }, { type: BluiAuthConfig }]; }, propDecorators: { showDefaultAccountDetails: [{
                type: Input
            }], firstName: [{
                type: Input
            }], lastName: [{
                type: Input
            }], pageTitle: [{
                type: Input
            }], pageInstructions: [{
                type: Input
            }], firstNameChange: [{
                type: Output
            }], lastNameChange: [{
                type: Output
            }], accountNameValid: [{
                type: Output
            }], advance: [{
                type: Output
            }], lastNameInputElement: [{
                type: ViewChild,
                args: ['bluiLast']
            }] } });

class BluiCreatePasswordComponent {
    constructor(_ref, _formBuilder, _bluiAuthConfig, _bluiFormsService) {
        this._ref = _ref;
        this._formBuilder = _formBuilder;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiFormsService = _bluiFormsService;
        this.passwordChange = new EventEmitter();
        this.passwordMeetsRequirementsChange = new EventEmitter();
        this.advance = new EventEmitter();
        this.passwordsMatch = false;
        this.passesStrengthCheck = false;
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
    }
    ngAfterViewInit() {
        this.passwordFormControl = this.passwordFieldComponent.passwordFormControl;
        this.confirmPasswordFormControl = this.confirmPasswordFieldComponent.passwordFormControl;
        this._ref.detectChanges();
    }
    updatePassword(newPassword) {
        this.password = newPassword;
        this.passwordChange.emit(newPassword);
        this.passwordMeetsRequirements = this.hasValidPasswords();
        this.passwordMeetsRequirementsChange.emit(this.passwordMeetsRequirements);
    }
    hasValidPasswords() {
        return this.passwordsMatch && this.passesStrengthCheck;
    }
    focusConfirmPassword() {
        this._bluiFormsService.advanceToNextField(this.confirmPasswordFieldComponent.passwordInputElement);
    }
}
BluiCreatePasswordComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreatePasswordComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: i2.FormBuilder }, { token: BluiAuthConfig }, { token: BluiFormsService }], target: i0.ɵɵFactoryTarget.Component });
BluiCreatePasswordComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiCreatePasswordComponent, selector: "blui-create-account-create-password-step", inputs: { password: "password", passwordMeetsRequirements: "passwordMeetsRequirements" }, outputs: { passwordChange: "passwordChange", passwordMeetsRequirementsChange: "passwordMeetsRequirementsChange", advance: "advance" }, viewQueries: [{ propertyName: "passwordFieldComponent", first: true, predicate: ["passwordField"], descendants: true }, { propertyName: "confirmPasswordFieldComponent", first: true, predicate: ["confirmPasswordField"], descendants: true }], ngImport: i0, template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.CREATE_PASSWORD.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.CREATE_PASSWORD.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <blui-password-field
                    #passwordField
                    id="blui-password"
                    [rememberPassword]="true"
                    (enter)="focusConfirmPassword()"
                ></blui-password-field>
                <blui-password-strength-checker
                    [(meetsRequirements)]="passesStrengthCheck"
                    [formValue]="passwordFormControl?.value"
                    [requirements]="passwordRequirements"
                >
                </blui-password-strength-checker>
                <blui-password-field
                    #confirmPasswordField
                    id="blui-confirm-password"
                    [rememberPassword]="true"
                    [label]="translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL"
                    [shouldMatch]="passwordFormControl"
                    [(passwordsMatch)]="passwordsMatch"
                    (edit)="updatePassword($event)"
                    (enter)="advance.emit()"
                >
                </blui-password-field>
            </form>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: PasswordFieldComponent, selector: "blui-password-field", inputs: ["rememberPassword", "label", "shouldMatch", "passwordsMatch", "manualErrorMessage"], outputs: ["passwordsMatchChange", "enter", "edit"] }, { kind: "component", type: BluiPasswordStrengthCheckerComponent, selector: "blui-password-strength-checker", inputs: ["requirements", "formValue", "meetsRequirements"], outputs: ["meetsRequirementsChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreatePasswordComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-create-account-create-password-step',
                    template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.CREATE_PASSWORD.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.CREATE_PASSWORD.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <blui-password-field
                    #passwordField
                    id="blui-password"
                    [rememberPassword]="true"
                    (enter)="focusConfirmPassword()"
                ></blui-password-field>
                <blui-password-strength-checker
                    [(meetsRequirements)]="passesStrengthCheck"
                    [formValue]="passwordFormControl?.value"
                    [requirements]="passwordRequirements"
                >
                </blui-password-strength-checker>
                <blui-password-field
                    #confirmPasswordField
                    id="blui-confirm-password"
                    [rememberPassword]="true"
                    [label]="translate.GENERAL.CONFIRM_PASSWORD_FORM_LABEL"
                    [shouldMatch]="passwordFormControl"
                    [(passwordsMatch)]="passwordsMatch"
                    (edit)="updatePassword($event)"
                    (enter)="advance.emit()"
                >
                </blui-password-field>
            </form>
        </div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i2.FormBuilder }, { type: BluiAuthConfig }, { type: BluiFormsService }]; }, propDecorators: { password: [{
                type: Input
            }], passwordMeetsRequirements: [{
                type: Input
            }], passwordChange: [{
                type: Output
            }], passwordMeetsRequirementsChange: [{
                type: Output
            }], advance: [{
                type: Output
            }], passwordFieldComponent: [{
                type: ViewChild,
                args: ['passwordField']
            }], confirmPasswordFieldComponent: [{
                type: ViewChild,
                args: ['confirmPasswordField']
            }] } });

class BluiEulaComponent {
    constructor(sanitizer, _changeDetectorRef, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService) {
        this.sanitizer = sanitizer;
        this._changeDetectorRef = _changeDetectorRef;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiRegisterService = _bluiRegisterService;
        this._bluiSecurityService = _bluiSecurityService;
        this.userAcceptsEulaChange = new EventEmitter();
        this.userScrolledBottom = false;
        this._bluiSecurityService.securityStateChanges().subscribe((state) => {
            this.isLoading = state.isLoading;
        });
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        // Configurable option to require users to scroll to bottom of EULA before accepting.
        if (!this._bluiAuthConfig.eulaScrollLock) {
            this.userScrolledBottom = true;
        }
        // User has already scrolled to the bottom and accepted the EULA.
        if (this.userAcceptsEula) {
            this.userScrolledBottom = true;
        }
        this.getEULA();
    }
    getEULA() {
        if (this._bluiAuthConfig.eula) {
            this.afterGetEula(this._bluiAuthConfig.eula);
        }
        else {
            this._bluiSecurityService.setLoading(true);
            this._bluiRegisterService
                .loadEULA()
                .then((eula) => {
                this.afterGetEula(eula);
            })
                .catch(() => {
                this._bluiSecurityService.setLoading(false);
            });
        }
    }
    afterGetEula(eula) {
        this.eula = eula;
        this._bluiSecurityService.setLoading(false);
        this._changeDetectorRef.detectChanges();
        if (!this.userAcceptsEula) {
            const el = this.eulaVC.nativeElement;
            const isEulaScrollable = el.scrollHeight > el.clientHeight;
            this.userScrolledBottom = !isEulaScrollable;
        }
    }
    checkScrollDistance(e) {
        if (this.userScrolledBottom) {
            return;
        }
        const el = e.target;
        this.userScrolledBottom = el.scrollHeight - el.scrollTop - el.clientHeight < 1;
    }
}
BluiEulaComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiEulaComponent, deps: [{ token: i1$2.DomSanitizer }, { token: i0.ChangeDetectorRef }, { token: BluiAuthConfig }, { token: BluiRegisterUIService }, { token: BluiAuthSecurityService }], target: i0.ɵɵFactoryTarget.Component });
BluiEulaComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiEulaComponent, selector: "blui-create-account-eula-step", inputs: { userAcceptsEula: "userAcceptsEula" }, outputs: { userAcceptsEulaChange: "userAcceptsEulaChange" }, viewQueries: [{ propertyName: "eulaVC", first: true, predicate: ["eulaVC"], descendants: true }], ngImport: i0, template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.EULA.TITLE"></div>
        <div
            #eulaVC
            *ngIf="eula"
            class="blui-auth-full-height"
            id="blui-eula-container"
            style="overflow: auto"
            (scroll)="checkScrollDistance($event)"
            [innerHTML]="sanitizer.sanitize(1, eula)"
        ></div>
        <blui-empty-state *ngIf="!eula && !isLoading" class="blui-auth-full-height blui-auth-eula-error">
            <div blui-title><div [innerHTML]="translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_TITLE"></div></div>
            <div blui-description><div [innerHTML]="translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_DESCRIPTION"></div></div>
            <mat-icon blui-empty-icon color="warn">error</mat-icon>
            <button blui-actions mat-raised-button color="primary" (click)="getEULA()">
                <mat-icon>replay</mat-icon>
                {{ translate.CREATE_ACCOUNT.EULA.RELOAD_BUTTON }}
            </button>
        </blui-empty-state>
        <div *ngIf="eula" class="blui-eula-confirm-agreement">
            <mat-checkbox
                id="blui-eula-checkbox"
                class="blui-eula-checkbox"
                [disabled]="!userScrolledBottom"
                [(ngModel)]="userAcceptsEula"
                (change)="userAcceptsEulaChange.emit(userAcceptsEula)"
                ngDefaultControl
            >
                {{ translate.CREATE_ACCOUNT.EULA.CONFIRM_READ }}
            </mat-checkbox>
        </div>
    `, isInline: true, styles: [".blui-eula-confirm-agreement{margin:24px 0}::ng-deep .blui-eula-checkbox .mat-checkbox-layout{white-space:normal}::ng-deep .blui-eula-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-auth-eula-error ::ng-deep .blui-empty-state-description{color:inherit}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i15.MatLegacyCheckbox, selector: "mat-checkbox", inputs: ["disableRipple", "color", "tabIndex"], exportAs: ["matCheckbox"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiEulaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-create-account-eula-step', template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.EULA.TITLE"></div>
        <div
            #eulaVC
            *ngIf="eula"
            class="blui-auth-full-height"
            id="blui-eula-container"
            style="overflow: auto"
            (scroll)="checkScrollDistance($event)"
            [innerHTML]="sanitizer.sanitize(1, eula)"
        ></div>
        <blui-empty-state *ngIf="!eula && !isLoading" class="blui-auth-full-height blui-auth-eula-error">
            <div blui-title><div [innerHTML]="translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_TITLE"></div></div>
            <div blui-description><div [innerHTML]="translate.CREATE_ACCOUNT.EULA.LOAD_ERROR_DESCRIPTION"></div></div>
            <mat-icon blui-empty-icon color="warn">error</mat-icon>
            <button blui-actions mat-raised-button color="primary" (click)="getEULA()">
                <mat-icon>replay</mat-icon>
                {{ translate.CREATE_ACCOUNT.EULA.RELOAD_BUTTON }}
            </button>
        </blui-empty-state>
        <div *ngIf="eula" class="blui-eula-confirm-agreement">
            <mat-checkbox
                id="blui-eula-checkbox"
                class="blui-eula-checkbox"
                [disabled]="!userScrolledBottom"
                [(ngModel)]="userAcceptsEula"
                (change)="userAcceptsEulaChange.emit(userAcceptsEula)"
                ngDefaultControl
            >
                {{ translate.CREATE_ACCOUNT.EULA.CONFIRM_READ }}
            </mat-checkbox>
        </div>
    `, styles: [".blui-eula-confirm-agreement{margin:24px 0}::ng-deep .blui-eula-checkbox .mat-checkbox-layout{white-space:normal}::ng-deep .blui-eula-checkbox .mat-checkbox-inner-container{width:18px;height:18px}.blui-auth-eula-error ::ng-deep .blui-empty-state-description{color:inherit}\n"] }]
        }], ctorParameters: function () { return [{ type: i1$2.DomSanitizer }, { type: i0.ChangeDetectorRef }, { type: BluiAuthConfig }, { type: BluiRegisterUIService }, { type: BluiAuthSecurityService }]; }, propDecorators: { userAcceptsEula: [{
                type: Input
            }], userAcceptsEulaChange: [{
                type: Output
            }], eulaVC: [{
                type: ViewChild,
                args: ['eulaVC']
            }] } });

class BluiProvideEmailComponent {
    constructor(_bluiAuthConfig, _bluiSecurityService) {
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiSecurityService = _bluiSecurityService;
        this.emailChange = new EventEmitter();
        this.isValidEmailChange = new EventEmitter();
        this.advance = new EventEmitter();
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
    }
    ngAfterViewInit() {
        this.emailFormControl = this.emailFieldComponent.emailFormControl;
        if (this.emailFormControl.valid) {
            this.isValidEmailChange.emit(this.emailFormControl.valid);
        }
    }
    updateEmail(email) {
        this.emailChange.emit(email);
        this.isValidEmailChange.emit(this.emailFormControl.valid);
        this._bluiSecurityService.updateSecurityState({
            registrationEmail: this.emailFormControl.valid ? this.emailFormControl.value : '',
        });
    }
}
BluiProvideEmailComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiProvideEmailComponent, deps: [{ token: BluiAuthConfig }, { token: BluiAuthSecurityService }], target: i0.ɵɵFactoryTarget.Component });
BluiProvideEmailComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiProvideEmailComponent, selector: "blui-create-account-provide-email-step", inputs: { email: "email", isValidEmail: "isValidEmail", customEmailValidator: "customEmailValidator" }, outputs: { emailChange: "emailChange", isValidEmailChange: "isValidEmailChange", advance: "advance" }, viewQueries: [{ propertyName: "emailFieldComponent", first: true, predicate: EmailFieldComponent, descendants: true }], ngImport: i0, template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ENTER_EMAIL.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.ENTER_EMAIL.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <blui-email-field
                    [rememberRegistrationEmail]="true"
                    [customEmailValidator]="customEmailValidator"
                    (enter)="advance.emit()"
                    (edit)="updateEmail($event)"
                ></blui-email-field>
            </form>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: EmailFieldComponent, selector: "blui-email-field", inputs: ["customEmailValidator", "rememberLoginEmail", "manualErrorMessage", "rememberRegistrationEmail"], outputs: ["edit", "enter"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiProvideEmailComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-create-account-provide-email-step',
                    template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ENTER_EMAIL.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.ENTER_EMAIL.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <blui-email-field
                    [rememberRegistrationEmail]="true"
                    [customEmailValidator]="customEmailValidator"
                    (enter)="advance.emit()"
                    (edit)="updateEmail($event)"
                ></blui-email-field>
            </form>
        </div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: BluiAuthSecurityService }]; }, propDecorators: { email: [{
                type: Input
            }], isValidEmail: [{
                type: Input
            }], customEmailValidator: [{
                type: Input
            }], emailChange: [{
                type: Output
            }], isValidEmailChange: [{
                type: Output
            }], advance: [{
                type: Output
            }], emailFieldComponent: [{
                type: ViewChild,
                args: [EmailFieldComponent]
            }] } });

class BluiVerifyEmailComponent {
    constructor(_bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiRegisterService = _bluiRegisterService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiErrorDialogService = _bluiErrorDialogService;
        this.verificationCodeChange = new EventEmitter();
        this.advance = new EventEmitter();
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.verificationCodeFormControl = new FormControl(this.verificationCode, Validators.required);
    }
    sendVerificationEmail() {
        this._bluiSecurityService.setLoading(true);
        this._bluiRegisterService
            .requestRegistrationCode(this.email)
            .then(() => {
            this._bluiSecurityService.setLoading(false);
        })
            .catch((data) => {
            this._bluiErrorDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
        });
    }
    updateCode(code) {
        this.verificationCodeChange.emit(code);
    }
}
BluiVerifyEmailComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiVerifyEmailComponent, deps: [{ token: BluiAuthConfig }, { token: BluiRegisterUIService }, { token: BluiAuthSecurityService }, { token: BluiCreateAccountErrorDialogService }], target: i0.ɵɵFactoryTarget.Component });
BluiVerifyEmailComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiVerifyEmailComponent, selector: "blui-create-account-verify-email-step", inputs: { verificationCode: "verificationCode", email: "email" }, outputs: { verificationCodeChange: "verificationCodeChange", advance: "advance" }, ngImport: i0, template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.VERIFY_EMAIL.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.VERIFY_EMAIL.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <mat-form-field appearance="fill" style="width: 100%;">
                    <mat-label>{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL }}</mat-label>
                    <input
                        id="verification"
                        name="verification"
                        matInput
                        [formControl]="verificationCodeFormControl"
                        (ngModelChange)="updateCode(verificationCodeFormControl.value)"
                        (keyup.enter)="advance.emit()"
                    />
                    <mat-error
                        *ngIf="verificationCodeFormControl.hasError('required')"
                        [innerHTML]="
                            translate.GENERAL.IS_REQUIRED_ERROR(translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL)
                        "
                    >
                    </mat-error>
                </mat-form-field>
            </form>
            <div style="display: flex; flex-direction: row;">
                <div class="mat-body-1">{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.RESEND_LABEL }}</div>
                <div
                    color="primary"
                    class="blui-auth-link mat-subheading-1"
                    id="blui-resend-button-link"
                    style="line-height: inherit;"
                    (click)="sendVerificationEmail()"
                >
                    &nbsp;<u>{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.RESEND_BUTTON }}</u>
                </div>
            </div>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "directive", type: i6.MatLegacyError, selector: "mat-error", inputs: ["id"] }, { kind: "component", type: i6.MatLegacyFormField, selector: "mat-form-field", inputs: ["color", "appearance", "hideRequiredMarker", "hintLabel", "floatLabel"], exportAs: ["matFormField"] }, { kind: "directive", type: i6.MatLegacyLabel, selector: "mat-label" }, { kind: "directive", type: i7.MatLegacyInput, selector: "input[matInput], textarea[matInput], select[matNativeControl],      input[matNativeControl], textarea[matNativeControl]", exportAs: ["matInput"] }, { kind: "directive", type: i2.FormControlDirective, selector: "[formControl]", inputs: ["formControl", "disabled", "ngModel"], outputs: ["ngModelChange"], exportAs: ["ngForm"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiVerifyEmailComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-create-account-verify-email-step',
                    template: `
        <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.VERIFY_EMAIL.TITLE"></div>
        <p
            class="mat-body-1"
            style="margin-bottom: 24px; margin-top: 0px"
            [innerHTML]="translate.CREATE_ACCOUNT.VERIFY_EMAIL.INSTRUCTIONS"
        ></p>
        <mat-divider class="blui-auth-divider" style="margin-top: 16px; margin-bottom: 32px;"></mat-divider>
        <div class="blui-auth-full-height">
            <form>
                <mat-form-field appearance="fill" style="width: 100%;">
                    <mat-label>{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL }}</mat-label>
                    <input
                        id="verification"
                        name="verification"
                        matInput
                        [formControl]="verificationCodeFormControl"
                        (ngModelChange)="updateCode(verificationCodeFormControl.value)"
                        (keyup.enter)="advance.emit()"
                    />
                    <mat-error
                        *ngIf="verificationCodeFormControl.hasError('required')"
                        [innerHTML]="
                            translate.GENERAL.IS_REQUIRED_ERROR(translate.CREATE_ACCOUNT.VERIFY_EMAIL.CODE_FORM_LABEL)
                        "
                    >
                    </mat-error>
                </mat-form-field>
            </form>
            <div style="display: flex; flex-direction: row;">
                <div class="mat-body-1">{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.RESEND_LABEL }}</div>
                <div
                    color="primary"
                    class="blui-auth-link mat-subheading-1"
                    id="blui-resend-button-link"
                    style="line-height: inherit;"
                    (click)="sendVerificationEmail()"
                >
                    &nbsp;<u>{{ translate.CREATE_ACCOUNT.VERIFY_EMAIL.RESEND_BUTTON }}</u>
                </div>
            </div>
        </div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: BluiRegisterUIService }, { type: BluiAuthSecurityService }, { type: BluiCreateAccountErrorDialogService }]; }, propDecorators: { verificationCode: [{
                type: Input
            }], email: [{
                type: Input
            }], verificationCodeChange: [{
                type: Output
            }], advance: [{
                type: Output
            }] } });

class BluiExistingAccountComponent {
    constructor(_router, _bluiAuthConfig, _changeDetectorRef) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._changeDetectorRef = _changeDetectorRef;
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
    }
    ngAfterViewInit() {
        this._changeDetectorRef.detectChanges();
    }
    navigateToLogin() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
}
BluiExistingAccountComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiExistingAccountComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
BluiExistingAccountComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiExistingAccountComponent, selector: "blui-create-account-account-existing-step", inputs: { email: "email", registrationSuccessScreen: "registrationSuccessScreen" }, ngImport: i0, template: `
        <ng-container *ngIf="!registrationSuccessScreen">
            <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.TITLE"></div>
            <div class="blui-auth-full-height" style="justify-content: center;">
                <blui-empty-state class="blui-account-existing-empty-state">
                    <div blui-title>
                        <div [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_TITLE"></div>
                    </div>
                    <div blui-description>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_DESCRIPTION(email)"
                        ></div>
                    </div>
                    <mat-icon blui-empty-icon class="blui-account-created-icon" color="primary">check_circle</mat-icon>
                </blui-empty-state>
            </div>
            <mat-divider class="blui-auth-divider blui-auth-action-button-divider"></mat-divider>
            <div class="blui-auth-action-button-container">
                <button mat-flat-button color="primary" (click)="navigateToLogin()" style="width: 100%">
                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}
                </button>
            </div>
        </ng-container>
        <div style="display: flex; flex-direction: column" [style.flex]="!registrationSuccessScreen ? '' : '1 1 0'">
            <ng-template [ngTemplateOutlet]="registrationSuccessScreen"></ng-template>
        </div>
    `, isInline: true, dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiExistingAccountComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'blui-create-account-account-existing-step',
                    template: `
        <ng-container *ngIf="!registrationSuccessScreen">
            <div class="mat-title blui-auth-title" [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.TITLE"></div>
            <div class="blui-auth-full-height" style="justify-content: center;">
                <blui-empty-state class="blui-account-existing-empty-state">
                    <div blui-title>
                        <div [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_TITLE"></div>
                    </div>
                    <div blui-description>
                        <div
                            [innerHTML]="translate.CREATE_ACCOUNT.ACCOUNT_EXISTING.WELCOME_MESSAGE_DESCRIPTION(email)"
                        ></div>
                    </div>
                    <mat-icon blui-empty-icon class="blui-account-created-icon" color="primary">check_circle</mat-icon>
                </blui-empty-state>
            </div>
            <mat-divider class="blui-auth-divider blui-auth-action-button-divider"></mat-divider>
            <div class="blui-auth-action-button-container">
                <button mat-flat-button color="primary" (click)="navigateToLogin()" style="width: 100%">
                    {{ translate.CREATE_ACCOUNT.ACCOUNT_CREATED.CONTINUE_BUTTON }}
                </button>
            </div>
        </ng-container>
        <div style="display: flex; flex-direction: column" [style.flex]="!registrationSuccessScreen ? '' : '1 1 0'">
            <ng-template [ngTemplateOutlet]="registrationSuccessScreen"></ng-template>
        </div>
    `,
                }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { email: [{
                type: Input
            }], registrationSuccessScreen: [{
                type: Input
            }] } });

const ACCOUNT_DETAILS_STARTING_PAGE$1 = 4;
class BluiCreateAccountComponent {
    constructor(_router, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiRegisterService = _bluiRegisterService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiErrorDialogService = _bluiErrorDialogService;
        this.accountDetails = [];
        this.isLoading = true;
        this.isValidVerificationCode = true;
        this.stateListener = this._bluiSecurityService.securityStateChanges().subscribe((state) => {
            this.isLoading = state.isLoading;
        });
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.registrationUtils = new CreateAccountService(ACCOUNT_DETAILS_STARTING_PAGE$1, this.accountDetails);
    }
    ngOnDestroy() {
        this.stateListener.unsubscribe();
    }
    sendVerificationEmail() {
        this._bluiSecurityService.setLoading(true);
        this._bluiRegisterService
            .requestRegistrationCode(this.email)
            .then(() => {
            this._bluiSecurityService.setLoading(false);
            this.registrationUtils.nextStep();
        })
            .catch((data) => {
            this._bluiErrorDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
        });
    }
    validateVerificationCode() {
        this._bluiSecurityService.setLoading(true);
        this._bluiRegisterService
            .validateUserRegistrationRequest(this.verificationCode)
            .then((registrationComplete) => {
            this._bluiSecurityService.setLoading(false);
            this.registrationUtils.nextStep();
            this.isBrightlayerCloudAccount = registrationComplete;
        })
            .catch((data) => {
            this._bluiErrorDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
        });
    }
    registerAccount() {
        this._bluiSecurityService.setLoading(true);
        const customForms = this.registrationUtils.getAccountDetailsCustomValues();
        this._bluiRegisterService
            .completeRegistration(this.firstName, this.lastName, customForms, this.password, this.verificationCode, this.email)
            .then(() => {
            this._bluiSecurityService.setLoading(false);
            this._bluiSecurityService.updateSecurityState({ registrationEmail: this.email });
            this.registrationSuccessScreenContext = {
                email: this.email,
                firstName: this.firstName,
                lastName: this.lastName,
            };
            for (const key of customForms.keys()) {
                this.registrationSuccessScreenContext[key] = customForms.get(key).value;
            }
            this._bluiSecurityService.updateSecurityState({ registrationEmail: '', registrationPassword: '' });
            this.registrationUtils.clearAccountDetails();
            this.registrationUtils.nextStep();
        })
            .catch((data) => {
            this._bluiErrorDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
        });
    }
    attemptContinue() {
        if (this.canContinue()) {
            this.goNext();
        }
    }
    canContinue() {
        if (this.registrationUtils.isAccountDetailsPage()) {
            return this.registrationUtils.isFirstAccountDetailsPage()
                ? this.validAccountName && this.registrationUtils.hasValidAccountDetails()
                : this.registrationUtils.hasValidAccountDetails();
        }
        switch (this.registrationUtils.getCurrentPage()) {
            case 0:
                return this.userAcceptsEula;
            case 1:
                return this.isValidEmail;
            case 2:
                return Boolean(this.verificationCode);
            case 3:
                return this.passwordMeetsRequirements;
            default:
                break;
        }
    }
    goNext() {
        if (this.registrationUtils.isAccountDetailsPage()) {
            return this.registrationUtils.isLastAccountDetailsPage()
                ? this.registerAccount()
                : this.registrationUtils.nextStep();
        }
        if (this.registrationUtils.getCurrentPage() === 1) {
            return this.sendVerificationEmail();
        }
        if (this.registrationUtils.getCurrentPage() === 2) {
            return this.validateVerificationCode();
        }
        if (this.registrationUtils.getCurrentPage() === 3) {
            this._bluiSecurityService.updateSecurityState({ registrationPassword: this.password });
        }
        return this.registrationUtils.nextStep();
    }
    goBack() {
        if (this.registrationUtils.getCurrentPage() === 0) {
            this.navigateToLogin();
        }
        else {
            this.registrationUtils.prevStep();
        }
    }
    navigateToLogin() {
        this._bluiSecurityService.updateSecurityState({ registrationEmail: '', registrationPassword: '' });
        this.registrationUtils.clearAccountDetails();
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
    getUserName() {
        return `${this.firstName} ${this.lastName}`;
    }
    getCustomEmailValidator() {
        return this.customEmailValidator || this._bluiAuthConfig.customEmailValidator;
    }
}
BluiCreateAccountComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: BluiRegisterUIService }, { token: BluiAuthSecurityService }, { token: BluiCreateAccountErrorDialogService }], target: i0.ɵɵFactoryTarget.Component });
BluiCreateAccountComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiCreateAccountComponent, selector: "blui-create-account", inputs: { customEmailValidator: "customEmailValidator", accountDetails: "accountDetails", registrationSuccessScreen: "registrationSuccessScreen", existingAccountSuccessScreen: "existingAccountSuccessScreen" }, ngImport: i0, template: "<ng-container *ngIf=\"!isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-provide-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(email)]=\"email\"\n        [(isValidEmail)]=\"isValidEmail\"\n        [customEmailValidator]=\"getCustomEmailValidator()\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-provide-email-step>\n\n    <blui-create-account-verify-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 2\"\n        [email]=\"email\"\n        [(verificationCode)]=\"verificationCode\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-verify-email-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 3\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- First Account Details Page -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"existingAccountSuccessScreen\"\n    >\n    </blui-create-account-account-existing-step>\n</ng-container>\n", styles: ["blui-create-account-provide-email-step,blui-create-account-verify-email-step,blui-create-account-eula-step,blui-create-account-create-password-step,blui-create-account-account-details-step,blui-create-account-account-created-step,blui-create-account-account-existing-step{display:flex;flex:1 1 0;flex-direction:column}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.MobileStepperComponent, selector: "blui-mobile-stepper", inputs: ["activeStep", "steps", "variant"] }, { kind: "component", type: BluiAccountCreatedComponent, selector: "blui-create-account-account-created-step", inputs: ["userName", "email", "registrationSuccessScreen", "registrationSuccessScreenContext"] }, { kind: "component", type: BluiAccountDetailsComponent, selector: "blui-create-account-account-details-step", inputs: ["showDefaultAccountDetails", "firstName", "lastName", "pageTitle", "pageInstructions"], outputs: ["firstNameChange", "lastNameChange", "accountNameValid", "advance"] }, { kind: "component", type: BluiCreatePasswordComponent, selector: "blui-create-account-create-password-step", inputs: ["password", "passwordMeetsRequirements"], outputs: ["passwordChange", "passwordMeetsRequirementsChange", "advance"] }, { kind: "component", type: BluiEulaComponent, selector: "blui-create-account-eula-step", inputs: ["userAcceptsEula"], outputs: ["userAcceptsEulaChange"] }, { kind: "component", type: BluiProvideEmailComponent, selector: "blui-create-account-provide-email-step", inputs: ["email", "isValidEmail", "customEmailValidator"], outputs: ["emailChange", "isValidEmailChange", "advance"] }, { kind: "component", type: BluiVerifyEmailComponent, selector: "blui-create-account-verify-email-step", inputs: ["verificationCode", "email"], outputs: ["verificationCodeChange", "advance"] }, { kind: "component", type: BluiExistingAccountComponent, selector: "blui-create-account-account-existing-step", inputs: ["email", "registrationSuccessScreen"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-create-account', template: "<ng-container *ngIf=\"!isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-provide-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(email)]=\"email\"\n        [(isValidEmail)]=\"isValidEmail\"\n        [customEmailValidator]=\"getCustomEmailValidator()\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-provide-email-step>\n\n    <blui-create-account-verify-email-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 2\"\n        [email]=\"email\"\n        [(verificationCode)]=\"verificationCode\"\n        (advance)=\"attemptContinue()\"\n    ></blui-create-account-verify-email-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 3\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- First Account Details Page -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step\n        [email]=\"email\"\n        [registrationSuccessScreen]=\"existingAccountSuccessScreen\"\n    >\n    </blui-create-account-account-existing-step>\n</ng-container>\n", styles: ["blui-create-account-provide-email-step,blui-create-account-verify-email-step,blui-create-account-eula-step,blui-create-account-create-password-step,blui-create-account-account-details-step,blui-create-account-account-created-step,blui-create-account-account-existing-step{display:flex;flex:1 1 0;flex-direction:column}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: BluiRegisterUIService }, { type: BluiAuthSecurityService }, { type: BluiCreateAccountErrorDialogService }]; }, propDecorators: { customEmailValidator: [{
                type: Input
            }], accountDetails: [{
                type: Input
            }], registrationSuccessScreen: [{
                type: Input
            }], existingAccountSuccessScreen: [{
                type: Input
            }] } });

class BluiCreateAccountInviteErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data,
        });
    }
}
BluiCreateAccountInviteErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiCreateAccountInviteErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

const ACCOUNT_DETAILS_STARTING_PAGE = 2;
class BluiCreateAccountInviteComponent {
    constructor(_router, _bluiAuthConfig, _bluiRegisterService, _bluiSecurityService, _bluiErrorDialogService) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiRegisterService = _bluiRegisterService;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiErrorDialogService = _bluiErrorDialogService;
        this.accountDetails = [];
        this.isEmpty = (el) => isEmptyView(el);
        this.stateListener = this._bluiSecurityService.securityStateChanges().subscribe((state) => {
            this.isLoading = state.isLoading;
        });
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.validateRegistrationLink();
        this.registrationUtils = new CreateAccountService(ACCOUNT_DETAILS_STARTING_PAGE, this.accountDetails);
    }
    ngOnDestroy() {
        this.stateListener.unsubscribe();
    }
    validateRegistrationLink() {
        this._bluiSecurityService.setLoadingMessage('Validating registration link...');
        this._bluiSecurityService.setLoading(true);
        this._bluiRegisterService
            .validateUserRegistrationRequest()
            .then((registrationComplete) => {
            this._bluiSecurityService.setLoading(false);
            this.isValidRegistrationLink = true;
            this.isBrightlayerCloudAccount = registrationComplete;
        })
            .catch((data) => {
            this._bluiErrorDialogService.openDialog(data);
            this._bluiSecurityService.setLoading(false);
            this.isValidRegistrationLink = false;
        });
    }
    registerAccount() {
        this._bluiSecurityService.setLoading(true);
        const customForms = this.registrationUtils.getAccountDetailsCustomValues();
        this._bluiRegisterService
            .completeRegistration(this.firstName, this.lastName, customForms, this.password)
            .then(() => {
            this._bluiSecurityService.setLoading(false);
            this.registrationSuccessScreenContext = {
                email: undefined,
                firstName: this.firstName,
                lastName: this.lastName,
            };
            for (const key of customForms.keys()) {
                this.registrationSuccessScreenContext[key] = customForms.get(key).value;
            }
            this._bluiSecurityService.updateSecurityState({ registrationPassword: '' });
            this.registrationUtils.clearAccountDetails();
            this.registrationUtils.nextStep();
        })
            .catch((data) => {
            this._bluiSecurityService.setLoading(false);
            this._bluiErrorDialogService.openDialog(data);
        });
    }
    attemptContinue() {
        if (this.canContinue()) {
            this.goNext();
        }
    }
    canContinue() {
        if (this.registrationUtils.isAccountDetailsPage()) {
            return this.registrationUtils.isFirstAccountDetailsPage()
                ? this.validAccountName && this.registrationUtils.hasValidAccountDetails()
                : this.registrationUtils.hasValidAccountDetails();
        }
        switch (this.registrationUtils.getCurrentPage()) {
            case 0:
                return this.userAcceptsEula;
            case 1:
                return this.passwordMeetsRequirements;
            default:
                return;
        }
    }
    goNext() {
        if (this.registrationUtils.isAccountDetailsPage()) {
            return this.registrationUtils.isLastAccountDetailsPage()
                ? this.registerAccount()
                : this.registrationUtils.nextStep();
        }
        if (this.registrationUtils.getCurrentPage() === 1) {
            this._bluiSecurityService.updateSecurityState({ registrationPassword: this.password });
        }
        return this.registrationUtils.nextStep();
    }
    goBack() {
        if (this.registrationUtils.getCurrentPage() === 0) {
            this.navigateToLogin();
        }
        else {
            this.registrationUtils.prevStep();
        }
    }
    navigateToLogin() {
        this._bluiSecurityService.updateSecurityState({ registrationPassword: '' });
        this.registrationUtils.clearAccountDetails();
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
    getUserName() {
        return `${this.firstName} ${this.lastName}`;
    }
}
BluiCreateAccountInviteComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: BluiRegisterUIService }, { token: BluiAuthSecurityService }, { token: BluiCreateAccountInviteErrorDialogService }], target: i0.ɵɵFactoryTarget.Component });
BluiCreateAccountInviteComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiCreateAccountInviteComponent, selector: "blui-create-account-invite", inputs: { accountDetails: "accountDetails", registrationSuccessScreen: "registrationSuccessScreen", existingAccountSuccessScreen: "existingAccountSuccessScreen" }, viewQueries: [{ propertyName: "registrationLinkErrorTitleEl", first: true, predicate: ["registrationLinkErrorTitleVC"], descendants: true }, { propertyName: "registrationLinkErrorDescEl", first: true, predicate: ["registrationLinkErrorDescVC"], descendants: true }], ngImport: i0, template: "<!-- Error State -->\n<ng-container *ngIf=\"!isValidRegistrationLink && !isLoading\">\n    <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.TITLE\"></div>\n    <div class=\"blui-create-account-invite-content-error-state\">\n        <blui-empty-state>\n            <div blui-title>\n                <div #registrationLinkErrorTitleVC>\n                    <ng-content select=\"[blui-registration-link-error-title]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorTitleEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_TITLE\"\n                ></div>\n            </div>\n            <div blui-description>\n                <div #registrationLinkErrorDescVC>\n                    <ng-content select=\"[blui-registration-link-error-description]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorDescEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_DESCRIPTION\"\n                ></div>\n            </div>\n            <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        </blui-empty-state>\n    </div>\n    <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n    <div class=\"blui-auth-action-button-container\">\n        <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && !isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0 && isValidRegistrationLink\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- Page 1 -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step [registrationSuccessScreen]=\"existingAccountSuccessScreen\">\n    </blui-create-account-account-existing-step>\n</ng-container>\n", styles: ["blui-create-account-eula-step,blui-create-account-create-password-step,blui-create-account-account-details-step,blui-create-account-account-created-step,blui-create-account-account-existing-step{display:flex;flex:1 1 0;flex-direction:column}.blui-create-account-invite-content-error-state{display:flex;flex-direction:column;flex:1 1 0;justify-content:center}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: i4.MobileStepperComponent, selector: "blui-mobile-stepper", inputs: ["activeStep", "steps", "variant"] }, { kind: "component", type: BluiAccountCreatedComponent, selector: "blui-create-account-account-created-step", inputs: ["userName", "email", "registrationSuccessScreen", "registrationSuccessScreenContext"] }, { kind: "component", type: BluiAccountDetailsComponent, selector: "blui-create-account-account-details-step", inputs: ["showDefaultAccountDetails", "firstName", "lastName", "pageTitle", "pageInstructions"], outputs: ["firstNameChange", "lastNameChange", "accountNameValid", "advance"] }, { kind: "component", type: BluiCreatePasswordComponent, selector: "blui-create-account-create-password-step", inputs: ["password", "passwordMeetsRequirements"], outputs: ["passwordChange", "passwordMeetsRequirementsChange", "advance"] }, { kind: "component", type: BluiEulaComponent, selector: "blui-create-account-eula-step", inputs: ["userAcceptsEula"], outputs: ["userAcceptsEulaChange"] }, { kind: "component", type: BluiExistingAccountComponent, selector: "blui-create-account-account-existing-step", inputs: ["email", "registrationSuccessScreen"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-create-account-invite', template: "<!-- Error State -->\n<ng-container *ngIf=\"!isValidRegistrationLink && !isLoading\">\n    <div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CREATE_ACCOUNT.EULA.TITLE\"></div>\n    <div class=\"blui-create-account-invite-content-error-state\">\n        <blui-empty-state>\n            <div blui-title>\n                <div #registrationLinkErrorTitleVC>\n                    <ng-content select=\"[blui-registration-link-error-title]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorTitleEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_TITLE\"\n                ></div>\n            </div>\n            <div blui-description>\n                <div #registrationLinkErrorDescVC>\n                    <ng-content select=\"[blui-registration-link-error-description]\"></ng-content>\n                </div>\n                <div\n                    *ngIf=\"isEmpty(registrationLinkErrorDescEl)\"\n                    [innerHTML]=\"translate.CREATE_ACCOUNT.REGISTRATION_LINK.INVALID_DESCRIPTION\"\n                ></div>\n            </div>\n            <mat-icon blui-empty-icon color=\"warn\">error</mat-icon>\n        </blui-empty-state>\n    </div>\n    <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n    <div class=\"blui-auth-action-button-container\">\n        <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n            {{ translate.GENERAL.OKAY_BUTTON }}\n        </button>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && !isBrightlayerCloudAccount\">\n    <blui-create-account-eula-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 0 && isValidRegistrationLink\"\n        [(userAcceptsEula)]=\"userAcceptsEula\"\n    ></blui-create-account-eula-step>\n\n    <blui-create-account-create-password-step\n        *ngIf=\"registrationUtils.getCurrentPage() === 1\"\n        [(password)]=\"password\"\n        [(passwordMeetsRequirements)]=\"passwordMeetsRequirements\"\n        (advance)=\"attemptContinue()\"\n    >\n    </blui-create-account-create-password-step>\n\n    <!-- Page 1 -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isFirstAccountDetailsPage()\"\n        [showDefaultAccountDetails]=\"true\"\n        [(firstName)]=\"firstName\"\n        [(lastName)]=\"lastName\"\n        [pageTitle]=\"accountDetails[0]?.pageTitle\"\n        [pageInstructions]=\"accountDetails[0]?.pageInstructions\"\n        (accountNameValid)=\"validAccountName = $event\"\n        (advance)=\"attemptContinue()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <!-- Custom Account Details Pages -->\n    <blui-create-account-account-details-step\n        *ngIf=\"registrationUtils.isCustomAccountsDetailsPage()\"\n        [pageTitle]=\"registrationUtils.getCustomAccountDetailsTitle()\"\n        [pageInstructions]=\"registrationUtils.getCustomAccountDetailsInstructions()\"\n    >\n        <template\n            blui-account-details\n            [ngTemplateOutlet]=\"registrationUtils.getCustomAccountDetailsTemplate()\"\n        ></template>\n    </blui-create-account-account-details-step>\n\n    <blui-create-account-account-created-step\n        *ngIf=\"registrationUtils.showAccountCreatedPage()\"\n        [userName]=\"getUserName()\"\n        [registrationSuccessScreen]=\"registrationSuccessScreen\"\n        [registrationSuccessScreenContext]=\"registrationSuccessScreenContext\"\n    ></blui-create-account-account-created-step>\n\n    <ng-container *ngIf=\"!registrationUtils.showAccountCreatedPage()\">\n        <mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n        <div class=\"blui-auth-action-button-container\">\n            <blui-mobile-stepper\n                [steps]=\"registrationUtils.getNumberOfSteps()\"\n                [activeStep]=\"registrationUtils.getCurrentPage()\"\n            >\n                <button blui-back-button mat-stroked-button color=\"primary\" style=\"width: 100px\" (click)=\"goBack()\">\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() === 0\">\n                        {{ translate.GENERAL.CANCEL_BUTTON }}\n                    </ng-container>\n                    <ng-container *ngIf=\"registrationUtils.getCurrentPage() !== 0\">\n                        {{ translate.GENERAL.BACK_BUTTON }}\n                    </ng-container>\n                </button>\n                <button\n                    blui-next-button\n                    mat-flat-button\n                    color=\"primary\"\n                    style=\"width: 100px\"\n                    [disabled]=\"!canContinue()\"\n                    (click)=\"goNext()\"\n                >\n                    {{ translate.GENERAL.NEXT_BUTTON }}\n                </button>\n            </blui-mobile-stepper>\n        </div>\n    </ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"isValidRegistrationLink && isBrightlayerCloudAccount\">\n    <blui-create-account-account-existing-step [registrationSuccessScreen]=\"existingAccountSuccessScreen\">\n    </blui-create-account-account-existing-step>\n</ng-container>\n", styles: ["blui-create-account-eula-step,blui-create-account-create-password-step,blui-create-account-account-details-step,blui-create-account-account-created-step,blui-create-account-account-existing-step{display:flex;flex:1 1 0;flex-direction:column}.blui-create-account-invite-content-error-state{display:flex;flex-direction:column;flex:1 1 0;justify-content:center}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: BluiRegisterUIService }, { type: BluiAuthSecurityService }, { type: BluiCreateAccountInviteErrorDialogService }]; }, propDecorators: { accountDetails: [{
                type: Input
            }], registrationSuccessScreen: [{
                type: Input
            }], existingAccountSuccessScreen: [{
                type: Input
            }], registrationLinkErrorTitleEl: [{
                type: ViewChild,
                args: ['registrationLinkErrorTitleVC']
            }], registrationLinkErrorDescEl: [{
                type: ViewChild,
                args: ['registrationLinkErrorDescVC']
            }] } });

class LoadingOverlayComponent {
}
LoadingOverlayComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: LoadingOverlayComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
LoadingOverlayComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: LoadingOverlayComponent, selector: "blui-auth-loading-overlay", inputs: { loadingMessage: "loadingMessage" }, ngImport: i0, template: `
        <div class="blui-auth-loading-overlay"></div>
        <div class="blui-auth-loading-spinner">
            <mat-spinner color="primary"></mat-spinner>
            <h2 *ngIf="loadingMessage" class="blui-auth-loading-message mat-title">
                {{ loadingMessage }}
            </h2>
        </div>
    `, isInline: true, styles: [".blui-auth-loading-overlay{position:fixed;top:0;left:0;width:100%;height:100%;background:#424e54;z-index:3;opacity:.2}.blui-auth-loading-spinner{display:flex;position:absolute;top:0;left:0;width:100%;height:100%;z-index:4;justify-content:center;align-items:center;flex-direction:column}.blui-auth-loading-message{margin-top:16px;margin-bottom:-40px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i2$2.MatLegacyProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: LoadingOverlayComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-auth-loading-overlay', template: `
        <div class="blui-auth-loading-overlay"></div>
        <div class="blui-auth-loading-spinner">
            <mat-spinner color="primary"></mat-spinner>
            <h2 *ngIf="loadingMessage" class="blui-auth-loading-message mat-title">
                {{ loadingMessage }}
            </h2>
        </div>
    `, styles: [".blui-auth-loading-overlay{position:fixed;top:0;left:0;width:100%;height:100%;background:#424e54;z-index:3;opacity:.2}.blui-auth-loading-spinner{display:flex;position:absolute;top:0;left:0;width:100%;height:100%;z-index:4;justify-content:center;align-items:center;flex-direction:column}.blui-auth-loading-message{margin-top:16px;margin-bottom:-40px}\n"] }]
        }], propDecorators: { loadingMessage: [{
                type: Input
            }] } });

class BluiContactSupportComponent {
    constructor(_bluiAuthConfig, _router, _changeDetectorRef) {
        this._bluiAuthConfig = _bluiAuthConfig;
        this._router = _router;
        this._changeDetectorRef = _changeDetectorRef;
        this.isEmpty = (el) => isEmptyView(el);
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
    }
    ngAfterViewInit() {
        this._changeDetectorRef.detectChanges();
    }
    getGeneralSupportDescription() {
        const email = this.translate.CONTACT_SUPPORT.EMAIL || this._bluiAuthConfig.contactEmail;
        return this.translate.CONTACT_SUPPORT.GENERAL_SUPPORT_DESCRIPTION(email);
    }
    getEmergencySupportDescription() {
        const phone = this.translate.CONTACT_SUPPORT.PHONE_NUMBER || this._bluiAuthConfig.contactPhone;
        return this.translate.CONTACT_SUPPORT.EMERGENCY_SUPPORT_DESCRIPTION(phone);
    }
    navigateToLogin() {
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
}
BluiContactSupportComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiContactSupportComponent, deps: [{ token: BluiAuthConfig }, { token: i1.Router }, { token: i0.ChangeDetectorRef }], target: i0.ɵɵFactoryTarget.Component });
BluiContactSupportComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiContactSupportComponent, selector: "blui-contact-support", inputs: { instructions: "instructions" }, host: { classAttribute: "blui-contact-support" }, viewQueries: [{ propertyName: "iconEl", first: true, predicate: ["iconVC"], descendants: true }, { propertyName: "instructionsEl", first: true, predicate: ["instructionsVC"], descendants: true }], ngImport: i0, template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CONTACT_SUPPORT.TITLE\"></div>\n\n<div style=\"text-align: center; margin-bottom: 26px; margin-top: 8px\">\n    <div #iconVC>\n        <ng-content select=\"[blui-icon]\"></ng-content>\n    </div>\n    <mat-icon *ngIf=\"isEmpty(iconEl)\" class=\"blui-contact-support-chat-bubble-icon\" color=\"primary\"\n        >chat_bubble_outline\n    </mat-icon>\n</div>\n\n<div class=\"blui-auth-full-height\">\n    <div #instructionsVC>\n        <ng-content select=\"[blui-instructions]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(instructionsEl)\">\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px; margin-top: 0px\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.GENERAL_SUPPORT_TITLE\"\n        ></p>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 32px; margin-top: 0px\"\n            [innerHTML]=\"getGeneralSupportDescription()\"\n        ></p>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.EMERGENCY_SUPPORT_TITLE\"\n        ></p>\n        <p class=\"mat-body-1\" [innerHTML]=\"getEmergencySupportDescription()\"></p>\n    </div>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n</div>\n", styles: [".blui-contact-support-chat-bubble-icon{font-size:70px;height:70px;width:70px}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiContactSupportComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-contact-support', host: {
                        class: 'blui-contact-support',
                    }, template: "<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CONTACT_SUPPORT.TITLE\"></div>\n\n<div style=\"text-align: center; margin-bottom: 26px; margin-top: 8px\">\n    <div #iconVC>\n        <ng-content select=\"[blui-icon]\"></ng-content>\n    </div>\n    <mat-icon *ngIf=\"isEmpty(iconEl)\" class=\"blui-contact-support-chat-bubble-icon\" color=\"primary\"\n        >chat_bubble_outline\n    </mat-icon>\n</div>\n\n<div class=\"blui-auth-full-height\">\n    <div #instructionsVC>\n        <ng-content select=\"[blui-instructions]\"></ng-content>\n    </div>\n    <div *ngIf=\"isEmpty(instructionsEl)\">\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px; margin-top: 0px\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.GENERAL_SUPPORT_TITLE\"\n        ></p>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 32px; margin-top: 0px\"\n            [innerHTML]=\"getGeneralSupportDescription()\"\n        ></p>\n        <p\n            class=\"mat-body-1\"\n            style=\"margin-bottom: 8px\"\n            [innerHTML]=\"translate.CONTACT_SUPPORT.EMERGENCY_SUPPORT_TITLE\"\n        ></p>\n        <p class=\"mat-body-1\" [innerHTML]=\"getEmergencySupportDescription()\"></p>\n    </div>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button mat-flat-button color=\"primary\" (click)=\"navigateToLogin()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n</div>\n", styles: [".blui-contact-support-chat-bubble-icon{font-size:70px;height:70px;width:70px}\n"] }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: i1.Router }, { type: i0.ChangeDetectorRef }]; }, propDecorators: { instructions: [{
                type: Input
            }], iconEl: [{
                type: ViewChild,
                args: ['iconVC']
            }], instructionsEl: [{
                type: ViewChild,
                args: ['instructionsVC']
            }] } });

class BluiAuthComponent {
    constructor(_router, _bluiAuthConfig, _bluiAuthUIService, _changeDetectorRef, _bluiSecurityService) {
        this._router = _router;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiAuthUIService = _bluiAuthUIService;
        this._changeDetectorRef = _changeDetectorRef;
        this._bluiSecurityService = _bluiSecurityService;
        this.isLoading = false;
        this.isSecurityInitiated = false;
        this._listenForAuthLoadingStateChanges();
        this._listenForAuthRouteChanges();
    }
    ngOnInit() {
        this.initiateSecurity();
        this.projectImage = this._bluiAuthConfig.projectImage;
        this.backgroundImage = this._bluiAuthConfig.backgroundImage;
    }
    ngOnDestroy() {
        this.stateListener.unsubscribe();
        this.routeListener.unsubscribe();
    }
    initiateSecurity() {
        void this._bluiAuthUIService.initiateSecurity().then(() => {
            this.isSecurityInitiated = true;
            this._changeDetectorRef.detectChanges();
        });
    }
    // This will listen for auth state loading changes and toggles the shared overlay loading screen.
    _listenForAuthLoadingStateChanges() {
        this.stateListener = this._bluiSecurityService
            .securityStateChanges()
            .subscribe((securityContext) => {
            this.isLoading = securityContext.isLoading;
            this.loadingMessage = securityContext.loadingMessage;
            this._changeDetectorRef.detectChanges();
        });
    }
    // Observes route changes and determines which Blui Auth page to show via route name.
    _listenForAuthRouteChanges() {
        this.routeListener = this._router.events.subscribe((route) => {
            if (route instanceof NavigationEnd) {
                this._resetSelectedRoute();
                const url = route.urlAfterRedirects;
                this.showLogin = matchesRoute(url, 'LOGIN');
                this.showResetPassword = matchesRoute(url, 'RESET_PASSWORD');
                this.showCreateAccount = matchesRoute(url, 'CREATE_ACCOUNT');
                this.showForgotPassword = matchesRoute(url, 'FORGOT_PASSWORD');
                this.showContactSupport = matchesRoute(url, 'CONTACT_SUPPORT');
                this.showCreateAccountInvite = matchesRoute(url, 'CREATE_ACCOUNT_INVITE');
                this._changeDetectorRef.detectChanges();
            }
        });
    }
    _resetSelectedRoute() {
        this.showLogin = false;
        this.showForgotPassword = false;
        this.showCreateAccount = false;
        this.showCreateAccountInvite = false;
        this.showResetPassword = false;
        this.showContactSupport = false;
    }
}
BluiAuthComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthComponent, deps: [{ token: i1.Router }, { token: BluiAuthConfig }, { token: BluiAuthUIService }, { token: i0.ChangeDetectorRef }, { token: BluiAuthSecurityService }], target: i0.ɵɵFactoryTarget.Component });
BluiAuthComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiAuthComponent, selector: "blui-auth", inputs: { createAccountInviteRef: "createAccountInviteRef", createAccountRef: "createAccountRef", loginRef: "loginRef", forgotPasswordRef: "forgotPasswordRef", resetPasswordRef: "resetPasswordRef", contactSupportRef: "contactSupportRef" }, host: { classAttribute: "blui-auth" }, ngImport: i0, template: "<div class=\"blui-auth-content\" [style.backgroundImage]=\"'url(' + backgroundImage + ')'\">\n    <mat-card class=\"blui-auth-inner-card\" [class.blui-auth-splash-screen]=\"!isSecurityInitiated\">\n        <blui-auth-loading-overlay *ngIf=\"isLoading\" [loadingMessage]=\"loadingMessage\"></blui-auth-loading-overlay>\n\n        <ng-container *ngIf=\"isSecurityInitiated\">\n            <!-- Login  -->\n            <div class=\"blui-auth-login\" *ngIf=\"showLogin\">\n                <template [ngTemplateOutlet]=\"loginRef\"></template>\n                <blui-login *ngIf=\"!loginRef\"></blui-login>\n            </div>\n\n            <!-- Reset Password -->\n            <div class=\"blui-auth-reset-password\" *ngIf=\"showResetPassword\">\n                <template [ngTemplateOutlet]=\"resetPasswordRef\"></template>\n                <blui-reset-password *ngIf=\"!resetPasswordRef\"></blui-reset-password>\n            </div>\n\n            <!-- Create Account (Self-Register) -->\n            <div class=\"blui-auth-create-account\" *ngIf=\"showCreateAccount\">\n                <template [ngTemplateOutlet]=\"createAccountRef\"></template>\n                <blui-create-account *ngIf=\"!createAccountRef\"></blui-create-account>\n            </div>\n\n            <!-- Create Account (Invited) -->\n            <div class=\"blui-auth-create-account-invite\" *ngIf=\"showCreateAccountInvite\">\n                <template [ngTemplateOutlet]=\"createAccountInviteRef\"></template>\n                <blui-create-account-invite *ngIf=\"!createAccountInviteRef\"></blui-create-account-invite>\n            </div>\n\n            <!-- Forgot Password -->\n            <div class=\"blui-auth-forgot-password\" *ngIf=\"showForgotPassword\">\n                <template [ngTemplateOutlet]=\"forgotPasswordRef\"></template>\n                <blui-forgot-password *ngIf=\"!forgotPasswordRef\"></blui-forgot-password>\n            </div>\n\n            <!-- Contact Support -->\n            <div class=\"blui-auth-contact-support\" *ngIf=\"showContactSupport\">\n                <template [ngTemplateOutlet]=\"contactSupportRef\"></template>\n                <blui-contact-support *ngIf=\"!contactSupportRef\"></blui-contact-support>\n            </div>\n        </ng-container>\n\n        <div *ngIf=\"!isSecurityInitiated\" class=\"blui-auth-splash-screen-content\">\n            <img [src]=\"projectImage\" style=\"max-width: 100%; max-height: 80px; margin-bottom: 48px\" />\n            <mat-spinner diameter=\"40\"></mat-spinner>\n        </div>\n    </mat-card>\n</div>\n", styles: [".blui-auth-content{height:100%;display:flex;justify-content:center;align-items:center;background-color:#007bc1}.blui-auth-content .blui-auth-inner-card{padding:0;box-sizing:border-box;width:100%;height:100%;display:flex;position:relative;max-width:450px;max-height:730px;flex-direction:column;overflow:auto}.blui-auth-content .blui-auth-splash-screen{align-items:center;justify-content:center}.blui-auth-content .blui-auth-splash-screen-content{display:flex;flex-direction:column;align-items:center}.blui-auth-content .blui-auth-login{padding:32px 64px;overflow:auto;flex:1 1 0;display:flex;flex-direction:column}.blui-auth-content .blui-auth-login>div{height:100%}.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite{flex:1 1 0;display:flex;flex-direction:column;padding:32px 24px 24px}@media only screen and (max-width: 600px){.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite{padding:16px}.blui-auth-content .blui-auth-login{padding:32px}.blui-auth-content .blui-auth-inner-card{max-width:none;max-height:none;border-radius:0}}::ng-deep .blui-auth-link{color:#007bc1;text-decoration:none;font-weight:600;text-align:center;cursor:pointer}::ng-deep .blui-auth-title{padding-bottom:16px}::ng-deep .blui-auth-full-height{display:flex;flex-direction:column;flex:1 1 0}::ng-deep .mat-divider.blui-auth-divider{margin-left:-24px!important;margin-right:-24px!important;position:static!important;width:auto!important}::ng-deep .mat-divider.blui-auth-divider-32{margin-left:-32px!important;margin-right:-32px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:16px}::ng-deep .blui-auth-action-button-container{padding-top:8px;display:flex;justify-content:space-between}::ng-deep .blui-auth-action-button-container .blui-mobile-stepper-content button{margin:0}::ng-deep blui-contact-support,::ng-deep blui-create-account,::ng-deep blui-create-account-invite,::ng-deep blui-forgot-password,::ng-deep blui-login,::ng-deep blui-reset-password{flex:1 1 0;display:flex;flex-direction:column;height:100%}::ng-deep blui-password-strength-checker{margin-bottom:24px;margin-top:-16px}@media only screen and (max-width: 600px){::ng-deep .mat-divider.blui-auth-divider{margin-left:-16px!important;margin-right:-16px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:8px}}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i3.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i2$2.MatLegacyProgressSpinner, selector: "mat-progress-spinner, mat-spinner", inputs: ["color", "diameter", "strokeWidth", "mode", "value"], exportAs: ["matProgressSpinner"] }, { kind: "component", type: i13.MatLegacyCard, selector: "mat-card", exportAs: ["matCard"] }, { kind: "component", type: BluiCreateAccountComponent, selector: "blui-create-account", inputs: ["customEmailValidator", "accountDetails", "registrationSuccessScreen", "existingAccountSuccessScreen"] }, { kind: "component", type: BluiCreateAccountInviteComponent, selector: "blui-create-account-invite", inputs: ["accountDetails", "registrationSuccessScreen", "existingAccountSuccessScreen"] }, { kind: "component", type: LoadingOverlayComponent, selector: "blui-auth-loading-overlay", inputs: ["loadingMessage"] }, { kind: "component", type: BluiLoginComponent, selector: "blui-login", inputs: ["customEmailValidator"] }, { kind: "component", type: BluiForgotPasswordComponent, selector: "blui-forgot-password", inputs: ["customEmailValidator"] }, { kind: "component", type: BluiResetPasswordComponent, selector: "blui-reset-password" }, { kind: "component", type: BluiContactSupportComponent, selector: "blui-contact-support", inputs: ["instructions"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-auth', host: {
                        class: 'blui-auth',
                    }, template: "<div class=\"blui-auth-content\" [style.backgroundImage]=\"'url(' + backgroundImage + ')'\">\n    <mat-card class=\"blui-auth-inner-card\" [class.blui-auth-splash-screen]=\"!isSecurityInitiated\">\n        <blui-auth-loading-overlay *ngIf=\"isLoading\" [loadingMessage]=\"loadingMessage\"></blui-auth-loading-overlay>\n\n        <ng-container *ngIf=\"isSecurityInitiated\">\n            <!-- Login  -->\n            <div class=\"blui-auth-login\" *ngIf=\"showLogin\">\n                <template [ngTemplateOutlet]=\"loginRef\"></template>\n                <blui-login *ngIf=\"!loginRef\"></blui-login>\n            </div>\n\n            <!-- Reset Password -->\n            <div class=\"blui-auth-reset-password\" *ngIf=\"showResetPassword\">\n                <template [ngTemplateOutlet]=\"resetPasswordRef\"></template>\n                <blui-reset-password *ngIf=\"!resetPasswordRef\"></blui-reset-password>\n            </div>\n\n            <!-- Create Account (Self-Register) -->\n            <div class=\"blui-auth-create-account\" *ngIf=\"showCreateAccount\">\n                <template [ngTemplateOutlet]=\"createAccountRef\"></template>\n                <blui-create-account *ngIf=\"!createAccountRef\"></blui-create-account>\n            </div>\n\n            <!-- Create Account (Invited) -->\n            <div class=\"blui-auth-create-account-invite\" *ngIf=\"showCreateAccountInvite\">\n                <template [ngTemplateOutlet]=\"createAccountInviteRef\"></template>\n                <blui-create-account-invite *ngIf=\"!createAccountInviteRef\"></blui-create-account-invite>\n            </div>\n\n            <!-- Forgot Password -->\n            <div class=\"blui-auth-forgot-password\" *ngIf=\"showForgotPassword\">\n                <template [ngTemplateOutlet]=\"forgotPasswordRef\"></template>\n                <blui-forgot-password *ngIf=\"!forgotPasswordRef\"></blui-forgot-password>\n            </div>\n\n            <!-- Contact Support -->\n            <div class=\"blui-auth-contact-support\" *ngIf=\"showContactSupport\">\n                <template [ngTemplateOutlet]=\"contactSupportRef\"></template>\n                <blui-contact-support *ngIf=\"!contactSupportRef\"></blui-contact-support>\n            </div>\n        </ng-container>\n\n        <div *ngIf=\"!isSecurityInitiated\" class=\"blui-auth-splash-screen-content\">\n            <img [src]=\"projectImage\" style=\"max-width: 100%; max-height: 80px; margin-bottom: 48px\" />\n            <mat-spinner diameter=\"40\"></mat-spinner>\n        </div>\n    </mat-card>\n</div>\n", styles: [".blui-auth-content{height:100%;display:flex;justify-content:center;align-items:center;background-color:#007bc1}.blui-auth-content .blui-auth-inner-card{padding:0;box-sizing:border-box;width:100%;height:100%;display:flex;position:relative;max-width:450px;max-height:730px;flex-direction:column;overflow:auto}.blui-auth-content .blui-auth-splash-screen{align-items:center;justify-content:center}.blui-auth-content .blui-auth-splash-screen-content{display:flex;flex-direction:column;align-items:center}.blui-auth-content .blui-auth-login{padding:32px 64px;overflow:auto;flex:1 1 0;display:flex;flex-direction:column}.blui-auth-content .blui-auth-login>div{height:100%}.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite{flex:1 1 0;display:flex;flex-direction:column;padding:32px 24px 24px}@media only screen and (max-width: 600px){.blui-auth-content .blui-auth-contact-support,.blui-auth-content .blui-auth-forgot-password,.blui-auth-content .blui-auth-reset-password,.blui-auth-content .blui-auth-create-account,.blui-auth-content .blui-auth-create-account-invite{padding:16px}.blui-auth-content .blui-auth-login{padding:32px}.blui-auth-content .blui-auth-inner-card{max-width:none;max-height:none;border-radius:0}}::ng-deep .blui-auth-link{color:#007bc1;text-decoration:none;font-weight:600;text-align:center;cursor:pointer}::ng-deep .blui-auth-title{padding-bottom:16px}::ng-deep .blui-auth-full-height{display:flex;flex-direction:column;flex:1 1 0}::ng-deep .mat-divider.blui-auth-divider{margin-left:-24px!important;margin-right:-24px!important;position:static!important;width:auto!important}::ng-deep .mat-divider.blui-auth-divider-32{margin-left:-32px!important;margin-right:-32px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:16px}::ng-deep .blui-auth-action-button-container{padding-top:8px;display:flex;justify-content:space-between}::ng-deep .blui-auth-action-button-container .blui-mobile-stepper-content button{margin:0}::ng-deep blui-contact-support,::ng-deep blui-create-account,::ng-deep blui-create-account-invite,::ng-deep blui-forgot-password,::ng-deep blui-login,::ng-deep blui-reset-password{flex:1 1 0;display:flex;flex-direction:column;height:100%}::ng-deep blui-password-strength-checker{margin-bottom:24px;margin-top:-16px}@media only screen and (max-width: 600px){::ng-deep .mat-divider.blui-auth-divider{margin-left:-16px!important;margin-right:-16px!important}::ng-deep .mat-divider.blui-auth-action-button-divider{margin-bottom:8px}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: BluiAuthConfig }, { type: BluiAuthUIService }, { type: i0.ChangeDetectorRef }, { type: BluiAuthSecurityService }]; }, propDecorators: { createAccountInviteRef: [{
                type: Input
            }], createAccountRef: [{
                type: Input
            }], loginRef: [{
                type: Input
            }], forgotPasswordRef: [{
                type: Input
            }], resetPasswordRef: [{
                type: Input
            }], contactSupportRef: [{
                type: Input
            }] } });

class BluiChangePasswordErrorDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog(data) {
        return this.dialog.open(BluiAuthErrorDialogComponent, {
            disableClose: true,
            data,
        });
    }
}
BluiChangePasswordErrorDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordErrorDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiChangePasswordErrorDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordErrorDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordErrorDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

class BluiChangePasswordComponent {
    constructor(_router, _formBuilder, _bluiAuthConfig, _bluiFormsService, _bluiAuthUIService, _changeDetectorRef, _bluiSecurityService, _bluiChangePasswordErrorDialogService) {
        this._router = _router;
        this._formBuilder = _formBuilder;
        this._bluiAuthConfig = _bluiAuthConfig;
        this._bluiFormsService = _bluiFormsService;
        this._bluiAuthUIService = _bluiAuthUIService;
        this._changeDetectorRef = _changeDetectorRef;
        this._bluiSecurityService = _bluiSecurityService;
        this._bluiChangePasswordErrorDialogService = _bluiChangePasswordErrorDialogService;
        this.isLoading = false;
        this.passesStrengthCheck = false;
        this.passwordChangeSuccess = false;
        this.passwordsMatch = false;
        this.close = new EventEmitter();
    }
    ngOnInit() {
        this.translate = this._bluiAuthConfig.getTranslations();
        this.passwordRequirements = this._bluiAuthConfig.getPasswordRequirements();
    }
    ngAfterViewInit() {
        this.currentPasswordFormControl = this.currentPasswordComponent.passwordFormControl;
        this.newPasswordFormControl = this.newPasswordComponent.passwordFormControl;
        this.confirmPasswordFormControl = this.confirmPasswordComponent.passwordFormControl;
        this._changeDetectorRef.detectChanges();
    }
    closeDialog() {
        this.close.emit();
    }
    done() {
        this.closeDialog();
        void this._router.navigate([`${AUTH_ROUTES.AUTH_WORKFLOW}/${AUTH_ROUTES.LOGIN}`]);
    }
    changePassword() {
        const oldPassword = this.currentPasswordFormControl.value;
        const newPassword = this.newPasswordFormControl.value;
        this.isLoading = true;
        this._bluiAuthUIService
            .changePassword(oldPassword, newPassword)
            .then(() => {
            this.passwordChangeSuccess = true;
            this._bluiSecurityService.onUserNotAuthenticated();
            this.isLoading = false;
        })
            .catch((data) => {
            this.passwordChangeSuccess = false;
            this.isLoading = false;
            this._bluiChangePasswordErrorDialogService.openDialog(data);
        });
    }
    focusNewPassword() {
        this._bluiFormsService.advanceToNextField(this.newPasswordComponent.passwordInputElement);
    }
    focusConfirmPassword() {
        this._bluiFormsService.advanceToNextField(this.confirmPasswordComponent.passwordInputElement);
    }
    allowPasswordChange() {
        return (this.currentPasswordFormControl &&
            this.currentPasswordFormControl.value &&
            this.passwordsMatch &&
            this.passesStrengthCheck);
    }
}
BluiChangePasswordComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordComponent, deps: [{ token: i1.Router }, { token: i2.FormBuilder }, { token: BluiAuthConfig }, { token: BluiFormsService }, { token: BluiAuthUIService }, { token: i0.ChangeDetectorRef }, { token: BluiAuthSecurityService }, { token: BluiChangePasswordErrorDialogService }], target: i0.ɵɵFactoryTarget.Component });
BluiChangePasswordComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiChangePasswordComponent, selector: "blui-change-password", outputs: { close: "close" }, host: { classAttribute: "blui-change-password" }, viewQueries: [{ propertyName: "currentPasswordComponent", first: true, predicate: ["currentPasswordField"], descendants: true }, { propertyName: "newPasswordComponent", first: true, predicate: ["newPasswordField"], descendants: true }, { propertyName: "confirmPasswordComponent", first: true, predicate: ["confirmPasswordField"], descendants: true }], ngImport: i0, template: "<blui-auth-loading-overlay *ngIf=\"isLoading\"></blui-auth-loading-overlay>\n<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CHANGE_PASSWORD.TITLE\"></div>\n<div class=\"blui-auth-full-height\" [class.blui-change-password-centered-content]=\"passwordChangeSuccess\">\n    <ng-container *ngIf=\"!passwordChangeSuccess\">\n        <p\n            class=\"mat-body-1 blui-change-password-instructions\"\n            [innerHTML]=\"translate.CHANGE_PASSWORD.INSTRUCTIONS\"\n        ></p>\n        <mat-divider style=\"margin-bottom: 32px\" class=\"blui-auth-divider\"></mat-divider>\n        <form>\n            <blui-password-field\n                id=\"blui-current-password\"\n                #currentPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CURRENT_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusNewPassword()\"\n            >\n            </blui-password-field>\n            <blui-password-field\n                id=\"blui-new-password\"\n                #newPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.NEW_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusConfirmPassword()\"\n            ></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"newPasswordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                id=\"blui-confirm-new-password\"\n                #confirmPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"newPasswordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"allowPasswordChange() ? changePassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </ng-container>\n\n    <blui-empty-state *ngIf=\"passwordChangeSuccess\" class=\"blui-change-password-empty-state\">\n        <div blui-title [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n        <mat-icon blui-empty-icon color=\"primary\" class=\"blui-change-password-empty-state-icon\">check_circle</mat-icon>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button\n        *ngIf=\"!passwordChangeSuccess\"\n        mat-stroked-button\n        color=\"primary\"\n        (click)=\"closeDialog()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"!passwordChangeSuccess\"\n        [disabled]=\"!allowPasswordChange()\"\n        color=\"primary\"\n        (click)=\"changePassword()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button mat-flat-button *ngIf=\"passwordChangeSuccess\" color=\"primary\" (click)=\"done()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n", styles: [":host{display:flex;flex-direction:column;flex:1 1 0px;height:100%}.blui-change-password-instructions{margin-bottom:32px;margin-top:8px}.blui-change-password-centered-content{justify-content:center}::ng-deep .blui-change-password-empty-state .blui-empty-state-description{color:inherit!important}::ng-deep .blui-change-password-empty-state .blui-empty-state-empty-icon-wrapper{margin-bottom:16px}@media only screen and (max-width: 600px){::ng-deep .blui-change-password-dialog .mat-dialog-container{padding:16px!important;border-radius:0!important}::ng-deep .blui-change-password-dialog{max-width:none!important;width:100%!important;height:100%!important}}\n"], dependencies: [{ kind: "directive", type: i3.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: i7$1.MatLegacyButton, selector: "button[mat-button], button[mat-raised-button], button[mat-icon-button],             button[mat-fab], button[mat-mini-fab], button[mat-stroked-button],             button[mat-flat-button]", inputs: ["disabled", "disableRipple", "color"], exportAs: ["matButton"] }, { kind: "directive", type: i2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i10.MatIcon, selector: "mat-icon", inputs: ["color", "inline", "svgIcon", "fontSet", "fontIcon"], exportAs: ["matIcon"] }, { kind: "component", type: i6$1.MatDivider, selector: "mat-divider", inputs: ["vertical", "inset"] }, { kind: "component", type: i4.EmptyStateComponent, selector: "blui-empty-state", inputs: ["description", "title"] }, { kind: "component", type: LoadingOverlayComponent, selector: "blui-auth-loading-overlay", inputs: ["loadingMessage"] }, { kind: "component", type: PasswordFieldComponent, selector: "blui-password-field", inputs: ["rememberPassword", "label", "shouldMatch", "passwordsMatch", "manualErrorMessage"], outputs: ["passwordsMatchChange", "enter", "edit"] }, { kind: "component", type: BluiPasswordStrengthCheckerComponent, selector: "blui-password-strength-checker", inputs: ["requirements", "formValue", "meetsRequirements"], outputs: ["meetsRequirementsChange"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordComponent, decorators: [{
            type: Component,
            args: [{ selector: 'blui-change-password', host: {
                        class: 'blui-change-password',
                    }, template: "<blui-auth-loading-overlay *ngIf=\"isLoading\"></blui-auth-loading-overlay>\n<div class=\"mat-title blui-auth-title\" [innerHTML]=\"translate.CHANGE_PASSWORD.TITLE\"></div>\n<div class=\"blui-auth-full-height\" [class.blui-change-password-centered-content]=\"passwordChangeSuccess\">\n    <ng-container *ngIf=\"!passwordChangeSuccess\">\n        <p\n            class=\"mat-body-1 blui-change-password-instructions\"\n            [innerHTML]=\"translate.CHANGE_PASSWORD.INSTRUCTIONS\"\n        ></p>\n        <mat-divider style=\"margin-bottom: 32px\" class=\"blui-auth-divider\"></mat-divider>\n        <form>\n            <blui-password-field\n                id=\"blui-current-password\"\n                #currentPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CURRENT_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusNewPassword()\"\n            >\n            </blui-password-field>\n            <blui-password-field\n                id=\"blui-new-password\"\n                #newPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.NEW_PASSWORD_FORM_LABEL\"\n                (enter)=\"focusConfirmPassword()\"\n            ></blui-password-field>\n            <blui-password-strength-checker\n                [(meetsRequirements)]=\"passesStrengthCheck\"\n                [formValue]=\"newPasswordFormControl?.value\"\n                [requirements]=\"passwordRequirements\"\n            >\n            </blui-password-strength-checker>\n            <blui-password-field\n                id=\"blui-confirm-new-password\"\n                #confirmPasswordField\n                [label]=\"translate.CHANGE_PASSWORD.CONFIRM_PASSWORD_FORM_LABEL\"\n                [shouldMatch]=\"newPasswordFormControl\"\n                [(passwordsMatch)]=\"passwordsMatch\"\n                (enter)=\"allowPasswordChange() ? changePassword() : ''\"\n            >\n            </blui-password-field>\n        </form>\n    </ng-container>\n\n    <blui-empty-state *ngIf=\"passwordChangeSuccess\" class=\"blui-change-password-empty-state\">\n        <div blui-title [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_TITLE\"></div>\n        <div blui-description [innerHTML]=\"translate.CHANGE_PASSWORD.SUCCESS_DESCRIPTION\"></div>\n        <mat-icon blui-empty-icon color=\"primary\" class=\"blui-change-password-empty-state-icon\">check_circle</mat-icon>\n    </blui-empty-state>\n</div>\n\n<mat-divider class=\"blui-auth-divider blui-auth-action-button-divider\"></mat-divider>\n\n<div class=\"blui-auth-action-button-container\">\n    <button\n        *ngIf=\"!passwordChangeSuccess\"\n        mat-stroked-button\n        color=\"primary\"\n        (click)=\"closeDialog()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.BACK_BUTTON }}\n    </button>\n    <button\n        mat-flat-button\n        *ngIf=\"!passwordChangeSuccess\"\n        [disabled]=\"!allowPasswordChange()\"\n        color=\"primary\"\n        (click)=\"changePassword()\"\n        style=\"width: 100px\"\n    >\n        {{ translate.GENERAL.OKAY_BUTTON }}\n    </button>\n    <button mat-flat-button *ngIf=\"passwordChangeSuccess\" color=\"primary\" (click)=\"done()\" [style.width.%]=\"100\">\n        {{ translate.GENERAL.LOGIN_BUTTON }}\n    </button>\n</div>\n", styles: [":host{display:flex;flex-direction:column;flex:1 1 0px;height:100%}.blui-change-password-instructions{margin-bottom:32px;margin-top:8px}.blui-change-password-centered-content{justify-content:center}::ng-deep .blui-change-password-empty-state .blui-empty-state-description{color:inherit!important}::ng-deep .blui-change-password-empty-state .blui-empty-state-empty-icon-wrapper{margin-bottom:16px}@media only screen and (max-width: 600px){::ng-deep .blui-change-password-dialog .mat-dialog-container{padding:16px!important;border-radius:0!important}::ng-deep .blui-change-password-dialog{max-width:none!important;width:100%!important;height:100%!important}}\n"] }]
        }], ctorParameters: function () { return [{ type: i1.Router }, { type: i2.FormBuilder }, { type: BluiAuthConfig }, { type: BluiFormsService }, { type: BluiAuthUIService }, { type: i0.ChangeDetectorRef }, { type: BluiAuthSecurityService }, { type: BluiChangePasswordErrorDialogService }]; }, propDecorators: { currentPasswordComponent: [{
                type: ViewChild,
                args: ['currentPasswordField']
            }], newPasswordComponent: [{
                type: ViewChild,
                args: ['newPasswordField']
            }], confirmPasswordComponent: [{
                type: ViewChild,
                args: ['confirmPasswordField']
            }], close: [{
                type: Output
            }] } });

class BluiChangePasswordDialogComponent {
    constructor(dialogRef) {
        this.dialogRef = dialogRef;
    }
    cancel() {
        this.dialogRef.close('cancel');
    }
}
BluiChangePasswordDialogComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordDialogComponent, deps: [{ token: i1$1.MatLegacyDialogRef }], target: i0.ɵɵFactoryTarget.Component });
BluiChangePasswordDialogComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.9", type: BluiChangePasswordDialogComponent, selector: "ng-component", ngImport: i0, template: '<blui-change-password (close)="cancel()"></blui-change-password>', isInline: true, dependencies: [{ kind: "component", type: BluiChangePasswordComponent, selector: "blui-change-password", outputs: ["close"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordDialogComponent, decorators: [{
            type: Component,
            args: [{
                    template: '<blui-change-password (close)="cancel()"></blui-change-password>',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialogRef }]; } });

class BluiCommonComponentsModule {
}
BluiCommonComponentsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCommonComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BluiCommonComponentsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: BluiCommonComponentsModule, declarations: [EmailFieldComponent,
        LoadingOverlayComponent,
        PasswordFieldComponent,
        PasswordStrengthCheckComponent,
        BluiAuthErrorDialogComponent,
        BluiPasswordStrengthCheckerComponent], imports: [BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        MatLegacyButtonModule,
        MatDividerModule,
        MatIconModule,
        MatLegacyInputModule,
        MatLegacyListModule,
        MatLegacyProgressSpinnerModule,
        ReactiveFormsModule], exports: [EmailFieldComponent,
        LoadingOverlayComponent,
        PasswordFieldComponent,
        PasswordStrengthCheckComponent,
        BluiAuthErrorDialogComponent,
        BluiPasswordStrengthCheckerComponent] });
BluiCommonComponentsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCommonComponentsModule, imports: [BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        MatLegacyButtonModule,
        MatDividerModule,
        MatIconModule,
        MatLegacyInputModule,
        MatLegacyListModule,
        MatLegacyProgressSpinnerModule,
        ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCommonComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        EmailFieldComponent,
                        LoadingOverlayComponent,
                        PasswordFieldComponent,
                        PasswordStrengthCheckComponent,
                        BluiAuthErrorDialogComponent,
                        BluiPasswordStrengthCheckerComponent,
                    ],
                    entryComponents: [BluiAuthErrorDialogComponent],
                    imports: [
                        BrowserModule,
                        BrowserAnimationsModule,
                        CommonModule,
                        MatLegacyButtonModule,
                        MatDividerModule,
                        MatIconModule,
                        MatLegacyInputModule,
                        MatLegacyListModule,
                        MatLegacyProgressSpinnerModule,
                        ReactiveFormsModule,
                    ],
                    exports: [
                        EmailFieldComponent,
                        LoadingOverlayComponent,
                        PasswordFieldComponent,
                        PasswordStrengthCheckComponent,
                        BluiAuthErrorDialogComponent,
                        BluiPasswordStrengthCheckerComponent,
                    ],
                }]
        }] });

class BluiCreateAccountStepsModule {
}
BluiCreateAccountStepsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountStepsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BluiCreateAccountStepsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountStepsModule, declarations: [BluiAccountCreatedComponent,
        BluiAccountDetailsComponent,
        BluiCreatePasswordComponent,
        BluiEulaComponent,
        BluiProvideEmailComponent,
        BluiVerifyEmailComponent,
        BluiExistingAccountComponent], imports: [BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        EmptyStateModule,
        FormsModule,
        MatLegacyButtonModule,
        MatLegacyCheckboxModule,
        MatDividerModule,
        MatLegacyFormFieldModule,
        MatLegacyInputModule,
        MatIconModule,
        BluiCommonComponentsModule,
        ReactiveFormsModule], exports: [BluiAccountCreatedComponent,
        BluiAccountDetailsComponent,
        BluiCreatePasswordComponent,
        BluiEulaComponent,
        BluiProvideEmailComponent,
        BluiVerifyEmailComponent,
        BluiExistingAccountComponent] });
BluiCreateAccountStepsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountStepsModule, imports: [BrowserModule,
        BrowserAnimationsModule,
        CommonModule,
        EmptyStateModule,
        FormsModule,
        MatLegacyButtonModule,
        MatLegacyCheckboxModule,
        MatDividerModule,
        MatLegacyFormFieldModule,
        MatLegacyInputModule,
        MatIconModule,
        BluiCommonComponentsModule,
        ReactiveFormsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountStepsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BluiAccountCreatedComponent,
                        BluiAccountDetailsComponent,
                        BluiCreatePasswordComponent,
                        BluiEulaComponent,
                        BluiProvideEmailComponent,
                        BluiVerifyEmailComponent,
                        BluiExistingAccountComponent,
                    ],
                    imports: [
                        BrowserModule,
                        BrowserAnimationsModule,
                        CommonModule,
                        EmptyStateModule,
                        FormsModule,
                        MatLegacyButtonModule,
                        MatLegacyCheckboxModule,
                        MatDividerModule,
                        MatLegacyFormFieldModule,
                        MatLegacyInputModule,
                        MatIconModule,
                        BluiCommonComponentsModule,
                        ReactiveFormsModule,
                    ],
                    exports: [
                        BluiAccountCreatedComponent,
                        BluiAccountDetailsComponent,
                        BluiCreatePasswordComponent,
                        BluiEulaComponent,
                        BluiProvideEmailComponent,
                        BluiVerifyEmailComponent,
                        BluiExistingAccountComponent,
                    ],
                }]
        }] });

class BluiCreateAccountInviteModule {
}
BluiCreateAccountInviteModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BluiCreateAccountInviteModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteModule, declarations: [BluiCreateAccountInviteComponent], imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        MatLegacyButtonModule,
        RouterModule,
        MatIconModule,
        MatDividerModule,
        EmptyStateModule,
        MobileStepperModule,
        MatLegacyDialogModule,
        BluiCreateAccountStepsModule,
        BluiCommonComponentsModule], exports: [BluiCreateAccountInviteComponent, BluiCreateAccountStepsModule] });
BluiCreateAccountInviteModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteModule, imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        MatLegacyButtonModule,
        RouterModule,
        MatIconModule,
        MatDividerModule,
        EmptyStateModule,
        MobileStepperModule,
        MatLegacyDialogModule,
        BluiCreateAccountStepsModule,
        BluiCommonComponentsModule, BluiCreateAccountStepsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountInviteModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BluiCreateAccountInviteComponent],
                    imports: [
                        BrowserModule,
                        CommonModule,
                        MatLegacyProgressSpinnerModule,
                        MatLegacyButtonModule,
                        RouterModule,
                        MatIconModule,
                        MatDividerModule,
                        EmptyStateModule,
                        MobileStepperModule,
                        MatLegacyDialogModule,
                        BluiCreateAccountStepsModule,
                        BluiCommonComponentsModule,
                    ],
                    exports: [BluiCreateAccountInviteComponent, BluiCreateAccountStepsModule],
                }]
        }] });

class BluiCreateAccountModule {
}
BluiCreateAccountModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BluiCreateAccountModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountModule, declarations: [BluiCreateAccountComponent], imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        MatLegacyButtonModule,
        RouterModule,
        MatIconModule,
        MatDividerModule,
        MobileStepperModule,
        EmptyStateModule,
        MatLegacyDialogModule,
        BluiCreateAccountStepsModule,
        BluiCommonComponentsModule], exports: [BluiCreateAccountComponent, BluiCreateAccountStepsModule] });
BluiCreateAccountModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountModule, imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        MatLegacyButtonModule,
        RouterModule,
        MatIconModule,
        MatDividerModule,
        MobileStepperModule,
        EmptyStateModule,
        MatLegacyDialogModule,
        BluiCreateAccountStepsModule,
        BluiCommonComponentsModule, BluiCreateAccountStepsModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiCreateAccountModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BluiCreateAccountComponent],
                    imports: [
                        BrowserModule,
                        CommonModule,
                        MatLegacyProgressSpinnerModule,
                        MatLegacyButtonModule,
                        RouterModule,
                        MatIconModule,
                        MatDividerModule,
                        MobileStepperModule,
                        EmptyStateModule,
                        MatLegacyDialogModule,
                        BluiCreateAccountStepsModule,
                        BluiCommonComponentsModule,
                    ],
                    exports: [BluiCreateAccountComponent, BluiCreateAccountStepsModule],
                }]
        }] });

class BluiAuthModule {
}
BluiAuthModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BluiAuthModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthModule, declarations: [BluiLoginComponent,
        BluiForgotPasswordComponent,
        BluiResetPasswordComponent,
        BluiAuthComponent,
        BluiContactSupportComponent,
        BluiChangePasswordComponent,
        BluiChangePasswordDialogComponent], imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        SpacerModule,
        MatLegacyButtonModule,
        MatLegacyFormFieldModule,
        MatLegacyInputModule,
        MatLegacySelectModule,
        MatLegacyCardModule,
        ReactiveFormsModule,
        FormsModule,
        RouterModule,
        MatLegacyCheckboxModule,
        MatIconModule,
        MatDividerModule,
        EmptyStateModule,
        MatLegacyListModule,
        MatLegacyDialogModule,
        BluiCreateAccountModule,
        BluiCreateAccountInviteModule,
        BluiCommonComponentsModule], exports: [BluiAuthComponent,
        BluiLoginComponent,
        BluiForgotPasswordComponent,
        BluiCreateAccountComponent,
        BluiResetPasswordComponent,
        BluiContactSupportComponent,
        BluiChangePasswordComponent,
        BluiCreateAccountModule,
        BluiCreateAccountInviteModule] });
BluiAuthModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthModule, imports: [BrowserModule,
        CommonModule,
        MatLegacyProgressSpinnerModule,
        SpacerModule,
        MatLegacyButtonModule,
        MatLegacyFormFieldModule,
        MatLegacyInputModule,
        MatLegacySelectModule,
        MatLegacyCardModule,
        ReactiveFormsModule,
        FormsModule,
        RouterModule,
        MatLegacyCheckboxModule,
        MatIconModule,
        MatDividerModule,
        EmptyStateModule,
        MatLegacyListModule,
        MatLegacyDialogModule,
        BluiCreateAccountModule,
        BluiCreateAccountInviteModule,
        BluiCommonComponentsModule, BluiCreateAccountModule,
        BluiCreateAccountInviteModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BluiLoginComponent,
                        BluiForgotPasswordComponent,
                        BluiResetPasswordComponent,
                        BluiAuthComponent,
                        BluiContactSupportComponent,
                        BluiChangePasswordComponent,
                        BluiChangePasswordDialogComponent,
                    ],
                    imports: [
                        BrowserModule,
                        CommonModule,
                        MatLegacyProgressSpinnerModule,
                        SpacerModule,
                        MatLegacyButtonModule,
                        MatLegacyFormFieldModule,
                        MatLegacyInputModule,
                        MatLegacySelectModule,
                        MatLegacyCardModule,
                        ReactiveFormsModule,
                        FormsModule,
                        RouterModule,
                        MatLegacyCheckboxModule,
                        MatIconModule,
                        MatDividerModule,
                        EmptyStateModule,
                        MatLegacyListModule,
                        MatLegacyDialogModule,
                        BluiCreateAccountModule,
                        BluiCreateAccountInviteModule,
                        BluiCommonComponentsModule,
                    ],
                    exports: [
                        BluiAuthComponent,
                        BluiLoginComponent,
                        BluiForgotPasswordComponent,
                        BluiCreateAccountComponent,
                        BluiResetPasswordComponent,
                        BluiContactSupportComponent,
                        BluiChangePasswordComponent,
                        BluiCreateAccountModule,
                        BluiCreateAccountInviteModule,
                    ],
                }]
        }] });

class BluiAuthPageDisabledGuard {
    constructor(securityService, _bluiAuthConfig, router) {
        this.securityService = securityService;
        this._bluiAuthConfig = _bluiAuthConfig;
        this.router = router;
    }
    navigateRoot() {
        void this.router.navigate(['']);
        return false;
    }
    canActivate(route, state) {
        const url = state.url;
        const showLogin = matchesRoute(url, 'LOGIN');
        const showResetPassword = matchesRoute(url, 'RESET_PASSWORD');
        const showCreateAccount = matchesRoute(url, 'CREATE_ACCOUNT');
        const showForgotPassword = matchesRoute(url, 'FORGOT_PASSWORD');
        const showContactSupport = matchesRoute(url, 'CONTACT_SUPPORT');
        const showCreateAccountInvite = matchesRoute(url, 'CREATE_ACCOUNT_INVITE');
        const isEmptyUrl = url === undefined || url === '' || url === '/';
        if (showLogin || isEmptyUrl) {
            return true;
        }
        if (!this._bluiAuthConfig.showContactSupport && showContactSupport) {
            return this.navigateRoot();
        }
        if (!this._bluiAuthConfig.showCreateAccount && showCreateAccount) {
            return this.navigateRoot();
        }
        if (!this._bluiAuthConfig.showForgotPassword && showForgotPassword) {
            return this.navigateRoot();
        }
        if (!this._bluiAuthConfig.showResetPassword && showResetPassword) {
            return this.navigateRoot();
        }
        if (!this._bluiAuthConfig.showCreateAccountViaInvite && showCreateAccountInvite) {
            return this.navigateRoot();
        }
        // Enable direct routing to internal auth pages if the config has not disabled them.
        if (showLogin ||
            showResetPassword ||
            showCreateAccount ||
            showForgotPassword ||
            showContactSupport ||
            showCreateAccountInvite) {
            return true;
        }
        return true;
    }
}
BluiAuthPageDisabledGuard.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthPageDisabledGuard, deps: [{ token: BluiAuthSecurityService }, { token: BluiAuthConfig }, { token: i1.Router }], target: i0.ɵɵFactoryTarget.Injectable });
BluiAuthPageDisabledGuard.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthPageDisabledGuard, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthPageDisabledGuard, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: BluiAuthSecurityService }, { type: BluiAuthConfig }, { type: i1.Router }]; } });

function getAuthSubRoutes() {
    return [
        { path: '', redirectTo: AUTH_ROUTES.LOGIN, pathMatch: 'full' },
        { path: AUTH_ROUTES.LOGIN, component: BluiLoginComponent },
        {
            path: AUTH_ROUTES.RESET_PASSWORD,
            component: BluiResetPasswordComponent,
            canActivate: [BluiAuthPageDisabledGuard],
        },
        {
            path: AUTH_ROUTES.FORGOT_PASSWORD,
            component: BluiForgotPasswordComponent,
            canActivate: [BluiAuthPageDisabledGuard],
        },
        {
            path: AUTH_ROUTES.CREATE_ACCOUNT,
            component: BluiCreateAccountComponent,
            canActivate: [BluiAuthPageDisabledGuard],
        },
        {
            path: AUTH_ROUTES.CONTACT_SUPPORT,
            component: BluiContactSupportComponent,
            canActivate: [BluiAuthPageDisabledGuard],
        },
        {
            path: AUTH_ROUTES.CREATE_ACCOUNT_INVITE,
            component: BluiCreateAccountInviteComponent,
            canActivate: [BluiAuthPageDisabledGuard],
        },
    ];
}

class BluiAuthGuard {
    constructor(bluiAuthConfig, securityService, router) {
        this.bluiAuthConfig = bluiAuthConfig;
        this.securityService = securityService;
        this.router = router;
    }
    canActivate() {
        if (!this.securityService.getSecurityState().isAuthenticatedUser) {
            const route = this.bluiAuthConfig.authGuardRedirectRoute === undefined
                ? AUTH_ROUTES.AUTH_WORKFLOW
                : this.bluiAuthConfig.authGuardRedirectRoute;
            void this.router.navigate([route]);
            return false;
        }
        return true;
    }
}
BluiAuthGuard.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthGuard, deps: [{ token: BluiAuthConfig }, { token: BluiAuthSecurityService }, { token: i1.Router }], target: i0.ɵɵFactoryTarget.Injectable });
BluiAuthGuard.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthGuard, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiAuthGuard, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: BluiAuthConfig }, { type: BluiAuthSecurityService }, { type: i1.Router }]; } });

class BluiChangePasswordDialogService {
    constructor(dialog) {
        this.dialog = dialog;
    }
    openDialog() {
        return this.dialog.open(BluiChangePasswordDialogComponent, {
            width: '444px',
            disableClose: true,
            panelClass: 'blui-change-password-dialog',
        });
    }
    closeDialog() {
        this.dialog.closeAll();
    }
}
BluiChangePasswordDialogService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordDialogService, deps: [{ token: i1$1.MatLegacyDialog }], target: i0.ɵɵFactoryTarget.Injectable });
BluiChangePasswordDialogService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordDialogService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.9", ngImport: i0, type: BluiChangePasswordDialogService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root',
                }]
        }], ctorParameters: function () { return [{ type: i1$1.MatLegacyDialog }]; } });

function mergeAuthTranslations(original, overrides) {
    var _a, _b, _c, _d, _e, _f, _g;
    Object.assign(original.GENERAL, overrides.GENERAL);
    Object.assign(original.CONTACT_SUPPORT, overrides.CONTACT_SUPPORT);
    Object.assign(original.CHANGE_PASSWORD, overrides.CHANGE_PASSWORD);
    Object.assign(original.RESET_PASSWORD, overrides.RESET_PASSWORD);
    Object.assign(original.FORGOT_PASSWORD, overrides.FORGOT_PASSWORD);
    // Create Account
    Object.assign(original.CREATE_ACCOUNT.EULA, (_a = overrides.CREATE_ACCOUNT) === null || _a === void 0 ? void 0 : _a.EULA);
    Object.assign(original.CREATE_ACCOUNT.REGISTRATION_LINK, (_b = overrides.CREATE_ACCOUNT) === null || _b === void 0 ? void 0 : _b.REGISTRATION_LINK);
    Object.assign(original.CREATE_ACCOUNT.ACCOUNT_CREATED, (_c = overrides.CREATE_ACCOUNT) === null || _c === void 0 ? void 0 : _c.ACCOUNT_CREATED);
    Object.assign(original.CREATE_ACCOUNT.VERIFY_EMAIL, (_d = overrides.CREATE_ACCOUNT) === null || _d === void 0 ? void 0 : _d.VERIFY_EMAIL);
    Object.assign(original.CREATE_ACCOUNT.ENTER_EMAIL, (_e = overrides.CREATE_ACCOUNT) === null || _e === void 0 ? void 0 : _e.ENTER_EMAIL);
    Object.assign(original.CREATE_ACCOUNT.CREATE_PASSWORD, (_f = overrides.CREATE_ACCOUNT) === null || _f === void 0 ? void 0 : _f.CREATE_PASSWORD);
    Object.assign(original.CREATE_ACCOUNT.ACCOUNT_DETAILS, (_g = overrides.CREATE_ACCOUNT) === null || _g === void 0 ? void 0 : _g.ACCOUNT_DETAILS);
}

/*
 * Public API Surface of BLUI Auth Workflow
 */

/**
 Copyright (c) 2021-present, Eaton

 All rights reserved.

 This code is licensed under the BSD-3 license found in the LICENSE file in the root directory of this source tree and at https://opensource.org/licenses/BSD-3-Clause.
 **/

/**
 * Generated bundle index. Do not edit.
 */

export { AUTH_ROUTES, BLUI_LOGIN_VALIDATOR_ERROR_NAME, BluiAccountCreatedComponent, BluiAccountDetailsComponent, BluiAuthComponent, BluiAuthConfig, BluiAuthGuard, BluiAuthModule, BluiAuthPageDisabledGuard, BluiAuthSecurityService, BluiAuthUIService, BluiChangePasswordComponent, BluiChangePasswordDialogService, BluiChangePasswordErrorDialogService, BluiContactSupportComponent, BluiCreateAccountComponent, BluiCreateAccountErrorDialogService, BluiCreateAccountInviteComponent, BluiCreateAccountInviteErrorDialogService, BluiCreateAccountInviteModule, BluiCreateAccountModule, BluiCreateAccountStepsModule, BluiCreatePasswordComponent, BluiEulaComponent, BluiExistingAccountComponent, BluiForgotPasswordComponent, BluiForgotPasswordErrorDialogService, BluiFormsService, BluiLoginComponent, BluiLoginErrorDialogService, BluiProvideEmailComponent, BluiRegisterUIService, BluiResetPasswordComponent, BluiResetPasswordErrorDialogService, BluiVerifyEmailComponent, bluiAuthChineseTranslations, bluiAuthEnglishTranslations, bluiAuthFrenchTranslations, bluiAuthSpanishTranslations, getAuthSubRoutes, mergeAuthTranslations };
//# sourceMappingURL=brightlayer-ui-angular-auth-workflow.mjs.map
